#done by Antaine with great indebtedness to Baldyr, God-Emperor, The_J, and EmperorFool

from CvPythonExtensions import *
from Popup import PyPopup
from CvEventManager import *
from PyHelpers import *
import CvUtil

gc = CyGlobalContext()
cyGame = CyGame()
cyMap = CyMap()
pyGame = PyGame()

#units for later civ spawns
eSettler = 4
eWorker = 5
eArcher = 57
eLongbowman = 60
eMusketman = 42
eRifleman = 46
eSpecialRome = 29


#for barbarian spawns
eGalley = 90
eViking = 36
eZulu = 38
eMongol = 68
eNative = 33
eAztec = 27
eInca = 25
eMaya = 39


cityNameDict = {
#Ireland
(49, 55): "Waterford",
(49, 56): "Dublin",
(49, 57): "Armagh",
(49, 58): "Belfast",
(48, 58): "Derry",
(48, 57): "Athlone",
(48, 56): "Limerick",
(48, 55): "Cashel",
(47, 55): "Cork",
(47, 57): "Galway",
#Britain
(50, 53): "Land's End",
(51, 53): "Plymouth",
(52, 53): "Southampton",
(53, 53): "Portsmouth",
(54, 54): "London",
(54, 53): "London",
(52, 54): "Cardiff",
(53, 54): "London",
(55, 54): "London",
(51, 55): "Cardiff",
(52, 55): "Cardiff",
(53, 55): "Oxford",
(54, 55): "Cambridge",
(55, 55): "Ipswich",
(51, 56): "Caernarfon",
(52, 56): "Chester",
(53, 56): "Birmingham",
(54, 56): "Norwich",
(52, 57): "Liverpool",
(53, 57): "Manchester",
(54, 57): "York",
(51, 58): "Glasgow",
(52, 58): "Edinburgh",
(51, 59): "Glasgow",
(52, 59): "Edinburgh",
(53, 59): "Edinburgh",
(50, 60): "Portree",
(51, 60): "Inverness",
(52, 60): "Aberdeen",
(51, 61): "Scapa Flow",
#France
(53, 51): "Cherbourg",
(51, 50): "Brest",
(53, 46): "Bayonne",
(52, 50): "Rennes",
(53, 50): "Rennes",
(54, 50): "Paris",
(55, 50): "Paris",
(56, 50): "Reims",
(57, 50): "Strasbourg",
(55, 51): "Paris",
(56, 51): "Paris",
(56, 52): "Calais",
(57, 51): "Strasbourg",
(52, 49): "Nantes",
(53, 49): "Nantes",
(54, 49): "Tours",
(55, 49): "Paris",
(56, 49): "Paris",
(57, 49): "Strasbourg",
(53, 48): "Bordeaux",
(54, 48): "Lyon",
(55, 48): "Lyon",
(56, 48): "Grenoble",
(53, 47): "Bordeaux",
(54, 47): "Toulouse",
(55, 47): "Lyon",
(56, 47): "Lyon",
(56, 46): "Marseilles",
(57, 46): "Marseilles",
#Spain
(49, 46): "Coana",
(51, 46): "Gijon",
(49, 43): "Lisbon",
(49, 42): "Lisbon",
(49, 41): "Lisbon",
(50, 41): "Gibraltar",
(51, 41): "Gibraltar",
(52, 41): "Gibraltar",
(51, 40): "Gibraltar",
(52, 43): "Madrid",
(52, 44): "Madrid",
(52, 42): "Toledo",
(51, 42): "Toledo",
(54, 42): "Cartagena",
(54, 43): "Cartagena",
(54, 44): "Valencia",
(55, 44): "Valencia",
(55, 45): "Valencia",
(54, 45): "Valencia",
(44, 43): "Ponta Delgada",
#Italy
(60, 44): "Rome",
(60, 45): "Rome",
(60, 40): "Palermo",
(61, 40): "Calabria",
(62, 41): "Catanzaro",
(63, 42): "Brindisi",
(62, 42): "Portenza",
(61, 43): "Napoli",
(58, 46): "Genoa",
(58, 47): "Turin",
(59, 47): "Milan",
(59, 46): "Milan",
(60, 47): "Venice",
(61, 47): "Venice",
(62, 47): "Venice",
(60, 46): "Venice",
(63, 47): "Trieste",
(63, 46): "Trieste",
(64, 45): "Sarajevo",
(65, 45): "Sarajevo",
(64, 44): "Sarajevo",
(65, 44): "Sarajevo",
(64, 46): "Sarajevo",
#Greece
(68, 45): "Byzantium",
(67, 45): "Byzantium",
(69, 44): "Byzantium",
(65, 40): "Sparta",
(66, 40): "Sparta",
(67, 42): "Athens",
(66, 42): "Athens",
(67, 41): "Athens",
(69, 39): "Knossos",
(68, 39): "Knossos",
#US
(30, 48): "New York",
(29, 48): "New York",
(31, 48): "New York",
(29, 47): "Atlantic City",
(28, 47): "Philadelphia",
(31, 49): "Boston",
(27, 46): "Baltimore",
(28, 46): "Norfolk",
(26, 40): "Miami",
(34, 50): "Halifax",
(35, 51): "Halifax",
(23, 42): "New Orleans",
(22, 43): "New Orleans",
(24, 43): "New Orleans",
(23, 47): "Chicago",
(24, 47): "Chicago",
(23, 48): "Chicago",
(24, 46): "St. Louis",
(23, 46): "St. Louis",
(23, 45): "St. Louis",
(24, 45): "St. Louis",
(11, 52): "Vancouver",
(11, 50): "Seattle",
(11, 49): "San Francisco",
(11, 48): "San Francisco",
(11, 47): "Los Angeles",
(11, 46): "Los Angeles",
(14, 45): "Phoenix",
(15, 45): "Phoenix",
(13, 46): "Las Vegas",
(15, 48): "Salt Lake City",
(14, 49): "Salt Lake City",
(17, 48): "Denver",
(22, 51): "Duluth",
(25, 49): "Detroit",
(26, 48): "Detroit",
(25, 44): "Charleston",
(25, 43): "Savanna",
(21, 42): "Houston",
(20, 41): "Houston",
(20, 42): "Houston",
(3, 37): "Honolulu",
(5, 36): "Hilo",
(5, 35): "Hilo",
(1, 38): "Kilauea",
(27, 38): "Havana",
(26, 38): "Havana",
(30, 37): "Port-au-Prince",
(32, 37): "San Juan",
(14, 44): "Puerto Penflasco",
(21, 48): "Wounded Knee",
(10, 56): "Juneau",
(7, 58): "Anchorage",
(3, 57): "Dutch Harbor",
(27, 51): "Ontario",
(19, 42): "San Antonio",
(18, 52): "Calgary",
#Germany and Russia
(63, 52): "Berlin",
(63, 51): "Berlin",
(60, 55): "Copenhagen",
(59, 56): "Copenhagen",
(59, 55): "Copenhagen",
(59, 54): "Copenhagen",
(66, 49): "Prague",
(57, 53): "Amsterdam",
(58, 53): "Amsterdam",
(57, 52): "Amsterdam",
(59, 53): "Hamburg",
(62, 49): "Vienna",
(62, 48): "Vienna",
(63, 49): "Vienna",
(63, 48): "Vienna",
(59, 49): "Zurich",
(60, 49): "Munich",
(61, 49): "Munich",
(58, 50): "Strasbourg",
(58, 51): "Strasbourg",
(67, 50): "Mukachevo",
(65, 49): "Graz",
(65, 48): "Budapest",
(64, 48): "Budapest",
(58, 49): "Zurich",
(65, 54): "Vilnius",
(65, 53): "Vilnius",
(66, 54): "Vilnius",
(66, 53): "Vilnius",
(67, 56): "St. Petersburg",
(68, 56): "St. Petersburg",
(68, 57): "St. Petersburg",
(66, 59): "Helsinki",
(71, 54): "Moscow",
(71, 55): "Moscow",
(71, 53): "Moscow",
(70, 53): "Moscow",
(70, 54): "Moscow",
(70, 55): "Moscow",
(72, 53): "Moscow",
(72, 54): "Moscow",
(72, 55): "Moscow",
(70, 50): "Odessa",
(71, 50): "Odessa",
(70, 51): "Kiev",
(69, 52): "Kiev",
(70, 52): "Kiev",
(68, 54): "Minsk",
(67, 53): "Minsk",
(65, 52): "Warsaw",
(65, 51): "Warsaw",
(69, 50): "Nicolayev",
(73, 53): "Donets'k",
(73, 52): "Donets'k",
(73, 51): "Donets'k",
(73, 50): "Rostov",
(73, 49): "Rostov",
(74, 49): "Rostov",
(74, 48): "Rostov",
(75, 48): "Rostov",
#Scandinavia
(63, 58): "Stockholm",
(63, 57): "Stockholm",
(63, 59): "Stockholm",
(62, 59): "Uppsala",
(61, 59): "Uppsala",
(59, 58): "Oslo",
(59, 59): "Oslo",
(60, 59): "Oslo",
(58, 58): "Oslo",
(57, 58): "Oslo",
(57, 59): "Oslo",
(59, 61): "Trondheim",
(45, 62): "Reykjavik",
(45, 63): "Reykjavik",
(44, 64): "Reykjavik",
(46, 63): "Husavik",
(47, 63): "Husavik",
(63, 56): "Kalmar",
(62, 55): "Kalmar",
(63, 61): "Umea",
(64, 61): "Umea",
(68, 61): "Paltamo",
(67, 61): "Oulu",
(66, 60): "Helsinki",
(66, 58): "Helsinki",
(67, 60): "Helsinki",
(67, 59): "Helsinki",
(63, 64): "Rognan",
(62, 63): "Rognan",
#Middle East
(73, 38): "Jerusalem",
(73, 37): "Jerusalem",
(73, 39): "Jerusalem",
(73, 41): "Antioch",
(73, 40): "Antioch",
(73, 42): "Antioch",
(74, 42): "Antioch",
(71, 36): "Suez",
(72, 37): "Suez",
(75, 33): "Mecca",
(75, 34): "Mecca",
(75, 32): "Mecca",
(74, 34): "Mecca",
(78, 31): "Sana'a",
(76, 30): "Sana'a",
(77, 30): "Sana'a",
(77, 31): "Sana'a",
(81, 35): "Abu Dhabi",
(80, 34): "Abu Dhabi",
(82, 34): "Abu Dhabi",
(76, 36): "Medina",
(77, 35): "Medina",
(78, 35): "Medina",
(77, 40): "Babylon",
(77, 41): "Baghdad",
(76, 40): "Babylon",
(76, 41): "Baghdad",
(76, 42): "Mosul",
(72, 45): "Nicaea",
#South America
(25, 32): "Panama",
(26, 31): "Panama",
(24, 31): "Panama",
(30, 31): "Caracas",
(40, 17): "Rio de Janeiro",
(39, 17): "Rio de Janeiro",
(38, 17): "Rio de Janeiro",
(36, 12): "Montevideo",
(35, 12): "Montevideo",
(34, 11): "Buenos Aires",
(33, 9): "Buenos Aires",
(34, 10): "Buenos Aires",
(35, 10): "Buenos Aires",
(34, 12): "Buenos Aires",
#Australia
(104, 13): "Perth",
(104, 12): "Perth",
(103, 12): "Perth",
(114, 21): "Rocky Point",
(114, 11): "Melbourne",
(114, 10): "Melbourne",
(113, 11): "Melbourne",
(113, 12): "Adelaide",
(118, 13): "Sydney",
(117, 12): "Sydney",
(122, 7): "Christchurch",
(122, 8): "Christchurch",
(123, 9): "Christchurch",
#India
(88, 36): "Bombay",
(88, 37): "Bombay",
(87, 37): "Bombay",
(92, 33): "Pondicherry",
(92, 34): "Pondicherry",
(93, 34): "Pondicherry",
(89, 39): "Delhi",
(88, 38): "Delhi",
(96, 39): "Calcutta",
(95, 39): "Calcutta",
(95, 38): "Calcutta",
(88, 43): "Kashmir",
(88, 42): "Kashmir",
(95, 43): "Lhasa",
(96, 43): "Lhasa",
#China
(102, 46): "Peking",
(102, 45): "Peking",
(101, 46): "Peking",
(107, 43): "Shanghai",
(106, 43): "Shanghai",
(106, 44): "Shanghai",
(105, 39): "Hong Kong",
(104, 39): "Hong Kong",
(110, 32): "Manila",
(109, 33): "Manila",
(101, 29): "Singapore",
(103, 33): "Saigon",
(202, 33): "Pnom Penh",
(98, 36): "Rangoon",
#Japan
(116, 47): "Tokyo",
(116, 48): "Tokyo",
(113, 45): "Kyoto",
(112, 45): "Kyoto",
(109, 46): "Seoul",
(109, 47): "Seoul",
(108, 47): "Pyongyang",
#Africa
(68, 36): "Alexandria",
(70, 36): "Suez",
(69, 36): "Alexandria",
(67, 36): "Alexandria",
(62, 36): "Tripoli",
(63, 36): "Tripoli",
(61, 37): "Tripoli",
(61, 36): "Tripoli",
(58, 39): "Carthage",
(58, 38): "Carthage",
(55, 39): "Oran",
(56, 39): "Algiers",
(57, 39): "Algiers",
(54, 39): "Oran",
(50, 35): "Casablanca",
(56, 27): "Ivory Coast",
(57, 27): "Ivory Coast",
(59, 34): "Timbuktu",
(63, 10): "Cape Town",
(64, 10): "Cape Town",
(64, 11): "Cape Town",
(65, 10): "Cape Town",
(66, 10): "Cape Town",
(79, 22): "Zanzibar"
}




#reads the date regardless of game speed
def isDate(iDate):
		return cyGame.getTurnYear(cyGame.getGameTurn() +1) > iDate and cyGame.getGameTurnYear() <= iDate

#searches in the dictionary to get a name for a key tile
def nameNorm(pCity):
		coord = (pCity.getX(), pCity.getY())
		if coord in cityNameDict:
				name = cityNameDict[coord]
				pCity.setName(name, True)
				return True
		else:
				return False

#compiles a list of plots
def getPlotList(tBL, tTR):
        lPlotList = []
        for x in range(tBL[0], tTR[0]+1):
                for y in range(tBL[1], tTR[1]+1):
                        lPlotList.append((x, y))
        return lPlotList

#gets all tiles within the given distance of the tile given
def getSquareList(tCoords, iDistance):
		return getPlotList((tCoords[0]-iDistance, tCoords[1]-iDistance), (tCoords[0]+iDistance, tCoords[1]+iDistance))

#gets all tiles adjacent to the tile given
def getAdjacentList(tCoords):
        return getSquareList(tCoords, 1)


#spawns the classical civs
def classicalSpawn():
		pRome = cyMap.plot(60, 44)
		pPersia = cyMap.plot(81, 40)
		pJapan = cyMap.plot(116, 47)
#Romans
		if isDate(-770):
				if PyPlayer(0).isAlive():
						gc.getTeam(7).declareWar(0, True, -1)
				if PyPlayer(5).isAlive():
						gc.getTeam(7).declareWar(5, True, -1)
				for tCoords in getAdjacentList((60, 44)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(7).initCity(60, 44)
				CyEngine().removeLandmark(pRome)
				pRome.getPlotCity().setPopulation(8)
				pRome.getPlotCity().setCulture(7, 3000, True)
				pRome.getPlotCity().setNumRealBuilding(3, 1)
				pRome.getPlotCity().setNumRealBuilding(7, 1)
				pRome.getPlotCity().setNumRealBuilding(9, 1)
				pRome.getPlotCity().setNumRealBuilding(13, 1)
				pRome.getPlotCity().setNumRealBuilding(15, 1)
				pRome.getPlotCity().setNumRealBuilding(20, 1)
				pRome.getPlotCity().setNumRealBuilding(22, 1)
				pRome.getPlotCity().setNumRealBuilding(59, 1)
				pRome.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(7).setHasTech(0, true, 7, false, false)
				gc.getTeam(7).setHasTech(1, true, 7, false, false)
				gc.getTeam(7).setHasTech(2, true, 7, false, false)
				gc.getTeam(7).setHasTech(3, true, 7, false, false)
				gc.getTeam(7).setHasTech(4, true, 7, false, false)
				gc.getTeam(7).setHasTech(25, true, 7, false, false)
				gc.getTeam(7).setHasTech(26, true, 7, false, false)
				gc.getTeam(7).setHasTech(27, true, 7, false, false)
				gc.getTeam(7).setHasTech(28, true, 7, false, false)
				gc.getTeam(7).setHasTech(30, true, 7, false, false)
				gc.getTeam(7).setHasTech(31, true, 7, false, false)
				gc.getTeam(7).setHasTech(59, true, 7, false, false)
				gc.getTeam(7).setHasTech(60, true, 7, false, false)
				gc.getTeam(7).setHasTech(61, true, 7, false, false)
				gc.getTeam(7).setHasTech(62, true, 7, false, false)
				gc.getTeam(7).setHasTech(63, true, 7, false, false)
				gc.getTeam(7).setHasTech(64, true, 7, false, false)
				for tCoords in getPlotList((58, 40), (63, 47)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(7)
				PyPlayer(7).initUnit(4, 60, 44, 2)
				PyPlayer(7).initUnit(5, 60, 44, 2)
				PyPlayer(7).initUnit(57, 60, 44, 20)
				PyPlayer(7).initUnit(29, 60, 44, 30)
				romeMessage = "Latin tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(romeMessage,"")
				CvUtil.pyPrint(romeMessage)
#Persians
		if isDate(-625):
				for tCoords in getAdjacentList((81, 40)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(8).initCity(81, 40)
				CyEngine().removeLandmark(pPersia)
				pPersia.getPlotCity().setPopulation(8)
				pPersia.getPlotCity().setCulture(8, 3000, True)
				pPersia.getPlotCity().setNumRealBuilding(3, 1)
				pPersia.getPlotCity().setNumRealBuilding(7, 1)
				pPersia.getPlotCity().setNumRealBuilding(9, 1)
				pPersia.getPlotCity().setNumRealBuilding(13, 1)
				pPersia.getPlotCity().setNumRealBuilding(15, 1)
				pPersia.getPlotCity().setNumRealBuilding(20, 1)
				pPersia.getPlotCity().setNumRealBuilding(22, 1)
				pPersia.getPlotCity().setNumRealBuilding(59, 1)
				pPersia.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(8).setHasTech(0, true, 8, false, false)
				gc.getTeam(8).setHasTech(1, true, 8, false, false)
				gc.getTeam(8).setHasTech(2, true, 8, false, false)
				gc.getTeam(8).setHasTech(3, true, 8, false, false)
				gc.getTeam(8).setHasTech(4, true, 8, false, false)
				gc.getTeam(8).setHasTech(25, true, 8, false, false)
				gc.getTeam(8).setHasTech(26, true, 8, false, false)
				gc.getTeam(8).setHasTech(27, true, 8, false, false)
				gc.getTeam(8).setHasTech(28, true, 8, false, false)
				gc.getTeam(8).setHasTech(30, true, 8, false, false)
				gc.getTeam(8).setHasTech(31, true, 8, false, false)
				gc.getTeam(8).setHasTech(59, true, 8, false, false)
				gc.getTeam(8).setHasTech(60, true, 8, false, false)
				gc.getTeam(8).setHasTech(61, true, 8, false, false)
				gc.getTeam(8).setHasTech(62, true, 8, false, false)
				gc.getTeam(8).setHasTech(63, true, 8, false, false)
				gc.getTeam(8).setHasTech(64, true, 8, false, false)
				for tCoords in getPlotList((80, 37), (86, 44)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(8)
				persiaMessage = "Parsa tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(persiaMessage,"")
				CvUtil.pyPrint(persiaMessage)
				PyPlayer(8).initUnit(4, 81, 40, 2)
				PyPlayer(8).initUnit(5, 81, 40, 2)
				PyPlayer(8).initUnit(57, 81, 40, 15)
#Japanese
		if isDate(-500):
				for tCoords in getAdjacentList((116, 47)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(9).initCity(116, 47)
				CyEngine().removeLandmark(pJapan)
				pJapan.getPlotCity().setPopulation(8)
				pJapan.getPlotCity().setCulture(9, 3000, True)
				pJapan.getPlotCity().setNumRealBuilding(3, 1)
				pJapan.getPlotCity().setNumRealBuilding(7, 1)
				pJapan.getPlotCity().setNumRealBuilding(9, 1)
				pJapan.getPlotCity().setNumRealBuilding(13, 1)
				pJapan.getPlotCity().setNumRealBuilding(15, 1)
				pJapan.getPlotCity().setNumRealBuilding(20, 1)
				pJapan.getPlotCity().setNumRealBuilding(22, 1)
				pJapan.getPlotCity().setNumRealBuilding(59, 1)
				pJapan.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(9).setHasTech(0, true, 9, false, false)
				gc.getTeam(9).setHasTech(1, true, 9, false, false)
				gc.getTeam(9).setHasTech(2, true, 9, false, false)
				gc.getTeam(9).setHasTech(3, true, 9, false, false)
				gc.getTeam(9).setHasTech(4, true, 9, false, false)
				gc.getTeam(9).setHasTech(25, true, 9, false, false)
				gc.getTeam(9).setHasTech(26, true, 9, false, false)
				gc.getTeam(9).setHasTech(27, true, 9, false, false)
				gc.getTeam(9).setHasTech(28, true, 9, false, false)
				gc.getTeam(9).setHasTech(30, true, 9, false, false)
				gc.getTeam(9).setHasTech(31, true, 9, false, false)
				gc.getTeam(9).setHasTech(59, true, 9, false, false)
				gc.getTeam(9).setHasTech(60, true, 9, false, false)
				gc.getTeam(9).setHasTech(61, true, 9, false, false)
				gc.getTeam(9).setHasTech(62, true, 9, false, false)
				gc.getTeam(9).setHasTech(63, true, 9, false, false)
				gc.getTeam(9).setHasTech(64, true, 9, false, false)
				for tCoords in getPlotList((111, 41), (117, 52)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(9)
				japanMessage = "Japanese tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(japanMessage,"")
				CvUtil.pyPrint(japanMessage)
				PyPlayer(9).initUnit(4, 116, 47, 2)
				PyPlayer(9).initUnit(5, 116, 47, 2)
				PyPlayer(9).initUnit(57, 116, 47, 15)


#Roman colony spawn 1AD
def romeSpawn():
		pLisbon = cyMap.plot(49, 43)
		if isDate(1):
				if gc.getTeam(7).isHuman():
						if gc.getTeam(7).isHasTech(69):
								constructionMessage = "Having quickly mastered the art of Construction, industrious Romans extend their empire."
								CyInterface().addImmediateMessage(constructionMessage,"")
								CvUtil.pyPrint(constructionMessage)
								for tCoords in getPlotList((47, 36), (66, 47)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(7)
								for tCoords in getPlotList((68, 36), (72, 46)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(7)
#Lisbon
								PyPlayer(7).initUnit(4, 49, 43, 1)
								PyPlayer(7).initUnit(5, 49, 43, 1)
								PyPlayer(7).initUnit(57, 49, 43, 5)
#Carthage
								PyPlayer(7).initUnit(4, 58, 39, 1)
								PyPlayer(7).initUnit(5, 58, 39, 1)
								PyPlayer(7).initUnit(57, 58, 39, 5)
#Tripoli
								PyPlayer(7).initUnit(4, 62, 36, 1)
								PyPlayer(7).initUnit(5, 62, 36, 1)
								PyPlayer(7).initUnit(57, 62, 36, 5)
								if not gc.getTeam(5).isHuman():
										for tCoords in getPlotList((67, 36), (67, 46)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(7)
								if not gc.getTeam(6).isHuman():
										for tCoords in getPlotList((73, 36), (73, 46)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(7)	
#the AI automatically satisfies the requirements
				if not gc.getTeam(7).isHuman():
						if gc.getTeam(7).isAlive():
								constructionMessage = "Having quickly mastered the art of Construction, industrious Romans extend their empire."
								CyInterface().addImmediateMessage(constructionMessage,"")
								CvUtil.pyPrint(constructionMessage)
								for tCoords in getPlotList((47, 36), (66, 47)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(7)
								for tCoords in getPlotList((68, 36), (72, 46)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(7)
#Lisbon
								PyPlayer(7).initUnit(4, 49, 43, 1)
								PyPlayer(7).initUnit(5, 49, 43, 1)
								PyPlayer(7).initUnit(57, 49, 43, 5)
#Carthage
								PyPlayer(7).initUnit(4, 58, 39, 1)
								PyPlayer(7).initUnit(5, 58, 39, 1)
								PyPlayer(7).initUnit(57, 58, 39, 5)
#Tripoli
								PyPlayer(7).initUnit(4, 62, 36, 1)
								PyPlayer(7).initUnit(5, 62, 36, 1)
								PyPlayer(7).initUnit(57, 62, 36, 5)
								if not gc.getTeam(5).isHuman():
										for tCoords in getPlotList((67, 36), (67, 46)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(7)
								if not gc.getTeam(6).isHuman():
										for tCoords in getPlotList((73, 36), (73, 46)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(7)
#spawns Arab civ
def arabSpawn():
		pArabia = cyMap.plot(75, 33)
		if isDate(700):
				if PyPlayer(6).isAlive():
						gc.getTeam(11).declareWar(6, True, -1)
				for tCoords in getAdjacentList((75, 35)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(11).initCity(75, 33)
				pArabia.getPlotCity().setPopulation(8)
				CyEngine().removeLandmark(pArabia)
				pArabia.getPlotCity().setCulture(11, 3000, True)
				pArabia.getPlotCity().setNumRealBuilding(3, 1)
				pArabia.getPlotCity().setNumRealBuilding(7, 1)
				pArabia.getPlotCity().setNumRealBuilding(9, 1)
				pArabia.getPlotCity().setNumRealBuilding(13, 1)
				pArabia.getPlotCity().setNumRealBuilding(15, 1)
				pArabia.getPlotCity().setNumRealBuilding(20, 1)
				pArabia.getPlotCity().setNumRealBuilding(22, 1)
				pArabia.getPlotCity().setNumRealBuilding(59, 1)
				pArabia.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(11).setHasTech(0, true, 11, false, false)
				gc.getTeam(11).setHasTech(1, true, 11, false, false)
				gc.getTeam(11).setHasTech(2, true, 11, false, false)
				gc.getTeam(11).setHasTech(3, true, 11, false, false)
				gc.getTeam(11).setHasTech(4, true, 11, false, false)
				gc.getTeam(11).setHasTech(25, true, 11, false, false)
				gc.getTeam(11).setHasTech(26, true, 11, false, false)
				gc.getTeam(11).setHasTech(27, true, 11, false, false)
				gc.getTeam(11).setHasTech(28, true, 11, false, false)
				gc.getTeam(11).setHasTech(30, true, 11, false, false)
				gc.getTeam(11).setHasTech(31, true, 11, false, false)
				gc.getTeam(11).setHasTech(59, true, 11, false, false)
				gc.getTeam(11).setHasTech(60, true, 11, false, false)
				gc.getTeam(11).setHasTech(61, true, 11, false, false)
				gc.getTeam(11).setHasTech(62, true, 11, false, false)
				gc.getTeam(11).setHasTech(63, true, 11, false, false)
				gc.getTeam(11).setHasTech(64, true, 11, false, false)
				gc.getTeam(11).setHasTech(14, true, 11, false, false)
				gc.getTeam(11).setHasTech(9, true, 11, false, false)
				for tCoords in getPlotList((74, 29), (82, 36)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(11)
				arabMessage = "Arabian tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(arabMessage,"")
				CvUtil.pyPrint(arabMessage)
				PyPlayer(11).initUnit(4, 75, 33, 2)
				PyPlayer(11).initUnit(5, 75, 33, 2)
				PyPlayer(11).initUnit(30, 75, 33, 25)
				PyPlayer(11).initUnit(70, 75, 33, 25)
				PyPlayer(11).initUnit(26, 75, 33, 25)


#spawns medieval civs
def medievalSpawn():
		pEngland = cyMap.plot(54, 54)
		pFrance = cyMap.plot(55, 50)
		pSpain = cyMap.plot(52, 43)
		pGermany = cyMap.plot(63, 52)
		pRussia = cyMap.plot(71, 54)
#English
		if isDate(400):
				if PyPlayer(0).isAlive():
						gc.getTeam(12).declareWar(0, True, -1)
				for tCoords in getAdjacentList((54, 54)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(12).initCity(54, 54)
				CyEngine().removeLandmark(pEngland)
				pEngland.getPlotCity().setPopulation(8)
				pEngland.getPlotCity().setCulture(12, 3000, True)
				pEngland.getPlotCity().setNumRealBuilding(3, 1)
				pEngland.getPlotCity().setNumRealBuilding(7, 1)
				pEngland.getPlotCity().setNumRealBuilding(9, 1)
				pEngland.getPlotCity().setNumRealBuilding(13, 1)
				pEngland.getPlotCity().setNumRealBuilding(15, 1)
				pEngland.getPlotCity().setNumRealBuilding(20, 1)
				pEngland.getPlotCity().setNumRealBuilding(22, 1)
				pEngland.getPlotCity().setNumRealBuilding(59, 1)
				pEngland.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(12).setHasTech(0, true, 12, false, false)
				gc.getTeam(12).setHasTech(1, true, 12, false, false)
				gc.getTeam(12).setHasTech(2, true, 12, false, false)
				gc.getTeam(12).setHasTech(3, true, 12, false, false)
				gc.getTeam(12).setHasTech(4, true, 12, false, false)
				gc.getTeam(12).setHasTech(25, true, 12, false, false)
				gc.getTeam(12).setHasTech(26, true, 12, false, false)
				gc.getTeam(12).setHasTech(27, true, 12, false, false)
				gc.getTeam(12).setHasTech(28, true, 12, false, false)
				gc.getTeam(12).setHasTech(30, true, 12, false, false)
				gc.getTeam(12).setHasTech(31, true, 12, false, false)
				gc.getTeam(12).setHasTech(59, true, 12, false, false)
				gc.getTeam(12).setHasTech(60, true, 12, false, false)
				gc.getTeam(12).setHasTech(61, true, 12, false, false)
				gc.getTeam(12).setHasTech(62, true, 12, false, false)
				gc.getTeam(12).setHasTech(63, true, 12, false, false)
				gc.getTeam(12).setHasTech(64, true, 12, false, false)
				gc.getTeam(12).setHasTech(10, true, 12, false, false)
				gc.getTeam(12).setHasTech(5, true, 12, false, false)
				gc.getTeam(12).setHasTech(6, true, 12, false, false)
				gc.getTeam(12).setHasTech(8, true, 12, false, false)
				gc.getTeam(12).setHasTech(29, true, 12, false, false)
				gc.getTeam(12).setHasTech(32, true, 12, false, false)
				gc.getTeam(12).setHasTech(33, true, 12, false, false)
				gc.getTeam(12).setHasTech(34, true, 12, false, false)
				gc.getTeam(12).setHasTech(35, true, 12, false, false)
				gc.getTeam(12).setHasTech(65, true, 12, false, false)
				gc.getTeam(12).setHasTech(67, true, 12, false, false)
				gc.getTeam(12).setHasTech(68, true, 12, false, false)
				gc.getTeam(12).setHasTech(69, true, 12, false, false)
				gc.getTeam(12).setHasTech(6, true, 12, false, false)
				gc.getTeam(12).setHasTech(9, true, 12, false, false)
				for tCoords in getPlotList((50, 53), (55, 59)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(12)
				englandMessage = "Saxon tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(englandMessage,"")
				CvUtil.pyPrint(englandMessage)
				PyPlayer(12).initUnit(4, 54, 54, 1)
				PyPlayer(12).initUnit(5, 54, 54, 2)
				PyPlayer(12).initUnit(60, 54, 54, 15)
				PyPlayer(12).initUnit(26, 54, 54, 15)
				PyPlayer(12).initUnit(18, 54, 54, 1)
#French
		if isDate(450):
				if PyPlayer(7).isAlive():
						gc.getTeam(13).declareWar(7, True, -1)
				for tCoords in getAdjacentList((55, 50)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(13).initCity(55, 50)
				CyEngine().removeLandmark(pFrance)
				pFrance.getPlotCity().setPopulation(8)
				pFrance.getPlotCity().setCulture(13, 3000, True)
				pFrance.getPlotCity().setNumRealBuilding(3, 1)
				pFrance.getPlotCity().setNumRealBuilding(7, 1)
				pFrance.getPlotCity().setNumRealBuilding(9, 1)
				pFrance.getPlotCity().setNumRealBuilding(13, 1)
				pFrance.getPlotCity().setNumRealBuilding(15, 1)
				pFrance.getPlotCity().setNumRealBuilding(20, 1)
				pFrance.getPlotCity().setNumRealBuilding(22, 1)
				pFrance.getPlotCity().setNumRealBuilding(59, 1)
				pFrance.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(13).setHasTech(0, true, 13, false, false)
				gc.getTeam(13).setHasTech(1, true, 13, false, false)
				gc.getTeam(13).setHasTech(2, true, 13, false, false)
				gc.getTeam(13).setHasTech(3, true, 13, false, false)
				gc.getTeam(13).setHasTech(4, true, 13, false, false)
				gc.getTeam(13).setHasTech(25, true, 13, false, false)
				gc.getTeam(13).setHasTech(26, true, 13, false, false)
				gc.getTeam(13).setHasTech(27, true, 13, false, false)
				gc.getTeam(13).setHasTech(28, true, 13, false, false)
				gc.getTeam(13).setHasTech(30, true, 13, false, false)
				gc.getTeam(13).setHasTech(31, true, 13, false, false)
				gc.getTeam(13).setHasTech(59, true, 13, false, false)
				gc.getTeam(13).setHasTech(60, true, 13, false, false)
				gc.getTeam(13).setHasTech(61, true, 13, false, false)
				gc.getTeam(13).setHasTech(62, true, 13, false, false)
				gc.getTeam(13).setHasTech(63, true, 13, false, false)
				gc.getTeam(13).setHasTech(64, true, 13, false, false)
				gc.getTeam(13).setHasTech(10, true, 13, false, false)
				gc.getTeam(13).setHasTech(5, true, 13, false, false)
				gc.getTeam(13).setHasTech(6, true, 13, false, false)
				gc.getTeam(13).setHasTech(8, true, 13, false, false)
				gc.getTeam(13).setHasTech(29, true, 13, false, false)
				gc.getTeam(13).setHasTech(32, true, 13, false, false)
				gc.getTeam(13).setHasTech(33, true, 13, false, false)
				gc.getTeam(13).setHasTech(34, true, 13, false, false)
				gc.getTeam(13).setHasTech(35, true, 13, false, false)
				gc.getTeam(13).setHasTech(65, true, 13, false, false)
				gc.getTeam(13).setHasTech(67, true, 13, false, false)
				gc.getTeam(13).setHasTech(68, true, 13, false, false)
				gc.getTeam(13).setHasTech(69, true, 13, false, false)
				gc.getTeam(13).setHasTech(6, true, 13, false, false)
				gc.getTeam(13).setHasTech(9, true, 13, false, false)
				for tCoords in getPlotList((51, 46), (57, 52)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(13)
				franceMessage = "Frankish tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(franceMessage,"")
				CvUtil.pyPrint(franceMessage)
				PyPlayer(13).initUnit(4, 55, 50, 1)
				PyPlayer(13).initUnit(5, 55, 50, 2)
				PyPlayer(13).initUnit(60, 55, 50, 25)
				PyPlayer(13).initUnit(26, 55, 50, 25)
				PyPlayer(13).initUnit(18, 55, 50, 1)
#Spanish
		if isDate(475):
				if PyPlayer(7).isAlive():
						gc.getTeam(14).declareWar(7, True, -1)
				for tCoords in getAdjacentList((52, 43)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(14).initCity(52, 43)
				CyEngine().removeLandmark(pSpain)
				pSpain.getPlotCity().setPopulation(8)
				pSpain.getPlotCity().setCulture(14, 3000, True)
				pSpain.getPlotCity().setNumRealBuilding(3, 1)
				pSpain.getPlotCity().setNumRealBuilding(7, 1)
				pSpain.getPlotCity().setNumRealBuilding(9, 1)
				pSpain.getPlotCity().setNumRealBuilding(13, 1)
				pSpain.getPlotCity().setNumRealBuilding(15, 1)
				pSpain.getPlotCity().setNumRealBuilding(20, 1)
				pSpain.getPlotCity().setNumRealBuilding(22, 1)
				pSpain.getPlotCity().setNumRealBuilding(59, 1)
				pSpain.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(14).setHasTech(0, true, 14, false, false)
				gc.getTeam(14).setHasTech(1, true, 14, false, false)
				gc.getTeam(14).setHasTech(2, true, 14, false, false)
				gc.getTeam(14).setHasTech(3, true, 14, false, false)
				gc.getTeam(14).setHasTech(4, true, 14, false, false)
				gc.getTeam(14).setHasTech(25, true, 14, false, false)
				gc.getTeam(14).setHasTech(26, true, 14, false, false)
				gc.getTeam(14).setHasTech(27, true, 14, false, false)
				gc.getTeam(14).setHasTech(28, true, 14, false, false)
				gc.getTeam(14).setHasTech(30, true, 14, false, false)
				gc.getTeam(14).setHasTech(31, true, 14, false, false)
				gc.getTeam(14).setHasTech(59, true, 14, false, false)
				gc.getTeam(14).setHasTech(60, true, 14, false, false)
				gc.getTeam(14).setHasTech(61, true, 14, false, false)
				gc.getTeam(14).setHasTech(62, true, 14, false, false)
				gc.getTeam(14).setHasTech(63, true, 14, false, false)
				gc.getTeam(14).setHasTech(64, true, 14, false, false)
				gc.getTeam(14).setHasTech(10, true, 14, false, false)
				gc.getTeam(14).setHasTech(5, true, 14, false, false)
				gc.getTeam(14).setHasTech(6, true, 14, false, false)
				gc.getTeam(14).setHasTech(8, true, 14, false, false)
				gc.getTeam(14).setHasTech(29, true, 14, false, false)
				gc.getTeam(14).setHasTech(32, true, 14, false, false)
				gc.getTeam(14).setHasTech(33, true, 14, false, false)
				gc.getTeam(14).setHasTech(34, true, 14, false, false)
				gc.getTeam(14).setHasTech(35, true, 14, false, false)
				gc.getTeam(14).setHasTech(65, true, 14, false, false)
				gc.getTeam(14).setHasTech(67, true, 14, false, false)
				gc.getTeam(14).setHasTech(68, true, 14, false, false)
				gc.getTeam(14).setHasTech(69, true, 14, false, false)
				gc.getTeam(14).setHasTech(6, true, 14, false, false)
				gc.getTeam(14).setHasTech(9, true, 14, false, false)
				for tCoords in getPlotList((49, 40), (55, 46)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(14)
				spainMessage = "Iberian tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(spainMessage,"")
				CvUtil.pyPrint(spainMessage)
				PyPlayer(14).initUnit(4, 52, 43, 2)
				PyPlayer(14).initUnit(5, 52, 43, 2)
				PyPlayer(14).initUnit(60, 52, 43, 25)
				PyPlayer(14).initUnit(26, 52, 43, 25)
				PyPlayer(14).initUnit(18, 52, 43, 1)
#Germans
		if isDate(843):
				for tCoords in getAdjacentList((63, 52)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(15).initCity(63, 52)
				CyEngine().removeLandmark(pGermany)
				pGermany.getPlotCity().setPopulation(8)
				pGermany.getPlotCity().setCulture(15, 3000, True)
				pGermany.getPlotCity().setNumRealBuilding(3, 1)
				pGermany.getPlotCity().setNumRealBuilding(7, 1)
				pGermany.getPlotCity().setNumRealBuilding(9, 1)
				pGermany.getPlotCity().setNumRealBuilding(13, 1)
				pGermany.getPlotCity().setNumRealBuilding(15, 1)
				pGermany.getPlotCity().setNumRealBuilding(20, 1)
				pGermany.getPlotCity().setNumRealBuilding(22, 1)
				pGermany.getPlotCity().setNumRealBuilding(59, 1)
				pGermany.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(15).setHasTech(0, true, 15, false, false)
				gc.getTeam(15).setHasTech(1, true, 15, false, false)
				gc.getTeam(15).setHasTech(2, true, 15, false, false)
				gc.getTeam(15).setHasTech(3, true, 15, false, false)
				gc.getTeam(15).setHasTech(4, true, 15, false, false)
				gc.getTeam(15).setHasTech(25, true, 15, false, false)
				gc.getTeam(15).setHasTech(26, true, 15, false, false)
				gc.getTeam(15).setHasTech(27, true, 15, false, false)
				gc.getTeam(15).setHasTech(28, true, 15, false, false)
				gc.getTeam(15).setHasTech(30, true, 15, false, false)
				gc.getTeam(15).setHasTech(31, true, 15, false, false)
				gc.getTeam(15).setHasTech(59, true, 15, false, false)
				gc.getTeam(15).setHasTech(60, true, 15, false, false)
				gc.getTeam(15).setHasTech(61, true, 15, false, false)
				gc.getTeam(15).setHasTech(62, true, 15, false, false)
				gc.getTeam(15).setHasTech(63, true, 15, false, false)
				gc.getTeam(15).setHasTech(64, true, 15, false, false)
				gc.getTeam(15).setHasTech(10, true, 15, false, false)
				gc.getTeam(15).setHasTech(5, true, 15, false, false)
				gc.getTeam(15).setHasTech(6, true, 15, false, false)
				gc.getTeam(15).setHasTech(8, true, 15, false, false)
				gc.getTeam(15).setHasTech(29, true, 15, false, false)
				gc.getTeam(15).setHasTech(32, true, 15, false, false)
				gc.getTeam(15).setHasTech(33, true, 15, false, false)
				gc.getTeam(15).setHasTech(34, true, 15, false, false)
				gc.getTeam(15).setHasTech(35, true, 15, false, false)
				gc.getTeam(15).setHasTech(65, true, 15, false, false)
				gc.getTeam(15).setHasTech(67, true, 15, false, false)
				gc.getTeam(15).setHasTech(68, true, 15, false, false)
				gc.getTeam(15).setHasTech(69, true, 15, false, false)
				gc.getTeam(15).setHasTech(9, true, 15, false, false)
				for tCoords in getPlotList((57, 49), (64, 56)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(15)
				germanMessage = "Germanic tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(germanMessage,"")
				CvUtil.pyPrint(germanMessage)
				PyPlayer(15).initUnit(4, 63, 52, 1)
				PyPlayer(15).initUnit(5, 63, 52, 2)
				PyPlayer(15).initUnit(60, 63, 52, 25)
				PyPlayer(15).initUnit(18, 63, 52, 1)
#Russians
		if isDate(1000):
				if PyPlayer(5).isAlive():
						gc.getTeam(16).declareWar(5, True, -1)
				for tCoords in getAdjacentList((71, 54)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(16).initCity(71, 54)
				CyEngine().removeLandmark(pRussia)
				pRussia.getPlotCity().setPopulation(8)
				pRussia.getPlotCity().setCulture(16, 3000, True)
				pRussia.getPlotCity().setNumRealBuilding(3, 1)
				pRussia.getPlotCity().setNumRealBuilding(7, 1)
				pRussia.getPlotCity().setNumRealBuilding(9, 1)
				pRussia.getPlotCity().setNumRealBuilding(13, 1)
				pRussia.getPlotCity().setNumRealBuilding(15, 1)
				pRussia.getPlotCity().setNumRealBuilding(20, 1)
				pRussia.getPlotCity().setNumRealBuilding(22, 1)
				pRussia.getPlotCity().setNumRealBuilding(59, 1)
				pRussia.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(16).setHasTech(0, true, 16, false, false)
				gc.getTeam(16).setHasTech(1, true, 16, false, false)
				gc.getTeam(16).setHasTech(2, true, 16, false, false)
				gc.getTeam(16).setHasTech(3, true, 16, false, false)
				gc.getTeam(16).setHasTech(4, true, 16, false, false)
				gc.getTeam(16).setHasTech(25, true, 16, false, false)
				gc.getTeam(16).setHasTech(26, true, 16, false, false)
				gc.getTeam(16).setHasTech(27, true, 16, false, false)
				gc.getTeam(16).setHasTech(28, true, 16, false, false)
				gc.getTeam(16).setHasTech(30, true, 16, false, false)
				gc.getTeam(16).setHasTech(31, true, 16, false, false)
				gc.getTeam(16).setHasTech(59, true, 16, false, false)
				gc.getTeam(16).setHasTech(60, true, 16, false, false)
				gc.getTeam(16).setHasTech(61, true, 16, false, false)
				gc.getTeam(16).setHasTech(62, true, 16, false, false)
				gc.getTeam(16).setHasTech(63, true, 16, false, false)
				gc.getTeam(16).setHasTech(64, true, 16, false, false)
				gc.getTeam(16).setHasTech(10, true, 16, false, false)
				gc.getTeam(16).setHasTech(5, true, 16, false, false)
				gc.getTeam(16).setHasTech(6, true, 16, false, false)
				gc.getTeam(16).setHasTech(8, true, 16, false, false)
				gc.getTeam(16).setHasTech(29, true, 16, false, false)
				gc.getTeam(16).setHasTech(32, true, 16, false, false)
				gc.getTeam(16).setHasTech(33, true, 16, false, false)
				gc.getTeam(16).setHasTech(34, true, 16, false, false)
				gc.getTeam(16).setHasTech(35, true, 16, false, false)
				gc.getTeam(16).setHasTech(65, true, 16, false, false)
				gc.getTeam(16).setHasTech(67, true, 16, false, false)
				gc.getTeam(16).setHasTech(68, true, 16, false, false)
				gc.getTeam(16).setHasTech(69, true, 16, false, false)
				gc.getTeam(16).setHasTech(9, true, 16, false, false)
				for tCoords in getPlotList((65, 48), (82, 63)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(16)
				russiaMessage = "Slavic tribes have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(russiaMessage,"")
				CvUtil.pyPrint(russiaMessage)
				PyPlayer(16).initUnit(4, 71, 54, 2)
				PyPlayer(16).initUnit(5, 71, 54, 2)
				PyPlayer(16).initUnit(60, 71, 54, 25)
				PyPlayer(16).initUnit(26, 71, 54, 25)
				PyPlayer(16).initUnit(18, 71, 54, 1)

#American spawn and flip of eastern US 1775AD
def ameriSpawn():
		pAmerica = cyMap.plot(27, 46)
		if isDate(1775):
				if PyPlayer(12).isAlive():
						gc.getTeam(17).declareWar(12, True, -1)
				pAmerica.getPlotCity().kill()
				PyPlayer(17).initCity(27, 46)
				CyEngine().removeLandmark(pAmerica)
				pAmerica.getPlotCity().setPopulation(8)
				pAmerica.getPlotCity().setCulture(17, 8000, True)
				pAmerica.getPlotCity().setNumRealBuilding(3, 1)
				pAmerica.getPlotCity().setNumRealBuilding(7, 1)
				pAmerica.getPlotCity().setNumRealBuilding(9, 1)
				pAmerica.getPlotCity().setNumRealBuilding(13, 1)
				pAmerica.getPlotCity().setNumRealBuilding(15, 1)
				pAmerica.getPlotCity().setNumRealBuilding(20, 1)
				pAmerica.getPlotCity().setNumRealBuilding(22, 1)
				pAmerica.getPlotCity().setNumRealBuilding(59, 1)
				pAmerica.getPlotCity().setNumRealBuilding(43, 1)
				gc.getTeam(17).setHasTech(0, true, 17, false, false)
				gc.getTeam(17).setHasTech(1, true, 17, false, false)
				gc.getTeam(17).setHasTech(2, true, 17, false, false)
				gc.getTeam(17).setHasTech(3, true, 17, false, false)
				gc.getTeam(17).setHasTech(4, true, 17, false, false)
				gc.getTeam(17).setHasTech(25, true, 17, false, false)
				gc.getTeam(17).setHasTech(26, true, 17, false, false)
				gc.getTeam(17).setHasTech(27, true, 17, false, false)
				gc.getTeam(17).setHasTech(28, true, 17, false, false)
				gc.getTeam(17).setHasTech(30, true, 17, false, false)
				gc.getTeam(17).setHasTech(31, true, 17, false, false)
				gc.getTeam(17).setHasTech(59, true, 17, false, false)
				gc.getTeam(17).setHasTech(60, true, 17, false, false)
				gc.getTeam(17).setHasTech(61, true, 17, false, false)
				gc.getTeam(17).setHasTech(62, true, 17, false, false)
				gc.getTeam(17).setHasTech(63, true, 17, false, false)
				gc.getTeam(17).setHasTech(64, true, 17, false, false)
				gc.getTeam(17).setHasTech(14, true, 17, false, false)
				gc.getTeam(17).setHasTech(10, true, 17, false, false)
				gc.getTeam(17).setHasTech(5, true, 17, false, false)
				gc.getTeam(17).setHasTech(6, true, 17, false, false)
				gc.getTeam(17).setHasTech(7, true, 17, false, false)
				gc.getTeam(17).setHasTech(8, true, 17, false, false)
				gc.getTeam(17).setHasTech(29, true, 17, false, false)
				gc.getTeam(17).setHasTech(32, true, 17, false, false)
				gc.getTeam(17).setHasTech(33, true, 17, false, false)
				gc.getTeam(17).setHasTech(34, true, 17, false, false)
				gc.getTeam(17).setHasTech(35, true, 17, false, false)
				gc.getTeam(17).setHasTech(65, true, 17, false, false)
				gc.getTeam(17).setHasTech(67, true, 17, false, false)
				gc.getTeam(17).setHasTech(68, true, 17, false, false)
				gc.getTeam(17).setHasTech(69, true, 17, false, false)
				gc.getTeam(17).setHasTech(6, true, 17, false, false)
				gc.getTeam(17).setHasTech(9, true, 17, false, false)
				gc.getTeam(17).setHasTech(11, true, 17, false, false)
				gc.getTeam(17).setHasTech(12, true, 17, false, false)
				gc.getTeam(17).setHasTech(13, true, 17, false, false)
				gc.getTeam(17).setHasTech(36, true, 17, false, false)
				gc.getTeam(17).setHasTech(37, true, 17, false, false)
				gc.getTeam(17).setHasTech(38, true, 17, false, false)
				gc.getTeam(17).setHasTech(42, true, 17, false, false)
				gc.getTeam(17).setHasTech(70, true, 17, false, false)
				gc.getTeam(17).setHasTech(71, true, 17, false, false)
				gc.getTeam(17).setHasTech(72, true, 17, false, false)
				gc.getTeam(17).setHasTech(73, true, 17, false, false)
				gc.getTeam(17).setHasTech(40, true, 17, false, false)
				gc.getTeam(17).setHasTech(43, true, 17, false, false)
				gc.getTeam(17).setHasTech(66, true, 17, false, false)
				gc.getTeam(17).setHasTech(18, true, 17, false, false)
				gc.getTeam(17).setHasTech(39, true, 17, false, false)
				gc.getTeam(17).setHasTech(41, true, 17, false, false)
				gc.getTeam(17).setHasTech(15, true, 17, false, false)
				gc.getTeam(17).setHasTech(17, true, 17, false, false)
				gc.getTeam(17).setHasTech(78, true, 17, false, false)
				gc.getTeam(17).setHasTech(74, true, 17, false, false)
				for tCoords in getPlotList((23, 40), (33, 50)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						pPotentialCity = pCurrentPlot.getPlotCity()
						iUnhappy = pPotentialCity.unhappyLevel(0)
						if pPotentialCity != None:
								iHappy = pPotentialCity.happyLevel()
								if iUnhappy * 4 >= iHappy:
										pCurrentPlot.setOwner(17)
				americaMessage = "American colonists have united and declare their independence. A new civilization is born!"
				CyInterface().addImmediateMessage(americaMessage,"")
				CvUtil.pyPrint(americaMessage)
				PyPlayer(17).initUnit(4, 27, 46, 2)
				PyPlayer(17).initUnit(5, 27, 46, 2)
				PyPlayer(17).initUnit(42, 27, 46, 45)
				PyPlayer(17).initUnit(18, 27, 46, 1)
				PyPlayer(17).initUnit(42, 29, 47, 6)
				PyPlayer(17).initUnit(42, 31, 48, 6)

#colony spawn for Greeks and Celts 1600BC
def ancientSpawn():
		if isDate(-1400):
				if gc.getTeam(0).isHuman():
						if gc.getTeam(0).isHasTech(66):
								if gc.getTeam(0).isHasTech(30):
#Celts
										pDublin = cyMap.plot(49, 56)
										pTara = cyMap.plot(49, 57)
										islesMessage = "Having quickly mastered Iron Working and Sailing, industrious Celts have settled the British Isles."
										CyInterface().addImmediateMessage(islesMessage,"")
										CvUtil.pyPrint(islesMessage)
										for tCoords in getPlotList((49, 56), (49, 57)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(49, 56)
												if not pCurrentPlot.isCity():
														PyPlayer(0).initCity(49, 56)
														pDublin.getPlotCity().setName("Dublin", 1)
														PyPlayer(0).initUnit(5, 49, 56, 2)
														PyPlayer(0).initUnit(57, 49, 56, 3)
														pDublin.getPlotCity().setPopulation(3)
														pDublin.getPlotCity().setCulture(0, 200, True)
												pCurrentPlot = cyMap.plot(49, 57)
												if pCurrentPlot.isCity():
														pTara.getPlotCity().setName("Tara", 1)
														PyPlayer(0).initUnit(57, 49, 57, 3)
														pTara.getPlotCity().setPopulation(3)
														pTara.getPlotCity().setCulture(0, 200, True)
												else:
														for tCoords in getPlotList((49, 56), (49, 57)):
																x, y = tCoords
																pCurrentPlot = cyMap.plot(x,y)
																pPotentialCity = pCurrentPlot.getPlotCity()
																iUnhappy = pPotentialCity.unhappyLevel(0)
																if pPotentialCity != None:
																		iHappy = pPotentialCity.happyLevel()
																		if iUnhappy * 4 >= iHappy:
																				pCurrentPlot.setOwner(0)
																				pDublin.getPlotCity().setName("Dublin", 1)
										PyPlayer(0).initUnit(5, 49, 56, 2)
										PyPlayer(0).initUnit(57, 49, 56, 3)
										PyPlayer(0).initUnit(4, 51, 55, 1)
										PyPlayer(0).initUnit(5, 51, 55, 1)
										PyPlayer(0).initUnit(57, 51, 55, 3)
										PyPlayer(0).initUnit(4, 53, 59, 1)
										PyPlayer(0).initUnit(5, 53, 59, 1)
										PyPlayer(0).initUnit(57, 53, 59, 3)
#Greeks
				if gc.getTeam(5).isHuman():
						if gc.getTeam(5).isHasTech(66):
								if gc.getTeam(5).isHasTech(30):
										pByzantium = cyMap.plot(68, 45)
										pKnossos = cyMap.plot(69, 39)
										fishingMessage = "Having quickly mastered Iron Working and Sailing, industrious Greeks have settled the eastern Mediterranean."
										CyInterface().addImmediateMessage(fishingMessage,"")
										CvUtil.pyPrint(fishingMessage)
										for tCoords in getAdjacentList((68, 45)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(68, 45)
												if not pCurrentPlot.isCity():
														PyPlayer(5).initCity(68,45)
														pByzantium.getPlotCity().setName("Byzantium", 1)
														PyPlayer(5).initUnit(5, 68, 45, 1)
														PyPlayer(5).initUnit(57, 68, 45, 5)
														pByzantium.getPlotCity().setPopulation(3)
														pByzantium.getPlotCity().setCulture(5, 200, True)
										for tCoords in getAdjacentList((69, 39)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(69, 39)
												if not pCurrentPlot.isCity():
														PyPlayer(5).initCity(69, 39)
														pKnossos.getPlotCity().setPopulation(3)
														pKnossos.getPlotCity().setCulture(5, 200, True)
														pKnossos.getPlotCity().setName("Knossos", 1)
														PyPlayer(5).initUnit(5, 69, 39, 1)
														PyPlayer(5).initUnit(57, 69, 39, 3)
														
#AI automatically satisfies the requirements
		if isDate(-1400):
				if not gc.getTeam(0).isHuman():
						if PyPlayer(0).isAlive():
#Celts
								pDublin = cyMap.plot(49, 56)
								pTara = cyMap.plot(49, 57)
								islesMessage = "Having quickly mastered Iron Working and Sailing, industrious Celts have settled the British Isles."
								CyInterface().addImmediateMessage(islesMessage,"")
								CvUtil.pyPrint(islesMessage)
								for tCoords in getPlotList((49, 56), (49, 57)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(49, 56)
										if not pCurrentPlot.isCity():
												PyPlayer(0).initCity(49, 56)
												pDublin.getPlotCity().setName("Dublin", 1)
												PyPlayer(0).initUnit(5, 49, 56, 2)
												PyPlayer(0).initUnit(57, 49, 56, 3)
												pDublin.getPlotCity().setPopulation(3)
												pDublin.getPlotCity().setCulture(0, 200, True)
										pCurrentPlot = cyMap.plot(49, 57)
										if pCurrentPlot.isCity():
												pTara.getPlotCity().setName("Tara", 1)
												PyPlayer(0).initUnit(57, 49, 57, 3)
												pTara.getPlotCity().setPopulation(3)
												pTara.getPlotCity().setCulture(0, 200, True)
										else:
												for tCoords in getPlotList((49, 56), (49, 57)):
														x, y = tCoords
														pCurrentPlot = cyMap.plot(x,y)
														pPotentialCity = pCurrentPlot.getPlotCity()
														iUnhappy = pPotentialCity.unhappyLevel(0)
														if pPotentialCity != None:
																iHappy = pPotentialCity.happyLevel()
																if iUnhappy * 4 >= iHappy:
																		pCurrentPlot.setOwner(0)
																		pDublin.getPlotCity().setName("Dublin", 1)
								PyPlayer(0).initUnit(5, 49, 56, 2)
								PyPlayer(0).initUnit(57, 49, 56, 3)
								PyPlayer(0).initUnit(4, 51, 55, 1)
								PyPlayer(0).initUnit(5, 51, 55, 1)
								PyPlayer(0).initUnit(57, 51, 55, 3)
								PyPlayer(0).initUnit(4, 53, 59, 1)
								PyPlayer(0).initUnit(5, 53, 59, 1)
								PyPlayer(0).initUnit(57, 53, 59, 3)

#Greeks
				if not gc.getTeam(5).isHuman():
						if PyPlayer(5).isAlive():
								pByzantium = cyMap.plot(68, 45)
								pKnossos = cyMap.plot(69, 39)
								fishingMessage = "Having quickly mastered Iron Working and Sailing, industrious Greeks have settled the eastern Mediterranean."
								CyInterface().addImmediateMessage(fishingMessage,"")
								CvUtil.pyPrint(fishingMessage)
								for tCoords in getAdjacentList((68, 45)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(68, 45)
										if not pCurrentPlot.isCity():
												PyPlayer(5).initCity(68,45)
												pByzantium.getPlotCity().setName("Byzantium", 1)
												PyPlayer(5).initUnit(5, 68, 45, 1)
												PyPlayer(5).initUnit(57, 68, 45, 5)
												pByzantium.getPlotCity().setPopulation(3)
												pByzantium.getPlotCity().setCulture(5, 200, True)
								for tCoords in getAdjacentList((69, 39)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(69, 39)
										if not pCurrentPlot.isCity():
												PyPlayer(5).initCity(69, 39)
												pKnossos.getPlotCity().setPopulation(3)
												pKnossos.getPlotCity().setCulture(5, 200, True)
												pKnossos.getPlotCity().setName("Knossos", 1)
												PyPlayer(5).initUnit(5, 69, 39, 1)
												PyPlayer(5).initUnit(57, 69, 39, 3)


#spawns German colonies in Scandinavia and Iceland 1200AD
def scandiSpawn():
		if isDate(1200):
				if gc.getTeam(15).isHuman():
						if gc.getTeam(15).isHasTech(9):
								if gc.getTeam(15).isHasTech(13):
#Scandinavia
										for tCoords in getPlotList((57, 55), (65, 65)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(15)
										PyPlayer(15).initUnit(4, 63, 58, 1)
										PyPlayer(15).initUnit(5, 63, 58, 2)
										PyPlayer(15).initUnit(60, 63, 58, 4)
										PyPlayer(15).initUnit(4, 59, 59, 1)
										PyPlayer(15).initUnit(5, 59, 59, 2)
										PyPlayer(15).initUnit(60, 59, 59, 4)
#Iceland
										for tCoords in getPlotList((44, 62), (48, 64)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(15)
										PyPlayer(15).initUnit(4, 45, 62, 1)
										PyPlayer(15).initUnit(5, 45, 62, 2)
										PyPlayer(15).initUnit(60, 45, 62, 4)
										scandiMessage = "Tribes in Scandinavia unite with their Germanic brethren."
										CyInterface().addImmediateMessage(scandiMessage,"")
										CvUtil.pyPrint(scandiMessage)
#AI automatically fulfills requirements
				if not gc.getTeam(15).isHuman():
						if PyPlayer(15).isAlive():
#Scandinavia
								for tCoords in getPlotList((57, 55), (65, 65)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(15)
								PyPlayer(15).initUnit(4, 63, 58, 1)
								PyPlayer(15).initUnit(5, 63, 58, 2)
								PyPlayer(15).initUnit(60, 63, 58, 4)
								PyPlayer(15).initUnit(4, 59, 59, 1)
								PyPlayer(15).initUnit(5, 59, 59, 2)
								PyPlayer(15).initUnit(60, 59, 59, 4)
#Iceland
								for tCoords in getPlotList((44, 62), (48, 64)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(15)
								PyPlayer(15).initUnit(4, 45, 62, 1)
								PyPlayer(15).initUnit(5, 45, 62, 2)
								PyPlayer(15).initUnit(60, 45, 62, 4)
								scandiMessage = "Tribes in Scandinavia unite with their Germanic brethren."
								CyInterface().addImmediateMessage(scandiMessage,"")
								CvUtil.pyPrint(scandiMessage)

#American spawns and flip of western US and Hawaii 1900AD
def ameriFlip():
		if isDate(1900):
				if gc.getTeam(17).isHuman():
						if gc.getTeam(17).isHasTech(80):
								for tCoords in getPlotList((11, 42), (22, 51)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
													pCurrentPlot.setOwner(17)
								for tCoords in getPlotList((0, 34), (7, 39)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(17)
								pHonolulu = cyMap.plot(1, 38)
								pHonolulu.getPlotCity().kill()
								PyPlayer(17).initCity(1, 38)
								pHonolulu.getPlotCity().setName("Honolulu", 1)
								manifestMessage = "The United States achieves Manifest Destiny."
								CyInterface().addImmediateMessage(manifestMessage,"")
								CvUtil.pyPrint(manifestMessage)
								PyPlayer(17).initUnit(5, 3, 37, 1)
								PyPlayer(17).initUnit(46, 3, 37, 3)
								PyPlayer(17).initUnit(4, 5, 36, 1)
								PyPlayer(17).initUnit(5, 5, 36, 1)
								PyPlayer(17).initUnit(4, 11, 49, 5)
								PyPlayer(17).initUnit(5, 11, 49, 5)
								PyPlayer(17).initUnit(46, 11, 49, 15)
#AI automatically satisfies requirements
		if isDate(1900):
				if not gc.getTeam(17).isHuman():
						if PyPlayer(17).isAlive():
								for tCoords in getPlotList((11, 42), (22, 51)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(17)
								for tCoords in getPlotList((0, 34), (7, 39)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(17)
								pHonolulu = cyMap.plot(1, 38)
								pHonolulu.getPlotCity().kill()
								PyPlayer(17).initCity(1, 38)
								pHonolulu.getPlotCity().setName("Honolulu", 1)
								manifestMessage = "The United States achieves Manifest Destiny."
								CyInterface().addImmediateMessage(manifestMessage,"")
								CvUtil.pyPrint(manifestMessage)
								PyPlayer(17).initUnit(5, 3, 37, 1)
								PyPlayer(17).initUnit(46, 3, 37, 3)
								PyPlayer(17).initUnit(4, 5, 36, 1)
								PyPlayer(17).initUnit(5, 5, 36, 1)
								PyPlayer(17).initUnit(4, 11, 49, 5)
								PyPlayer(17).initUnit(5, 11, 49, 5)
								PyPlayer(17).initUnit(46, 11, 49, 15)
#spawns vikings and mongols
def barbSpawn():
#Tibet and Indochina
		if isDate(-3900):
				pLhasa = cyMap.plot(95, 43)
				pSaigon = cyMap.plot(103, 33)
				for tCoords in getAdjacentList((95, 43)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(18).initCity(95, 43)
				pLhasa.getPlotCity().setPopulation(3)
				pLhasa.getPlotCity().setCulture(18, 200, True)
				pLhasa.getPlotCity().setName("Lhasa", 1)
				PyPlayer(18).initUnit(57, 95, 43, 5)
				for tCoords in getAdjacentList((102, 32)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(18).initCity(103, 33)
				pSaigon.getPlotCity().setPopulation(3)
				pSaigon.getPlotCity().setCulture(18, 200, True)
				pSaigon.getPlotCity().setName("Saigon", 1)
				PyPlayer(18).initUnit(57, 103, 33, 5)
#Byzantium, and Jerusalem
		if isDate(-3900):
				pByz = cyMap.plot(68, 45)
				pJeru = cyMap.plot(73, 38)
				for tCoords in getAdjacentList((68, 45)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(18).initCity(68, 45)
				pByz.getPlotCity().setPopulation(3)
				pByz.getPlotCity().setCulture(18, 200, True)
				pByz.getPlotCity().setName("Byzantium", 1)
				PyPlayer(18).initUnit(57, 68, 45, 5)
				for tCoords in getAdjacentList((73, 38)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(18).initCity(73, 38)
				pJeru.getPlotCity().setPopulation(3)
				pJeru.getPlotCity().setCulture(18, 200, True)
				pJeru.getPlotCity().setName("Jerusalem", 1)
				PyPlayer(18).initUnit(57, 73, 38, 5)
#barbspawn in east US in case brits or celts can't do it
		if isDate(-3900):
				pGotham = cyMap.plot(30, 48)
				pPhilly = cyMap.plot(28, 47)
				pBeantown = cyMap.plot(31, 49)
				for tCoords in getAdjacentList((30, 48)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				for tCoords in getAdjacentList((28, 47)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				for tCoords in getAdjacentList((31, 49)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x, y)
						if pCurrentPlot.isCity():
								pCity = pCurrentPlot.getPlotCity()
								pCity.kill()
				PyPlayer(18).initCity(30, 48)
				pGotham.getPlotCity().setPopulation(3)
				pGotham.getPlotCity().setCulture(18, 200, True)
				pGotham.getPlotCity().setName("New York", 1)
				PyPlayer(18).initUnit(57, 30, 48, 5)
				PyPlayer(18).initCity(28, 47)
				pPhilly.getPlotCity().setPopulation(3)
				pPhilly.getPlotCity().setCulture(18, 200, True)
				pPhilly.getPlotCity().setName("Philadelphia", 1)
				PyPlayer(18).initUnit(57, 28, 47, 5)
				PyPlayer(18).initCity(31, 49)
				pBeantown.getPlotCity().setPopulation(3)
				pBeantown.getPlotCity().setCulture(18, 200, True)
				pBeantown.getPlotCity().setName("Boston", 1)
				PyPlayer(18).initUnit(57, 31, 49, 5)
				
def civRespawn():
#Egypt 1805
		if isDate(1800):
				if not PyPlayer(1).isAlive():
						for tCoords in getPlotList((66, 29), (71, 36)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(1)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(1).initUnit(42, 68, 32, 5)
						egyptRespawnMessage = "Led by Muhammad Ali, Egyptian nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(egyptRespawnMessage,"")
						CvUtil.pyPrint(egyptRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(1).makePeace(0)
						if PyPlayer(2).isAlive():
								gc.getTeam(1).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(1).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(1).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(1).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(1).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(1).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(1).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(1).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(1).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(1).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(1).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(1).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(1).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(1).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(1).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(1).makePeace(17)
						gc.getTeam(1).setHasTech(1, true, 1, false, false)
						gc.getTeam(1).setHasTech(2, true, 1, false, false)
						gc.getTeam(1).setHasTech(3, true, 1, false, false)
						gc.getTeam(1).setHasTech(4, true, 1, false, false)
						gc.getTeam(1).setHasTech(5, true, 1, false, false)
						gc.getTeam(1).setHasTech(6, true, 1, false, false)
						gc.getTeam(1).setHasTech(7, true, 1, false, false)
						gc.getTeam(1).setHasTech(8, true, 1, false, false)
						gc.getTeam(1).setHasTech(9, true, 1, false, false)
						gc.getTeam(1).setHasTech(10, true, 1, false, false)
						gc.getTeam(1).setHasTech(11, true, 1, false, false)
						gc.getTeam(1).setHasTech(12, true, 1, false, false)
						gc.getTeam(1).setHasTech(13, true, 1, false, false)
						gc.getTeam(1).setHasTech(14, true, 1, false, false)
						gc.getTeam(1).setHasTech(15, true, 1, false, false)
						gc.getTeam(1).setHasTech(16, true, 1, false, false)
						gc.getTeam(1).setHasTech(17, true, 1, false, false)
						gc.getTeam(1).setHasTech(18, true, 1, false, false)
						gc.getTeam(1).setHasTech(19, true, 1, false, false)
						gc.getTeam(1).setHasTech(20, true, 1, false, false)
						gc.getTeam(1).setHasTech(21, true, 1, false, false)
						gc.getTeam(1).setHasTech(22, true, 1, false, false)
						gc.getTeam(1).setHasTech(23, true, 1, false, false)
						gc.getTeam(1).setHasTech(24, true, 1, false, false)
						gc.getTeam(1).setHasTech(25, true, 1, false, false)
						gc.getTeam(1).setHasTech(26, true, 1, false, false)
						gc.getTeam(1).setHasTech(27, true, 1, false, false)
						gc.getTeam(1).setHasTech(28, true, 1, false, false)
						gc.getTeam(1).setHasTech(29, true, 1, false, false)
						gc.getTeam(1).setHasTech(30, true, 1, false, false)
						gc.getTeam(1).setHasTech(31, true, 1, false, false)
						gc.getTeam(1).setHasTech(32, true, 1, false, false)
						gc.getTeam(1).setHasTech(33, true, 1, false, false)
						gc.getTeam(1).setHasTech(34, true, 1, false, false)
						gc.getTeam(1).setHasTech(35, true, 1, false, false)
						gc.getTeam(1).setHasTech(36, true, 1, false, false)
						gc.getTeam(1).setHasTech(37, true, 1, false, false)
						gc.getTeam(1).setHasTech(38, true, 1, false, false)
						gc.getTeam(1).setHasTech(39, true, 1, false, false)
						gc.getTeam(1).setHasTech(40, true, 1, false, false)
						gc.getTeam(1).setHasTech(41, true, 1, false, false)
						gc.getTeam(1).setHasTech(42, true, 1, false, false)
						gc.getTeam(1).setHasTech(43, true, 1, false, false)
						gc.getTeam(1).setHasTech(44, true, 1, false, false)
						gc.getTeam(1).setHasTech(45, true, 1, false, false)
						gc.getTeam(1).setHasTech(46, true, 1, false, false)
						gc.getTeam(1).setHasTech(47, true, 1, false, false)
						gc.getTeam(1).setHasTech(59, true, 1, false, false)
						gc.getTeam(1).setHasTech(60, true, 1, false, false)
						gc.getTeam(1).setHasTech(61, true, 1, false, false)
						gc.getTeam(1).setHasTech(62, true, 1, false, false)
						gc.getTeam(1).setHasTech(63, true, 1, false, false)
						gc.getTeam(1).setHasTech(64, true, 1, false, false)
						gc.getTeam(1).setHasTech(65, true, 1, false, false)
						gc.getTeam(1).setHasTech(66, true, 1, false, false)
						gc.getTeam(1).setHasTech(67, true, 1, false, false)
						gc.getTeam(1).setHasTech(68, true, 1, false, false)
						gc.getTeam(1).setHasTech(69, true, 1, false, false)
						gc.getTeam(1).setHasTech(70, true, 1, false, false)
						gc.getTeam(1).setHasTech(71, true, 1, false, false)
						gc.getTeam(1).setHasTech(72, true, 1, false, false)
						gc.getTeam(1).setHasTech(73, true, 1, false, false)
				if gc.getTeam(1).isAVassal():
						for tCoords in getPlotList((66, 29), (71, 36)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(1)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(1).initUnit(42, 68, 32, 5)
						egyptRespawnMessage = "Led by Muhammad Ali, Egyptian nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(egyptRespawnMessage,"")
						CvUtil.pyPrint(egyptRespawnMessage)
		if isDate (1806):
				cultureGift(1)
				for tCoords in getPlotList((68, 31), (68, 31)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 1:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(1)
												gc.getTeam(eTeam).makePeace(1)

#Greeks 1821
		if isDate(1820):
				if not PyPlayer(5).isAlive():
						for tCoords in getPlotList((64, 39), (69, 45)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(5)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(5).initUnit(46, 67, 42, 5)
						greeceRespawnMessage = "Led by Alexander Ypsilantis, Greek nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(greeceRespawnMessage,"")
						CvUtil.pyPrint(greeceRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(5).makePeace(0)
						if PyPlayer(1).isAlive():
								gc.getTeam(5).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(5).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(5).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(5).makePeace(4)
						if PyPlayer(6).isAlive():
								gc.getTeam(5).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(5).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(5).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(5).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(5).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(5).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(5).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(5).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(5).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(5).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(5).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(5).makePeace(17)
						gc.getTeam(5).setHasTech(1, true, 5, false, false)
						gc.getTeam(5).setHasTech(2, true, 5, false, false)
						gc.getTeam(5).setHasTech(3, true, 5, false, false)
						gc.getTeam(5).setHasTech(4, true, 5, false, false)
						gc.getTeam(5).setHasTech(5, true, 5, false, false)
						gc.getTeam(5).setHasTech(6, true, 5, false, false)
						gc.getTeam(5).setHasTech(7, true, 5, false, false)
						gc.getTeam(5).setHasTech(8, true, 5, false, false)
						gc.getTeam(5).setHasTech(9, true, 5, false, false)
						gc.getTeam(5).setHasTech(10, true, 5, false, false)
						gc.getTeam(5).setHasTech(11, true, 5, false, false)
						gc.getTeam(5).setHasTech(12, true, 5, false, false)
						gc.getTeam(5).setHasTech(13, true, 5, false, false)
						gc.getTeam(5).setHasTech(14, true, 5, false, false)
						gc.getTeam(5).setHasTech(15, true, 5, false, false)
						gc.getTeam(5).setHasTech(16, true, 5, false, false)
						gc.getTeam(5).setHasTech(17, true, 5, false, false)
						gc.getTeam(5).setHasTech(18, true, 5, false, false)
						gc.getTeam(5).setHasTech(19, true, 5, false, false)
						gc.getTeam(5).setHasTech(20, true, 5, false, false)
						gc.getTeam(5).setHasTech(21, true, 5, false, false)
						gc.getTeam(5).setHasTech(22, true, 5, false, false)
						gc.getTeam(5).setHasTech(23, true, 5, false, false)
						gc.getTeam(5).setHasTech(24, true, 5, false, false)
						gc.getTeam(5).setHasTech(25, true, 5, false, false)
						gc.getTeam(5).setHasTech(26, true, 5, false, false)
						gc.getTeam(5).setHasTech(27, true, 5, false, false)
						gc.getTeam(5).setHasTech(28, true, 5, false, false)
						gc.getTeam(5).setHasTech(29, true, 5, false, false)
						gc.getTeam(5).setHasTech(30, true, 5, false, false)
						gc.getTeam(5).setHasTech(31, true, 5, false, false)
						gc.getTeam(5).setHasTech(32, true, 5, false, false)
						gc.getTeam(5).setHasTech(33, true, 5, false, false)
						gc.getTeam(5).setHasTech(34, true, 5, false, false)
						gc.getTeam(5).setHasTech(35, true, 5, false, false)
						gc.getTeam(5).setHasTech(36, true, 5, false, false)
						gc.getTeam(5).setHasTech(37, true, 5, false, false)
						gc.getTeam(5).setHasTech(38, true, 5, false, false)
						gc.getTeam(5).setHasTech(39, true, 5, false, false)
						gc.getTeam(5).setHasTech(40, true, 5, false, false)
						gc.getTeam(5).setHasTech(41, true, 5, false, false)
						gc.getTeam(5).setHasTech(42, true, 5, false, false)
						gc.getTeam(5).setHasTech(43, true, 5, false, false)
						gc.getTeam(5).setHasTech(44, true, 5, false, false)
						gc.getTeam(5).setHasTech(45, true, 5, false, false)
						gc.getTeam(5).setHasTech(46, true, 5, false, false)
						gc.getTeam(5).setHasTech(47, true, 5, false, false)
						gc.getTeam(5).setHasTech(59, true, 5, false, false)
						gc.getTeam(5).setHasTech(60, true, 5, false, false)
						gc.getTeam(5).setHasTech(61, true, 5, false, false)
						gc.getTeam(5).setHasTech(62, true, 5, false, false)
						gc.getTeam(5).setHasTech(63, true, 5, false, false)
						gc.getTeam(5).setHasTech(64, true, 5, false, false)
						gc.getTeam(5).setHasTech(65, true, 5, false, false)
						gc.getTeam(5).setHasTech(66, true, 5, false, false)
						gc.getTeam(5).setHasTech(67, true, 5, false, false)
						gc.getTeam(5).setHasTech(68, true, 5, false, false)
						gc.getTeam(5).setHasTech(69, true, 5, false, false)
						gc.getTeam(5).setHasTech(70, true, 5, false, false)
						gc.getTeam(5).setHasTech(71, true, 5, false, false)
						gc.getTeam(5).setHasTech(72, true, 5, false, false)
						gc.getTeam(5).setHasTech(73, true, 5, false, false)
				if gc.getTeam(5).isAVassal():
						for tCoords in getPlotList((64, 39), (69, 45)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(5)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(5).initUnit(46, 67, 42, 5)
						greeceRespawnMessage = "Led by Alexander Ypsilantis, Greek nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(greeceRespawnMessage,"")
						CvUtil.pyPrint(greeceRespawnMessage)
		if isDate (1821):
				cultureGift(5)
				for tCoords in getPlotList((67, 42), (67, 42)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 5:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(5)
												gc.getTeam(eTeam).makePeace(5)


#Romans 1861  unit
		if isDate(1860):
				if not PyPlayer(7).isAlive():
						for tCoords in getPlotList((58, 40), (63, 47)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										pRome2 = cyMap.plot(60, 44)
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(7)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(7).initUnit(46, 60, 44, 5)
												pRome2.getPlotCity().setNumRealBuilding(0, 1)
						romeRespawnMessage = "Under the leadership of Giuseppe Garibaldi, Italian nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(romeRespawnMessage,"")
						CvUtil.pyPrint(romeRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(1).makePeace(0)
						if PyPlayer(1).isAlive():
								gc.getTeam(1).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(1).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(1).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(1).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(1).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(1).makePeace(6)
						if PyPlayer(8).isAlive():
								gc.getTeam(1).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(1).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(1).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(1).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(1).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(1).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(1).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(1).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(1).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(1).makePeace(17)
						gc.getTeam(7).setHasTech(1, true, 7, false, false)
						gc.getTeam(7).setHasTech(2, true, 7, false, false)
						gc.getTeam(7).setHasTech(3, true, 7, false, false)
						gc.getTeam(7).setHasTech(4, true, 7, false, false)
						gc.getTeam(7).setHasTech(5, true, 7, false, false)
						gc.getTeam(7).setHasTech(6, true, 7, false, false)
						gc.getTeam(7).setHasTech(7, true, 7, false, false)
						gc.getTeam(7).setHasTech(8, true, 7, false, false)
						gc.getTeam(7).setHasTech(9, true, 7, false, false)
						gc.getTeam(7).setHasTech(10, true, 7, false, false)
						gc.getTeam(7).setHasTech(11, true, 7, false, false)
						gc.getTeam(7).setHasTech(12, true, 7, false, false)
						gc.getTeam(7).setHasTech(13, true, 7, false, false)
						gc.getTeam(7).setHasTech(14, true, 7, false, false)
						gc.getTeam(7).setHasTech(15, true, 7, false, false)
						gc.getTeam(7).setHasTech(16, true, 7, false, false)
						gc.getTeam(7).setHasTech(17, true, 7, false, false)
						gc.getTeam(7).setHasTech(18, true, 7, false, false)
						gc.getTeam(7).setHasTech(19, true, 7, false, false)
						gc.getTeam(7).setHasTech(20, true, 7, false, false)
						gc.getTeam(7).setHasTech(21, true, 7, false, false)
						gc.getTeam(7).setHasTech(22, true, 7, false, false)
						gc.getTeam(7).setHasTech(23, true, 7, false, false)
						gc.getTeam(7).setHasTech(24, true, 7, false, false)
						gc.getTeam(7).setHasTech(25, true, 7, false, false)
						gc.getTeam(7).setHasTech(26, true, 7, false, false)
						gc.getTeam(7).setHasTech(27, true, 7, false, false)
						gc.getTeam(7).setHasTech(28, true, 7, false, false)
						gc.getTeam(7).setHasTech(29, true, 7, false, false)
						gc.getTeam(7).setHasTech(30, true, 7, false, false)
						gc.getTeam(7).setHasTech(31, true, 7, false, false)
						gc.getTeam(7).setHasTech(32, true, 7, false, false)
						gc.getTeam(7).setHasTech(33, true, 7, false, false)
						gc.getTeam(7).setHasTech(34, true, 7, false, false)
						gc.getTeam(7).setHasTech(35, true, 7, false, false)
						gc.getTeam(7).setHasTech(36, true, 7, false, false)
						gc.getTeam(7).setHasTech(37, true, 7, false, false)
						gc.getTeam(7).setHasTech(38, true, 7, false, false)
						gc.getTeam(7).setHasTech(39, true, 7, false, false)
						gc.getTeam(7).setHasTech(40, true, 7, false, false)
						gc.getTeam(7).setHasTech(41, true, 7, false, false)
						gc.getTeam(7).setHasTech(42, true, 7, false, false)
						gc.getTeam(7).setHasTech(43, true, 7, false, false)
						gc.getTeam(7).setHasTech(44, true, 7, false, false)
						gc.getTeam(7).setHasTech(45, true, 7, false, false)
						gc.getTeam(7).setHasTech(46, true, 7, false, false)
						gc.getTeam(7).setHasTech(47, true, 7, false, false)
						gc.getTeam(7).setHasTech(59, true, 7, false, false)
						gc.getTeam(7).setHasTech(60, true, 7, false, false)
						gc.getTeam(7).setHasTech(61, true, 7, false, false)
						gc.getTeam(7).setHasTech(62, true, 7, false, false)
						gc.getTeam(7).setHasTech(63, true, 7, false, false)
						gc.getTeam(7).setHasTech(64, true, 7, false, false)
						gc.getTeam(7).setHasTech(65, true, 7, false, false)
						gc.getTeam(7).setHasTech(66, true, 7, false, false)
						gc.getTeam(7).setHasTech(67, true, 7, false, false)
						gc.getTeam(7).setHasTech(68, true, 7, false, false)
						gc.getTeam(7).setHasTech(69, true, 7, false, false)
						gc.getTeam(7).setHasTech(70, true, 7, false, false)
						gc.getTeam(7).setHasTech(71, true, 7, false, false)
						gc.getTeam(7).setHasTech(72, true, 7, false, false)
						gc.getTeam(7).setHasTech(73, true, 7, false, false)
				if gc.getTeam(7).isAVassal():
						for tCoords in getPlotList((58, 40), (63, 47)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										pRome2 = cyMap.plot(60, 44)
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(7)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(7).initUnit(46, 60, 44, 5)
												pRome2.getPlotCity().setNumRealBuilding(0, 1)
						romeRespawnMessage = "Under the leadership of Giuseppe Garibaldi, Italian nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(romeRespawnMessage,"")
						CvUtil.pyPrint(romeRespawnMessage)
		if isDate (1861):
				cultureGift(7)
				for tCoords in getPlotList((60, 44), (60, 44)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 7:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(7)
												gc.getTeam(eTeam).makePeace(7)

#Celts 1916   
		if isDate(1915):
				if not PyPlayer(0).isAlive():
						for tCoords in getPlotList((46, 54), (50, 59)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(0)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(0).initUnit(46, 49, 56, 5)
						irelandRespawnMessage = "Under the leadership of Michael Collins, Irish nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(irelandRespawnMessage,"")
						CvUtil.pyPrint(irelandRespawnMessage)
						if PyPlayer(1).isAlive():
								gc.getTeam(0).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(0).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(0).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(0).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(0).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(0).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(0).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(0).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(0).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(0).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(0).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(0).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(0).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(0).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(0).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(0).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(0).makePeace(17)
						gc.getTeam(0).setHasTech(1, true, 0, false, false)
						gc.getTeam(0).setHasTech(2, true, 0, false, false)
						gc.getTeam(0).setHasTech(3, true, 0, false, false)
						gc.getTeam(0).setHasTech(4, true, 0, false, false)
						gc.getTeam(0).setHasTech(5, true, 0, false, false)
						gc.getTeam(0).setHasTech(6, true, 0, false, false)
						gc.getTeam(0).setHasTech(7, true, 0, false, false)
						gc.getTeam(0).setHasTech(8, true, 0, false, false)
						gc.getTeam(0).setHasTech(9, true, 0, false, false)
						gc.getTeam(0).setHasTech(10, true, 0, false, false)
						gc.getTeam(0).setHasTech(11, true, 0, false, false)
						gc.getTeam(0).setHasTech(12, true, 0, false, false)
						gc.getTeam(0).setHasTech(13, true, 0, false, false)
						gc.getTeam(0).setHasTech(14, true, 0, false, false)
						gc.getTeam(0).setHasTech(15, true, 0, false, false)
						gc.getTeam(0).setHasTech(16, true, 0, false, false)
						gc.getTeam(0).setHasTech(17, true, 0, false, false)
						gc.getTeam(0).setHasTech(18, true, 0, false, false)
						gc.getTeam(0).setHasTech(19, true, 0, false, false)
						gc.getTeam(0).setHasTech(20, true, 0, false, false)
						gc.getTeam(0).setHasTech(21, true, 0, false, false)
						gc.getTeam(0).setHasTech(22, true, 0, false, false)
						gc.getTeam(0).setHasTech(23, true, 0, false, false)
						gc.getTeam(0).setHasTech(24, true, 0, false, false)
						gc.getTeam(0).setHasTech(25, true, 0, false, false)
						gc.getTeam(0).setHasTech(26, true, 0, false, false)
						gc.getTeam(0).setHasTech(27, true, 0, false, false)
						gc.getTeam(0).setHasTech(28, true, 0, false, false)
						gc.getTeam(0).setHasTech(29, true, 0, false, false)
						gc.getTeam(0).setHasTech(30, true, 0, false, false)
						gc.getTeam(0).setHasTech(31, true, 0, false, false)
						gc.getTeam(0).setHasTech(32, true, 0, false, false)
						gc.getTeam(0).setHasTech(33, true, 0, false, false)
						gc.getTeam(0).setHasTech(34, true, 0, false, false)
						gc.getTeam(0).setHasTech(35, true, 0, false, false)
						gc.getTeam(0).setHasTech(36, true, 0, false, false)
						gc.getTeam(0).setHasTech(37, true, 0, false, false)
						gc.getTeam(0).setHasTech(38, true, 0, false, false)
						gc.getTeam(0).setHasTech(39, true, 0, false, false)
						gc.getTeam(0).setHasTech(40, true, 0, false, false)
						gc.getTeam(0).setHasTech(41, true, 0, false, false)
						gc.getTeam(0).setHasTech(42, true, 0, false, false)
						gc.getTeam(0).setHasTech(43, true, 0, false, false)
						gc.getTeam(0).setHasTech(44, true, 0, false, false)
						gc.getTeam(0).setHasTech(45, true, 0, false, false)
						gc.getTeam(0).setHasTech(46, true, 0, false, false)
						gc.getTeam(0).setHasTech(47, true, 0, false, false)
						gc.getTeam(0).setHasTech(59, true, 0, false, false)
						gc.getTeam(0).setHasTech(60, true, 0, false, false)
						gc.getTeam(0).setHasTech(61, true, 0, false, false)
						gc.getTeam(0).setHasTech(62, true, 0, false, false)
						gc.getTeam(0).setHasTech(63, true, 0, false, false)
						gc.getTeam(0).setHasTech(64, true, 0, false, false)
						gc.getTeam(0).setHasTech(65, true, 0, false, false)
						gc.getTeam(0).setHasTech(66, true, 0, false, false)
						gc.getTeam(0).setHasTech(67, true, 0, false, false)
						gc.getTeam(0).setHasTech(68, true, 0, false, false)
						gc.getTeam(0).setHasTech(69, true, 0, false, false)
						gc.getTeam(0).setHasTech(70, true, 0, false, false)
						gc.getTeam(0).setHasTech(71, true, 0, false, false)
						gc.getTeam(0).setHasTech(72, true, 0, false, false)
						gc.getTeam(0).setHasTech(73, true, 0, false, false)
						gc.getTeam(0).setHasTech(76, true, 0, false, false)
						gc.getTeam(0).setHasTech(82, true, 0, false, false)
						gc.getTeam(0).setHasTech(48, true, 0, false, false)
				if gc.getTeam(0).isAVassal():
						for tCoords in getPlotList((46, 54), (50, 59)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(0)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(0).initUnit(46, 49, 56, 5)
						irelandRespawnMessage = "Under the leadership of Michael Collins, Irish nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(irelandRespawnMessage,"")
						CvUtil.pyPrint(irelandRespawnMessage)
		if isDate (1916):
				cultureGift(0)
				for tCoords in getPlotList((49, 56), (49, 56)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 0:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(0)
												gc.getTeam(eTeam).makePeace(0)
#India 1947 
		if isDate(1945):
				if not PyPlayer(3).isAlive():
						for tCoords in getPlotList((86, 29), (97, 40)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(3)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(3).initUnit(46, 91, 41, 5)
						indiaRespawnMessage = "Under the leadership of Mohandas Gandhi, Indian nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(indiaRespawnMessage,"")
						CvUtil.pyPrint(indiaRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(3).makePeace(0)
						if PyPlayer(1).isAlive():
								gc.getTeam(3).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(3).makePeace(2)
						if PyPlayer(4).isAlive():
								gc.getTeam(3).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(3).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(3).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(3).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(3).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(3).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(3).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(3).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(3).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(3).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(3).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(3).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(3).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(3).makePeace(17)
						gc.getTeam(3).setHasTech(1, true, 3, false, false)
						gc.getTeam(3).setHasTech(2, true, 3, false, false)
						gc.getTeam(3).setHasTech(3, true, 3, false, false)
						gc.getTeam(3).setHasTech(4, true, 3, false, false)
						gc.getTeam(3).setHasTech(5, true, 3, false, false)
						gc.getTeam(3).setHasTech(6, true, 3, false, false)
						gc.getTeam(3).setHasTech(7, true, 3, false, false)
						gc.getTeam(3).setHasTech(8, true, 3, false, false)
						gc.getTeam(3).setHasTech(9, true, 3, false, false)
						gc.getTeam(3).setHasTech(10, true, 3, false, false)
						gc.getTeam(3).setHasTech(11, true, 3, false, false)
						gc.getTeam(3).setHasTech(12, true, 3, false, false)
						gc.getTeam(3).setHasTech(13, true, 3, false, false)
						gc.getTeam(3).setHasTech(14, true, 3, false, false)
						gc.getTeam(3).setHasTech(15, true, 3, false, false)
						gc.getTeam(3).setHasTech(16, true, 3, false, false)
						gc.getTeam(3).setHasTech(17, true, 3, false, false)
						gc.getTeam(3).setHasTech(18, true, 3, false, false)
						gc.getTeam(3).setHasTech(19, true, 3, false, false)
						gc.getTeam(3).setHasTech(20, true, 3, false, false)
						gc.getTeam(3).setHasTech(21, true, 3, false, false)
						gc.getTeam(3).setHasTech(22, true, 3, false, false)
						gc.getTeam(3).setHasTech(23, true, 3, false, false)
						gc.getTeam(3).setHasTech(24, true, 3, false, false)
						gc.getTeam(3).setHasTech(25, true, 3, false, false)
						gc.getTeam(3).setHasTech(26, true, 3, false, false)
						gc.getTeam(3).setHasTech(27, true, 3, false, false)
						gc.getTeam(3).setHasTech(28, true, 3, false, false)
						gc.getTeam(3).setHasTech(29, true, 3, false, false)
						gc.getTeam(3).setHasTech(30, true, 3, false, false)
						gc.getTeam(3).setHasTech(31, true, 3, false, false)
						gc.getTeam(3).setHasTech(32, true, 3, false, false)
						gc.getTeam(3).setHasTech(33, true, 3, false, false)
						gc.getTeam(3).setHasTech(34, true, 3, false, false)
						gc.getTeam(3).setHasTech(35, true, 3, false, false)
						gc.getTeam(3).setHasTech(36, true, 3, false, false)
						gc.getTeam(3).setHasTech(37, true, 3, false, false)
						gc.getTeam(3).setHasTech(38, true, 3, false, false)
						gc.getTeam(3).setHasTech(39, true, 3, false, false)
						gc.getTeam(3).setHasTech(40, true, 3, false, false)
						gc.getTeam(3).setHasTech(41, true, 3, false, false)
						gc.getTeam(3).setHasTech(42, true, 3, false, false)
						gc.getTeam(3).setHasTech(43, true, 3, false, false)
						gc.getTeam(3).setHasTech(44, true, 3, false, false)
						gc.getTeam(3).setHasTech(45, true, 3, false, false)
						gc.getTeam(3).setHasTech(46, true, 3, false, false)
						gc.getTeam(3).setHasTech(47, true, 3, false, false)
						gc.getTeam(3).setHasTech(59, true, 3, false, false)
						gc.getTeam(3).setHasTech(60, true, 3, false, false)
						gc.getTeam(3).setHasTech(61, true, 3, false, false)
						gc.getTeam(3).setHasTech(62, true, 3, false, false)
						gc.getTeam(3).setHasTech(63, true, 3, false, false)
						gc.getTeam(3).setHasTech(64, true, 3, false, false)
						gc.getTeam(3).setHasTech(65, true, 3, false, false)
						gc.getTeam(3).setHasTech(66, true, 3, false, false)
						gc.getTeam(3).setHasTech(67, true, 3, false, false)
						gc.getTeam(3).setHasTech(68, true, 3, false, false)
						gc.getTeam(3).setHasTech(69, true, 3, false, false)
						gc.getTeam(3).setHasTech(70, true, 3, false, false)
						gc.getTeam(3).setHasTech(71, true, 3, false, false)
						gc.getTeam(3).setHasTech(72, true, 3, false, false)
						gc.getTeam(3).setHasTech(73, true, 3, false, false)
						gc.getTeam(3).setHasTech(76, true, 3, false, false)
						gc.getTeam(3).setHasTech(82, true, 3, false, false)
						gc.getTeam(3).setHasTech(48, true, 3, false, false)
				if gc.getTeam(3).isAVassal():
						for tCoords in getPlotList((86, 29), (97, 40)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(3)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(3).initUnit(46, 91, 41, 5)
						indiaRespawnMessage = "Under the leadership of Mohandas Gandhi, Indian nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(indiaRespawnMessage,"")
						CvUtil.pyPrint(indiaRespawnMessage)
		if isDate (1946):
				cultureGift(3)
				for tCoords in getPlotList((89, 39), (89, 39)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 3:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(3)
												gc.getTeam(eTeam).makePeace(3)

#Hebrews 1948  
		if isDate(1945):
				if not PyPlayer(6).isAlive():
						for tCoords in getPlotList((71, 37), (74, 42)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(6)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(6).initUnit(46, 73, 38, 5)
						israelRespawnMessage = "Under the leadership of Yitzhak Sadeh, Hebrew nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(israelRespawnMessage,"")
						CvUtil.pyPrint(israelRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(6).makePeace(0)
						if PyPlayer(1).isAlive():
								gc.getTeam(6).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(6).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(6).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(6).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(6).makePeace(5)
						if PyPlayer(7).isAlive():
								gc.getTeam(6).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(6).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(6).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(6).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(6).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(6).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(6).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(6).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(6).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(6).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(6).makePeace(17)
						gc.getTeam(6).setHasTech(1, true, 6, false, false)
						gc.getTeam(6).setHasTech(2, true, 6, false, false)
						gc.getTeam(6).setHasTech(3, true, 6, false, false)
						gc.getTeam(6).setHasTech(4, true, 6, false, false)
						gc.getTeam(6).setHasTech(5, true, 6, false, false)
						gc.getTeam(6).setHasTech(6, true, 6, false, false)
						gc.getTeam(6).setHasTech(7, true, 6, false, false)
						gc.getTeam(6).setHasTech(8, true, 6, false, false)
						gc.getTeam(6).setHasTech(9, true, 6, false, false)
						gc.getTeam(6).setHasTech(10, true, 6, false, false)
						gc.getTeam(6).setHasTech(11, true, 6, false, false)
						gc.getTeam(6).setHasTech(12, true, 6, false, false)
						gc.getTeam(6).setHasTech(13, true, 6, false, false)
						gc.getTeam(6).setHasTech(14, true, 6, false, false)
						gc.getTeam(6).setHasTech(15, true, 6, false, false)
						gc.getTeam(6).setHasTech(16, true, 6, false, false)
						gc.getTeam(6).setHasTech(17, true, 6, false, false)
						gc.getTeam(6).setHasTech(18, true, 6, false, false)
						gc.getTeam(6).setHasTech(19, true, 6, false, false)
						gc.getTeam(6).setHasTech(20, true, 6, false, false)
						gc.getTeam(6).setHasTech(21, true, 6, false, false)
						gc.getTeam(6).setHasTech(22, true, 6, false, false)
						gc.getTeam(6).setHasTech(23, true, 6, false, false)
						gc.getTeam(6).setHasTech(24, true, 6, false, false)
						gc.getTeam(6).setHasTech(25, true, 6, false, false)
						gc.getTeam(6).setHasTech(26, true, 6, false, false)
						gc.getTeam(6).setHasTech(27, true, 6, false, false)
						gc.getTeam(6).setHasTech(28, true, 6, false, false)
						gc.getTeam(6).setHasTech(29, true, 6, false, false)
						gc.getTeam(6).setHasTech(30, true, 6, false, false)
						gc.getTeam(6).setHasTech(31, true, 6, false, false)
						gc.getTeam(6).setHasTech(32, true, 6, false, false)
						gc.getTeam(6).setHasTech(33, true, 6, false, false)
						gc.getTeam(6).setHasTech(34, true, 6, false, false)
						gc.getTeam(6).setHasTech(35, true, 6, false, false)
						gc.getTeam(6).setHasTech(36, true, 6, false, false)
						gc.getTeam(6).setHasTech(37, true, 6, false, false)
						gc.getTeam(6).setHasTech(38, true, 6, false, false)
						gc.getTeam(6).setHasTech(39, true, 6, false, false)
						gc.getTeam(6).setHasTech(40, true, 6, false, false)
						gc.getTeam(6).setHasTech(41, true, 6, false, false)
						gc.getTeam(6).setHasTech(42, true, 6, false, false)
						gc.getTeam(6).setHasTech(43, true, 6, false, false)
						gc.getTeam(6).setHasTech(44, true, 6, false, false)
						gc.getTeam(6).setHasTech(45, true, 6, false, false)
						gc.getTeam(6).setHasTech(46, true, 6, false, false)
						gc.getTeam(6).setHasTech(47, true, 6, false, false)
						gc.getTeam(6).setHasTech(59, true, 6, false, false)
						gc.getTeam(6).setHasTech(60, true, 6, false, false)
						gc.getTeam(6).setHasTech(61, true, 6, false, false)
						gc.getTeam(6).setHasTech(62, true, 6, false, false)
						gc.getTeam(6).setHasTech(63, true, 6, false, false)
						gc.getTeam(6).setHasTech(64, true, 6, false, false)
						gc.getTeam(6).setHasTech(65, true, 6, false, false)
						gc.getTeam(6).setHasTech(66, true, 6, false, false)
						gc.getTeam(6).setHasTech(67, true, 6, false, false)
						gc.getTeam(6).setHasTech(68, true, 6, false, false)
						gc.getTeam(6).setHasTech(69, true, 6, false, false)
						gc.getTeam(6).setHasTech(70, true, 6, false, false)
						gc.getTeam(6).setHasTech(71, true, 6, false, false)
						gc.getTeam(6).setHasTech(72, true, 6, false, false)
						gc.getTeam(6).setHasTech(73, true, 6, false, false)
						gc.getTeam(6).setHasTech(76, true, 6, false, false)
						gc.getTeam(6).setHasTech(82, true, 6, false, false)
						gc.getTeam(6).setHasTech(48, true, 6, false, false)
				if gc.getTeam(6).isAVassal():
						for tCoords in getPlotList((71, 37), (74, 42)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(6)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(6).initUnit(46, 73, 38, 5)
						israelRespawnMessage = "Under the leadership of Yitzhak Sadeh, Hebrew nationalists attempt to throw off foreign domination."
						CyInterface().addImmediateMessage(israelRespawnMessage,"")
						CvUtil.pyPrint(israelRespawnMessage)
		if isDate (1946):
				cultureGift(6)
				for tCoords in getPlotList((73, 38), (73, 38)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 6:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(6)
												gc.getTeam(eTeam).makePeace(6)

#Spain 1808
		if isDate(1807):
				if not PyPlayer(14).isAlive():
						for tCoords in getPlotList((49, 40), (55, 46)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(14)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(14).initUnit(42, 53, 43, 5)
						spainRespawnMessage = "The Spanish attempt a revolt against foreign rule..."
						CyInterface().addImmediateMessage(spainRespawnMessage,"")
						CvUtil.pyPrint(spainRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(14).makePeace(0)
						if PyPlayer(2).isAlive():
								gc.getTeam(14).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(14).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(14).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(14).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(14).makePeace(6)
						if PyPlayer(14).isAlive():
								gc.getTeam(14).makePeace(1)
						if PyPlayer(8).isAlive():
								gc.getTeam(14).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(14).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(14).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(14).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(14).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(14).makePeace(13)
						if PyPlayer(1).isAlive():
								gc.getTeam(14).makePeace(1)
						if PyPlayer(15).isAlive():
								gc.getTeam(14).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(14).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(14).makePeace(17)
						gc.getTeam(14).setHasTech(1, true, 14, false, false)
						gc.getTeam(14).setHasTech(2, true, 14, false, false)
						gc.getTeam(14).setHasTech(3, true, 14, false, false)
						gc.getTeam(14).setHasTech(4, true, 14, false, false)
						gc.getTeam(14).setHasTech(5, true, 14, false, false)
						gc.getTeam(14).setHasTech(6, true, 14, false, false)
						gc.getTeam(14).setHasTech(7, true, 14, false, false)
						gc.getTeam(14).setHasTech(8, true, 14, false, false)
						gc.getTeam(14).setHasTech(9, true, 14, false, false)
						gc.getTeam(14).setHasTech(10, true, 14, false, false)
						gc.getTeam(14).setHasTech(11, true, 14, false, false)
						gc.getTeam(14).setHasTech(12, true, 14, false, false)
						gc.getTeam(14).setHasTech(13, true, 14, false, false)
						gc.getTeam(14).setHasTech(14, true, 14, false, false)
						gc.getTeam(14).setHasTech(15, true, 14, false, false)
						gc.getTeam(14).setHasTech(16, true, 14, false, false)
						gc.getTeam(14).setHasTech(17, true, 14, false, false)
						gc.getTeam(14).setHasTech(18, true, 14, false, false)
						gc.getTeam(14).setHasTech(19, true, 14, false, false)
						gc.getTeam(14).setHasTech(20, true, 14, false, false)
						gc.getTeam(14).setHasTech(21, true, 14, false, false)
						gc.getTeam(14).setHasTech(22, true, 14, false, false)
						gc.getTeam(14).setHasTech(23, true, 14, false, false)
						gc.getTeam(14).setHasTech(24, true, 14, false, false)
						gc.getTeam(14).setHasTech(25, true, 14, false, false)
						gc.getTeam(14).setHasTech(26, true, 14, false, false)
						gc.getTeam(14).setHasTech(27, true, 14, false, false)
						gc.getTeam(14).setHasTech(28, true, 14, false, false)
						gc.getTeam(14).setHasTech(29, true, 14, false, false)
						gc.getTeam(14).setHasTech(30, true, 14, false, false)
						gc.getTeam(14).setHasTech(31, true, 14, false, false)
						gc.getTeam(14).setHasTech(32, true, 14, false, false)
						gc.getTeam(14).setHasTech(33, true, 14, false, false)
						gc.getTeam(14).setHasTech(34, true, 14, false, false)
						gc.getTeam(14).setHasTech(35, true, 14, false, false)
						gc.getTeam(14).setHasTech(36, true, 14, false, false)
						gc.getTeam(14).setHasTech(37, true, 14, false, false)
						gc.getTeam(14).setHasTech(38, true, 14, false, false)
						gc.getTeam(14).setHasTech(39, true, 14, false, false)
						gc.getTeam(14).setHasTech(40, true, 14, false, false)
						gc.getTeam(14).setHasTech(41, true, 14, false, false)
						gc.getTeam(14).setHasTech(42, true, 14, false, false)
						gc.getTeam(14).setHasTech(43, true, 14, false, false)
						gc.getTeam(14).setHasTech(44, true, 14, false, false)
						gc.getTeam(14).setHasTech(45, true, 14, false, false)
						gc.getTeam(14).setHasTech(46, true, 14, false, false)
						gc.getTeam(14).setHasTech(47, true, 14, false, false)
						gc.getTeam(14).setHasTech(59, true, 14, false, false)
						gc.getTeam(14).setHasTech(60, true, 14, false, false)
						gc.getTeam(14).setHasTech(61, true, 14, false, false)
						gc.getTeam(14).setHasTech(62, true, 14, false, false)
						gc.getTeam(14).setHasTech(63, true, 14, false, false)
						gc.getTeam(14).setHasTech(64, true, 14, false, false)
						gc.getTeam(14).setHasTech(65, true, 14, false, false)
						gc.getTeam(14).setHasTech(66, true, 14, false, false)
						gc.getTeam(14).setHasTech(67, true, 14, false, false)
						gc.getTeam(14).setHasTech(68, true, 14, false, false)
						gc.getTeam(14).setHasTech(69, true, 14, false, false)
						gc.getTeam(14).setHasTech(70, true, 14, false, false)
						gc.getTeam(14).setHasTech(71, true, 14, false, false)
						gc.getTeam(14).setHasTech(72, true, 14, false, false)
						gc.getTeam(14).setHasTech(73, true, 14, false, false)
				if gc.getTeam(14).isAVassal():
						for tCoords in getPlotList((49, 40), (55, 46)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(14)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(14).initUnit(42, 53, 43, 5)
						spainRespawnMessage = "The Spanish attempt a revolt against foreign rule..."
						CyInterface().addImmediateMessage(spainRespawnMessage,"")
						CvUtil.pyPrint(spainRespawnMessage)
		if isDate (1808):
				cultureGift(14)
				for tCoords in getPlotList((52, 43), (52, 43)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 14:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(14)
												gc.getTeam(eTeam).makePeace(14)


#Germans 1814
		if isDate(1813):
				if not PyPlayer(15).isAlive():
						for tCoords in getPlotList((57, 49), (64, 56)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(15)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(15).initUnit(46, 63, 51, 5)
						germanyRespawnMessage = "The Congress of Vienna attempts to restore Germany..."
						CyInterface().addImmediateMessage(germanyRespawnMessage,"")
						CvUtil.pyPrint(germanyRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(15).makePeace(0)
						if PyPlayer(1).isAlive():
								gc.getTeam(15).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(15).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(15).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(15).makePeace(4)
						if PyPlayer(6).isAlive():
								gc.getTeam(15).makePeace(6)
						if PyPlayer(14).isAlive():
								gc.getTeam(15).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(15).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(15).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(15).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(15).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(15).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(15).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(15).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(15).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(15).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(15).makePeace(17)
						gc.getTeam(15).setHasTech(1, true, 15, false, false)
						gc.getTeam(15).setHasTech(2, true, 15, false, false)
						gc.getTeam(15).setHasTech(3, true, 15, false, false)
						gc.getTeam(15).setHasTech(4, true, 15, false, false)
						gc.getTeam(15).setHasTech(5, true, 15, false, false)
						gc.getTeam(15).setHasTech(6, true, 15, false, false)
						gc.getTeam(15).setHasTech(7, true, 15, false, false)
						gc.getTeam(15).setHasTech(8, true, 15, false, false)
						gc.getTeam(15).setHasTech(9, true, 15, false, false)
						gc.getTeam(15).setHasTech(10, true, 15, false, false)
						gc.getTeam(15).setHasTech(11, true, 15, false, false)
						gc.getTeam(15).setHasTech(12, true, 15, false, false)
						gc.getTeam(15).setHasTech(13, true, 15, false, false)
						gc.getTeam(15).setHasTech(14, true, 15, false, false)
						gc.getTeam(15).setHasTech(15, true, 15, false, false)
						gc.getTeam(15).setHasTech(16, true, 15, false, false)
						gc.getTeam(15).setHasTech(17, true, 15, false, false)
						gc.getTeam(15).setHasTech(18, true, 15, false, false)
						gc.getTeam(15).setHasTech(19, true, 15, false, false)
						gc.getTeam(15).setHasTech(20, true, 15, false, false)
						gc.getTeam(15).setHasTech(21, true, 15, false, false)
						gc.getTeam(15).setHasTech(22, true, 15, false, false)
						gc.getTeam(15).setHasTech(23, true, 15, false, false)
						gc.getTeam(15).setHasTech(24, true, 15, false, false)
						gc.getTeam(15).setHasTech(25, true, 15, false, false)
						gc.getTeam(15).setHasTech(26, true, 15, false, false)
						gc.getTeam(15).setHasTech(27, true, 15, false, false)
						gc.getTeam(15).setHasTech(28, true, 15, false, false)
						gc.getTeam(15).setHasTech(29, true, 15, false, false)
						gc.getTeam(15).setHasTech(30, true, 15, false, false)
						gc.getTeam(15).setHasTech(31, true, 15, false, false)
						gc.getTeam(15).setHasTech(32, true, 15, false, false)
						gc.getTeam(15).setHasTech(33, true, 15, false, false)
						gc.getTeam(15).setHasTech(34, true, 15, false, false)
						gc.getTeam(15).setHasTech(35, true, 15, false, false)
						gc.getTeam(15).setHasTech(36, true, 15, false, false)
						gc.getTeam(15).setHasTech(37, true, 15, false, false)
						gc.getTeam(15).setHasTech(38, true, 15, false, false)
						gc.getTeam(15).setHasTech(39, true, 15, false, false)
						gc.getTeam(15).setHasTech(40, true, 15, false, false)
						gc.getTeam(15).setHasTech(41, true, 15, false, false)
						gc.getTeam(15).setHasTech(42, true, 15, false, false)
						gc.getTeam(15).setHasTech(43, true, 15, false, false)
						gc.getTeam(15).setHasTech(44, true, 15, false, false)
						gc.getTeam(15).setHasTech(45, true, 15, false, false)
						gc.getTeam(15).setHasTech(46, true, 15, false, false)
						gc.getTeam(15).setHasTech(47, true, 15, false, false)
						gc.getTeam(15).setHasTech(59, true, 15, false, false)
						gc.getTeam(15).setHasTech(60, true, 15, false, false)
						gc.getTeam(15).setHasTech(61, true, 15, false, false)
						gc.getTeam(15).setHasTech(62, true, 15, false, false)
						gc.getTeam(15).setHasTech(63, true, 15, false, false)
						gc.getTeam(15).setHasTech(64, true, 15, false, false)
						gc.getTeam(15).setHasTech(65, true, 15, false, false)
						gc.getTeam(15).setHasTech(66, true, 15, false, false)
						gc.getTeam(15).setHasTech(67, true, 15, false, false)
						gc.getTeam(15).setHasTech(68, true, 15, false, false)
						gc.getTeam(15).setHasTech(69, true, 15, false, false)
						gc.getTeam(15).setHasTech(70, true, 15, false, false)
						gc.getTeam(15).setHasTech(71, true, 15, false, false)
						gc.getTeam(15).setHasTech(72, true, 15, false, false)
						gc.getTeam(15).setHasTech(73, true, 15, false, false)
				if gc.getTeam(15).isAVassal():
						for tCoords in getPlotList((57, 49), (64, 56)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(15)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(15).initUnit(46, 63, 51, 5)
						germanyRespawnMessage = "The Congress of Vienna attempts to restore Germany..."
						CyInterface().addImmediateMessage(germanyRespawnMessage,"")
						CvUtil.pyPrint(germanyRespawnMessage)
		if isDate (1814):
				cultureGift(15)
				for tCoords in getPlotList((63, 52), (63, 52)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 15:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(15)
												gc.getTeam(eTeam).makePeace(15)

#Japan 1952  
		if isDate(1951):
				if not PyPlayer(9).isAlive():
						for tCoords in getPlotList((111, 41), (117, 52)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(9)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(9).initUnit(46, 115, 47, 5)
						japanRespawnMessage = "Foreign occupation of Japan may be ending..."
						CyInterface().addImmediateMessage(japanRespawnMessage,"")
						CvUtil.pyPrint(japanRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(9).makePeace(0)
						if PyPlayer(1).isAlive():
								gc.getTeam(9).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(9).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(9).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(9).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(9).makePeace(5)
						if PyPlayer(14).isAlive():
								gc.getTeam(9).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(9).makePeace(8)
						if PyPlayer(6).isAlive():
								gc.getTeam(9).makePeace(6)
						if PyPlayer(10).isAlive():
								gc.getTeam(9).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(9).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(9).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(9).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(9).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(9).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(9).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(9).makePeace(17)
						gc.getTeam(9).setHasTech(1, true, 9, false, false)
						gc.getTeam(9).setHasTech(2, true, 9, false, false)
						gc.getTeam(9).setHasTech(3, true, 9, false, false)
						gc.getTeam(9).setHasTech(4, true, 9, false, false)
						gc.getTeam(9).setHasTech(5, true, 9, false, false)
						gc.getTeam(9).setHasTech(6, true, 9, false, false)
						gc.getTeam(9).setHasTech(7, true, 9, false, false)
						gc.getTeam(9).setHasTech(8, true, 9, false, false)
						gc.getTeam(9).setHasTech(9, true, 9, false, false)
						gc.getTeam(9).setHasTech(10, true, 9, false, false)
						gc.getTeam(9).setHasTech(11, true, 9, false, false)
						gc.getTeam(9).setHasTech(12, true, 9, false, false)
						gc.getTeam(9).setHasTech(13, true, 9, false, false)
						gc.getTeam(9).setHasTech(14, true, 9, false, false)
						gc.getTeam(9).setHasTech(15, true, 9, false, false)
						gc.getTeam(9).setHasTech(16, true, 9, false, false)
						gc.getTeam(9).setHasTech(17, true, 9, false, false)
						gc.getTeam(9).setHasTech(18, true, 9, false, false)
						gc.getTeam(9).setHasTech(19, true, 9, false, false)
						gc.getTeam(9).setHasTech(20, true, 9, false, false)
						gc.getTeam(9).setHasTech(21, true, 9, false, false)
						gc.getTeam(9).setHasTech(22, true, 9, false, false)
						gc.getTeam(9).setHasTech(23, true, 9, false, false)
						gc.getTeam(9).setHasTech(24, true, 9, false, false)
						gc.getTeam(9).setHasTech(25, true, 9, false, false)
						gc.getTeam(9).setHasTech(26, true, 9, false, false)
						gc.getTeam(9).setHasTech(27, true, 9, false, false)
						gc.getTeam(9).setHasTech(28, true, 9, false, false)
						gc.getTeam(9).setHasTech(29, true, 9, false, false)
						gc.getTeam(9).setHasTech(30, true, 9, false, false)
						gc.getTeam(9).setHasTech(31, true, 9, false, false)
						gc.getTeam(9).setHasTech(32, true, 9, false, false)
						gc.getTeam(9).setHasTech(33, true, 9, false, false)
						gc.getTeam(9).setHasTech(34, true, 9, false, false)
						gc.getTeam(9).setHasTech(35, true, 9, false, false)
						gc.getTeam(9).setHasTech(36, true, 9, false, false)
						gc.getTeam(9).setHasTech(37, true, 9, false, false)
						gc.getTeam(9).setHasTech(38, true, 9, false, false)
						gc.getTeam(9).setHasTech(39, true, 9, false, false)
						gc.getTeam(9).setHasTech(40, true, 9, false, false)
						gc.getTeam(9).setHasTech(41, true, 9, false, false)
						gc.getTeam(9).setHasTech(42, true, 9, false, false)
						gc.getTeam(9).setHasTech(43, true, 9, false, false)
						gc.getTeam(9).setHasTech(44, true, 9, false, false)
						gc.getTeam(9).setHasTech(45, true, 9, false, false)
						gc.getTeam(9).setHasTech(46, true, 9, false, false)
						gc.getTeam(9).setHasTech(47, true, 9, false, false)
						gc.getTeam(9).setHasTech(59, true, 9, false, false)
						gc.getTeam(9).setHasTech(60, true, 9, false, false)
						gc.getTeam(9).setHasTech(61, true, 9, false, false)
						gc.getTeam(9).setHasTech(62, true, 9, false, false)
						gc.getTeam(9).setHasTech(63, true, 9, false, false)
						gc.getTeam(9).setHasTech(64, true, 9, false, false)
						gc.getTeam(9).setHasTech(65, true, 9, false, false)
						gc.getTeam(9).setHasTech(66, true, 9, false, false)
						gc.getTeam(9).setHasTech(67, true, 9, false, false)
						gc.getTeam(9).setHasTech(68, true, 9, false, false)
						gc.getTeam(9).setHasTech(69, true, 9, false, false)
						gc.getTeam(9).setHasTech(70, true, 9, false, false)
						gc.getTeam(9).setHasTech(71, true, 9, false, false)
						gc.getTeam(9).setHasTech(72, true, 9, false, false)
						gc.getTeam(9).setHasTech(73, true, 9, false, false)
						gc.getTeam(9).setHasTech(76, true, 9, false, false)
						gc.getTeam(9).setHasTech(82, true, 9, false, false)
						gc.getTeam(9).setHasTech(48, true, 9, false, false)
				if gc.getTeam(9).isAVassal():
						for tCoords in getPlotList((111, 41), (117, 52)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(9)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(9).initUnit(46, 115, 47, 5)
						japanRespawnMessage = "Foreign occupation of Japan may be ending..."
						CyInterface().addImmediateMessage(japanRespawnMessage,"")
						CvUtil.pyPrint(japanRespawnMessage)
		if isDate (1952):
				cultureGift(9)
				for tCoords in getPlotList((116, 47), (116, 47)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 9:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(9)
												gc.getTeam(eTeam).makePeace(9)

#Ethiopians 1916   
		if isDate(1915):
				if not PyPlayer(10).isAlive():
						for tCoords in getPlotList((65, 16), (77, 29)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(10)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(10).initUnit(46, 66, 16, 5)
						ethiopiaRespawnMessage = "Haile Selassie attempts to consolidate power in Ethiopia..."
						CyInterface().addImmediateMessage(ethiopiaRespawnMessage,"")
						CvUtil.pyPrint(ethiopiaRespawnMessage)
						if PyPlayer(1).isAlive():
								gc.getTeam(10).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(10).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(10).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(10).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(10).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(10).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(10).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(10).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(10).makePeace(9)
						if PyPlayer(0).isAlive():
								gc.getTeam(10).makePeace(0)
						if PyPlayer(11).isAlive():
								gc.getTeam(10).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(10).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(10).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(10).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(10).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(10).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(10).makePeace(17)
						gc.getTeam(10).setHasTech(1, true, 10, false, false)
						gc.getTeam(10).setHasTech(2, true, 10, false, false)
						gc.getTeam(10).setHasTech(3, true, 10, false, false)
						gc.getTeam(10).setHasTech(4, true, 10, false, false)
						gc.getTeam(10).setHasTech(5, true, 10, false, false)
						gc.getTeam(10).setHasTech(6, true, 10, false, false)
						gc.getTeam(10).setHasTech(7, true, 10, false, false)
						gc.getTeam(10).setHasTech(8, true, 10, false, false)
						gc.getTeam(10).setHasTech(9, true, 10, false, false)
						gc.getTeam(10).setHasTech(10, true, 10, false, false)
						gc.getTeam(10).setHasTech(11, true, 10, false, false)
						gc.getTeam(10).setHasTech(12, true, 10, false, false)
						gc.getTeam(10).setHasTech(13, true, 10, false, false)
						gc.getTeam(10).setHasTech(14, true, 10, false, false)
						gc.getTeam(10).setHasTech(15, true, 10, false, false)
						gc.getTeam(10).setHasTech(16, true, 10, false, false)
						gc.getTeam(10).setHasTech(17, true, 10, false, false)
						gc.getTeam(10).setHasTech(18, true, 10, false, false)
						gc.getTeam(10).setHasTech(19, true, 10, false, false)
						gc.getTeam(10).setHasTech(20, true, 10, false, false)
						gc.getTeam(10).setHasTech(21, true, 10, false, false)
						gc.getTeam(10).setHasTech(22, true, 10, false, false)
						gc.getTeam(10).setHasTech(23, true, 10, false, false)
						gc.getTeam(10).setHasTech(24, true, 10, false, false)
						gc.getTeam(10).setHasTech(25, true, 10, false, false)
						gc.getTeam(10).setHasTech(26, true, 10, false, false)
						gc.getTeam(10).setHasTech(27, true, 10, false, false)
						gc.getTeam(10).setHasTech(28, true, 10, false, false)
						gc.getTeam(10).setHasTech(29, true, 10, false, false)
						gc.getTeam(10).setHasTech(30, true, 10, false, false)
						gc.getTeam(10).setHasTech(31, true, 10, false, false)
						gc.getTeam(10).setHasTech(32, true, 10, false, false)
						gc.getTeam(10).setHasTech(33, true, 10, false, false)
						gc.getTeam(10).setHasTech(34, true, 10, false, false)
						gc.getTeam(10).setHasTech(35, true, 10, false, false)
						gc.getTeam(10).setHasTech(36, true, 10, false, false)
						gc.getTeam(10).setHasTech(37, true, 10, false, false)
						gc.getTeam(10).setHasTech(38, true, 10, false, false)
						gc.getTeam(10).setHasTech(39, true, 10, false, false)
						gc.getTeam(10).setHasTech(40, true, 10, false, false)
						gc.getTeam(10).setHasTech(41, true, 10, false, false)
						gc.getTeam(10).setHasTech(42, true, 10, false, false)
						gc.getTeam(10).setHasTech(43, true, 10, false, false)
						gc.getTeam(10).setHasTech(44, true, 10, false, false)
						gc.getTeam(10).setHasTech(45, true, 10, false, false)
						gc.getTeam(10).setHasTech(46, true, 10, false, false)
						gc.getTeam(10).setHasTech(47, true, 10, false, false)
						gc.getTeam(10).setHasTech(59, true, 10, false, false)
						gc.getTeam(10).setHasTech(60, true, 10, false, false)
						gc.getTeam(10).setHasTech(61, true, 10, false, false)
						gc.getTeam(10).setHasTech(62, true, 10, false, false)
						gc.getTeam(10).setHasTech(63, true, 10, false, false)
						gc.getTeam(10).setHasTech(64, true, 10, false, false)
						gc.getTeam(10).setHasTech(65, true, 10, false, false)
						gc.getTeam(10).setHasTech(66, true, 10, false, false)
						gc.getTeam(10).setHasTech(67, true, 10, false, false)
						gc.getTeam(10).setHasTech(68, true, 10, false, false)
						gc.getTeam(10).setHasTech(69, true, 10, false, false)
						gc.getTeam(10).setHasTech(70, true, 10, false, false)
						gc.getTeam(10).setHasTech(71, true, 10, false, false)
						gc.getTeam(10).setHasTech(72, true, 10, false, false)
						gc.getTeam(10).setHasTech(73, true, 10, false, false)
						gc.getTeam(10).setHasTech(76, true, 10, false, false)
						gc.getTeam(10).setHasTech(82, true, 10, false, false)
						gc.getTeam(10).setHasTech(48, true, 10, false, false)
				if gc.getTeam(10).isAVassal():
						for tCoords in getPlotList((65, 16), (77, 29)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(10)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(10).initUnit(46, 66, 16, 5)
						ethiopiaRespawnMessage = "Haile Selassie attempts to consolidate power in Ethiopia..."
						CyInterface().addImmediateMessage(ethiopiaRespawnMessage,"")
						CvUtil.pyPrint(ethiopiaRespawnMessage)
		if isDate (1916):
				cultureGift(10)
				for tCoords in getPlotList((68, 23), (68, 23)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 10:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(10)
												gc.getTeam(eTeam).makePeace(10)

#Russia 1917   
		if isDate(1916):
				if not PyPlayer(16).isAlive():
						for tCoords in getPlotList((66, 48), (112, 65)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(16)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(16).initUnit(46, 69, 48, 5)
						russiaRespawnMessage = "The Bolsheviks attempt to seize control of Russia..."
						CyInterface().addImmediateMessage(russiaRespawnMessage,"")
						CvUtil.pyPrint(russiaRespawnMessage)
						if PyPlayer(1).isAlive():
								gc.getTeam(16).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(16).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(16).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(16).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(16).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(16).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(16).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(16).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(16).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(16).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(16).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(16).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(16).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(16).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(16).makePeace(15)
						if PyPlayer(0).isAlive():
								gc.getTeam(16).makePeace(0)
						if PyPlayer(17).isAlive():
								gc.getTeam(16).makePeace(17)
						gc.getTeam(16).setHasTech(1, true, 16, false, false)
						gc.getTeam(16).setHasTech(2, true, 16, false, false)
						gc.getTeam(16).setHasTech(3, true, 16, false, false)
						gc.getTeam(16).setHasTech(4, true, 16, false, false)
						gc.getTeam(16).setHasTech(5, true, 16, false, false)
						gc.getTeam(16).setHasTech(6, true, 16, false, false)
						gc.getTeam(16).setHasTech(7, true, 16, false, false)
						gc.getTeam(16).setHasTech(8, true, 16, false, false)
						gc.getTeam(16).setHasTech(9, true, 16, false, false)
						gc.getTeam(16).setHasTech(10, true, 16, false, false)
						gc.getTeam(16).setHasTech(11, true, 16, false, false)
						gc.getTeam(16).setHasTech(12, true, 16, false, false)
						gc.getTeam(16).setHasTech(13, true, 16, false, false)
						gc.getTeam(16).setHasTech(14, true, 16, false, false)
						gc.getTeam(16).setHasTech(15, true, 16, false, false)
						gc.getTeam(16).setHasTech(16, true, 16, false, false)
						gc.getTeam(16).setHasTech(17, true, 16, false, false)
						gc.getTeam(16).setHasTech(18, true, 16, false, false)
						gc.getTeam(16).setHasTech(19, true, 16, false, false)
						gc.getTeam(16).setHasTech(20, true, 16, false, false)
						gc.getTeam(16).setHasTech(21, true, 16, false, false)
						gc.getTeam(16).setHasTech(22, true, 16, false, false)
						gc.getTeam(16).setHasTech(23, true, 16, false, false)
						gc.getTeam(16).setHasTech(24, true, 16, false, false)
						gc.getTeam(16).setHasTech(25, true, 16, false, false)
						gc.getTeam(16).setHasTech(26, true, 16, false, false)
						gc.getTeam(16).setHasTech(27, true, 16, false, false)
						gc.getTeam(16).setHasTech(28, true, 16, false, false)
						gc.getTeam(16).setHasTech(29, true, 16, false, false)
						gc.getTeam(16).setHasTech(30, true, 16, false, false)
						gc.getTeam(16).setHasTech(31, true, 16, false, false)
						gc.getTeam(16).setHasTech(32, true, 16, false, false)
						gc.getTeam(16).setHasTech(33, true, 16, false, false)
						gc.getTeam(16).setHasTech(34, true, 16, false, false)
						gc.getTeam(16).setHasTech(35, true, 16, false, false)
						gc.getTeam(16).setHasTech(36, true, 16, false, false)
						gc.getTeam(16).setHasTech(37, true, 16, false, false)
						gc.getTeam(16).setHasTech(38, true, 16, false, false)
						gc.getTeam(16).setHasTech(39, true, 16, false, false)
						gc.getTeam(16).setHasTech(40, true, 16, false, false)
						gc.getTeam(16).setHasTech(41, true, 16, false, false)
						gc.getTeam(16).setHasTech(42, true, 16, false, false)
						gc.getTeam(16).setHasTech(43, true, 16, false, false)
						gc.getTeam(16).setHasTech(44, true, 16, false, false)
						gc.getTeam(16).setHasTech(45, true, 16, false, false)
						gc.getTeam(16).setHasTech(46, true, 16, false, false)
						gc.getTeam(16).setHasTech(47, true, 16, false, false)
						gc.getTeam(16).setHasTech(59, true, 16, false, false)
						gc.getTeam(16).setHasTech(60, true, 16, false, false)
						gc.getTeam(16).setHasTech(61, true, 16, false, false)
						gc.getTeam(16).setHasTech(62, true, 16, false, false)
						gc.getTeam(16).setHasTech(63, true, 16, false, false)
						gc.getTeam(16).setHasTech(64, true, 16, false, false)
						gc.getTeam(16).setHasTech(65, true, 16, false, false)
						gc.getTeam(16).setHasTech(66, true, 16, false, false)
						gc.getTeam(16).setHasTech(67, true, 16, false, false)
						gc.getTeam(16).setHasTech(68, true, 16, false, false)
						gc.getTeam(16).setHasTech(69, true, 16, false, false)
						gc.getTeam(16).setHasTech(70, true, 16, false, false)
						gc.getTeam(16).setHasTech(71, true, 16, false, false)
						gc.getTeam(16).setHasTech(72, true, 16, false, false)
						gc.getTeam(16).setHasTech(73, true, 16, false, false)
						gc.getTeam(16).setHasTech(76, true, 16, false, false)
						gc.getTeam(16).setHasTech(82, true, 16, false, false)
						gc.getTeam(16).setHasTech(48, true, 16, false, false)
				if gc.getTeam(16).isAVassal():
						for tCoords in getPlotList((66, 48), (112, 65)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(16)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(16).initUnit(46, 69, 48, 5)
						russiaRespawnMessage = "The Bolsheviks attempt to seize control of Russia..."
						CyInterface().addImmediateMessage(russiaRespawnMessage,"")
						CvUtil.pyPrint(russiaRespawnMessage)
		if isDate (1917):
				cultureGift(16)
				for tCoords in getPlotList((71, 54), (71, 54)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 16:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(16)
												gc.getTeam(eTeam).makePeace(16)


#China 1912   
		if isDate(1911):
				if not PyPlayer(4).isAlive():
						for tCoords in getPlotList((101, 38), (108, 47)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(4)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(4).initUnit(46, 102, 39, 5)
						chinaRespawnMessage = "The Chinese attempt to establish a new order..."
						CyInterface().addImmediateMessage(chinaRespawnMessage,"")
						CvUtil.pyPrint(chinaRespawnMessage)
						if PyPlayer(1).isAlive():
								gc.getTeam(4).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(4).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(4).makePeace(3)
						if PyPlayer(16).isAlive():
								gc.getTeam(4).makePeace(16)
						if PyPlayer(5).isAlive():
								gc.getTeam(4).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(4).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(4).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(4).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(4).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(4).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(4).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(4).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(4).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(4).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(4).makePeace(15)
						if PyPlayer(0).isAlive():
								gc.getTeam(4).makePeace(0)
						if PyPlayer(17).isAlive():
								gc.getTeam(4).makePeace(17)
						gc.getTeam(4).setHasTech(1, true, 4, false, false)
						gc.getTeam(4).setHasTech(2, true, 4, false, false)
						gc.getTeam(4).setHasTech(3, true, 4, false, false)
						gc.getTeam(4).setHasTech(4, true, 4, false, false)
						gc.getTeam(4).setHasTech(5, true, 4, false, false)
						gc.getTeam(4).setHasTech(6, true, 4, false, false)
						gc.getTeam(4).setHasTech(7, true, 4, false, false)
						gc.getTeam(4).setHasTech(8, true, 4, false, false)
						gc.getTeam(4).setHasTech(9, true, 4, false, false)
						gc.getTeam(4).setHasTech(10, true, 4, false, false)
						gc.getTeam(4).setHasTech(11, true, 4, false, false)
						gc.getTeam(4).setHasTech(12, true, 4, false, false)
						gc.getTeam(4).setHasTech(13, true, 4, false, false)
						gc.getTeam(4).setHasTech(14, true, 4, false, false)
						gc.getTeam(4).setHasTech(15, true, 4, false, false)
						gc.getTeam(4).setHasTech(16, true, 4, false, false)
						gc.getTeam(4).setHasTech(17, true, 4, false, false)
						gc.getTeam(4).setHasTech(18, true, 4, false, false)
						gc.getTeam(4).setHasTech(19, true, 4, false, false)
						gc.getTeam(4).setHasTech(20, true, 4, false, false)
						gc.getTeam(4).setHasTech(21, true, 4, false, false)
						gc.getTeam(4).setHasTech(22, true, 4, false, false)
						gc.getTeam(4).setHasTech(23, true, 4, false, false)
						gc.getTeam(4).setHasTech(24, true, 4, false, false)
						gc.getTeam(4).setHasTech(25, true, 4, false, false)
						gc.getTeam(4).setHasTech(26, true, 4, false, false)
						gc.getTeam(4).setHasTech(27, true, 4, false, false)
						gc.getTeam(4).setHasTech(28, true, 4, false, false)
						gc.getTeam(4).setHasTech(29, true, 4, false, false)
						gc.getTeam(4).setHasTech(30, true, 4, false, false)
						gc.getTeam(4).setHasTech(31, true, 4, false, false)
						gc.getTeam(4).setHasTech(32, true, 4, false, false)
						gc.getTeam(4).setHasTech(33, true, 4, false, false)
						gc.getTeam(4).setHasTech(34, true, 4, false, false)
						gc.getTeam(4).setHasTech(35, true, 4, false, false)
						gc.getTeam(4).setHasTech(36, true, 4, false, false)
						gc.getTeam(4).setHasTech(37, true, 4, false, false)
						gc.getTeam(4).setHasTech(38, true, 4, false, false)
						gc.getTeam(4).setHasTech(39, true, 4, false, false)
						gc.getTeam(4).setHasTech(40, true, 4, false, false)
						gc.getTeam(4).setHasTech(41, true, 4, false, false)
						gc.getTeam(4).setHasTech(42, true, 4, false, false)
						gc.getTeam(4).setHasTech(43, true, 4, false, false)
						gc.getTeam(4).setHasTech(44, true, 4, false, false)
						gc.getTeam(4).setHasTech(45, true, 4, false, false)
						gc.getTeam(4).setHasTech(46, true, 4, false, false)
						gc.getTeam(4).setHasTech(47, true, 4, false, false)
						gc.getTeam(4).setHasTech(59, true, 4, false, false)
						gc.getTeam(4).setHasTech(60, true, 4, false, false)
						gc.getTeam(4).setHasTech(61, true, 4, false, false)
						gc.getTeam(4).setHasTech(62, true, 4, false, false)
						gc.getTeam(4).setHasTech(63, true, 4, false, false)
						gc.getTeam(4).setHasTech(64, true, 4, false, false)
						gc.getTeam(4).setHasTech(65, true, 4, false, false)
						gc.getTeam(4).setHasTech(66, true, 4, false, false)
						gc.getTeam(4).setHasTech(67, true, 4, false, false)
						gc.getTeam(4).setHasTech(68, true, 4, false, false)
						gc.getTeam(4).setHasTech(69, true, 4, false, false)
						gc.getTeam(4).setHasTech(70, true, 4, false, false)
						gc.getTeam(4).setHasTech(71, true, 4, false, false)
						gc.getTeam(4).setHasTech(72, true, 4, false, false)
						gc.getTeam(4).setHasTech(73, true, 4, false, false)
						gc.getTeam(4).setHasTech(76, true, 4, false, false)
						gc.getTeam(4).setHasTech(82, true, 4, false, false)
						gc.getTeam(4).setHasTech(48, true, 4, false, false)
				if gc.getTeam(4).isAVassal():
						for tCoords in getPlotList((101, 38), (108, 47)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(4)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(4).initUnit(46, 102, 39, 5)
						chinaRespawnMessage = "The Chinese attempt to establish a new order..."
						CyInterface().addImmediateMessage(chinaRespawnMessage,"")
						CvUtil.pyPrint(chinaRespawnMessage)
		if isDate (1912):
				cultureGift(4)
				for tCoords in getPlotList((102, 46), (102, 46)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 4:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(4)
												gc.getTeam(eTeam).makePeace(4)

#France 1789
		if isDate(1788):
				if not PyPlayer(13).isAlive():
						for tCoords in getPlotList((51, 46), (57, 52)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(13)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(13).initUnit(42, 55, 50, 5)
						franceRespawnMessage = " French citizens storm the Bastille..."
						CyInterface().addImmediateMessage(franceRespawnMessage,"")
						CvUtil.pyPrint(franceRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(13).makePeace(0)
						if PyPlayer(2).isAlive():
								gc.getTeam(13).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(13).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(13).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(13).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(13).makePeace(6)
						if PyPlayer(1).isAlive():
								gc.getTeam(13).makePeace(1)
						if PyPlayer(8).isAlive():
								gc.getTeam(13).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(13).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(13).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(13).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(13).makePeace(12)
						if PyPlayer(7).isAlive():
								gc.getTeam(13).makePeace(7)
						if PyPlayer(14).isAlive():
								gc.getTeam(13).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(13).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(13).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(13).makePeace(17)
						gc.getTeam(13).setHasTech(1, true, 13, false, false)
						gc.getTeam(13).setHasTech(2, true, 13, false, false)
						gc.getTeam(13).setHasTech(3, true, 13, false, false)
						gc.getTeam(13).setHasTech(4, true, 13, false, false)
						gc.getTeam(13).setHasTech(5, true, 13, false, false)
						gc.getTeam(13).setHasTech(6, true, 13, false, false)
						gc.getTeam(13).setHasTech(7, true, 13, false, false)
						gc.getTeam(13).setHasTech(8, true, 13, false, false)
						gc.getTeam(13).setHasTech(9, true, 13, false, false)
						gc.getTeam(13).setHasTech(10, true, 13, false, false)
						gc.getTeam(13).setHasTech(11, true, 13, false, false)
						gc.getTeam(13).setHasTech(12, true, 13, false, false)
						gc.getTeam(13).setHasTech(13, true, 13, false, false)
						gc.getTeam(13).setHasTech(14, true, 13, false, false)
						gc.getTeam(13).setHasTech(15, true, 13, false, false)
						gc.getTeam(13).setHasTech(16, true, 13, false, false)
						gc.getTeam(13).setHasTech(17, true, 13, false, false)
						gc.getTeam(13).setHasTech(18, true, 13, false, false)
						gc.getTeam(13).setHasTech(19, true, 13, false, false)
						gc.getTeam(13).setHasTech(20, true, 13, false, false)
						gc.getTeam(13).setHasTech(21, true, 13, false, false)
						gc.getTeam(13).setHasTech(22, true, 13, false, false)
						gc.getTeam(13).setHasTech(23, true, 13, false, false)
						gc.getTeam(13).setHasTech(24, true, 13, false, false)
						gc.getTeam(13).setHasTech(25, true, 13, false, false)
						gc.getTeam(13).setHasTech(26, true, 13, false, false)
						gc.getTeam(13).setHasTech(27, true, 13, false, false)
						gc.getTeam(13).setHasTech(28, true, 13, false, false)
						gc.getTeam(13).setHasTech(29, true, 13, false, false)
						gc.getTeam(13).setHasTech(30, true, 13, false, false)
						gc.getTeam(13).setHasTech(31, true, 13, false, false)
						gc.getTeam(13).setHasTech(32, true, 13, false, false)
						gc.getTeam(13).setHasTech(33, true, 13, false, false)
						gc.getTeam(13).setHasTech(34, true, 13, false, false)
						gc.getTeam(13).setHasTech(35, true, 13, false, false)
						gc.getTeam(13).setHasTech(36, true, 13, false, false)
						gc.getTeam(13).setHasTech(37, true, 13, false, false)
						gc.getTeam(13).setHasTech(38, true, 13, false, false)
						gc.getTeam(13).setHasTech(39, true, 13, false, false)
						gc.getTeam(13).setHasTech(40, true, 13, false, false)
						gc.getTeam(13).setHasTech(41, true, 13, false, false)
						gc.getTeam(13).setHasTech(42, true, 13, false, false)
						gc.getTeam(13).setHasTech(43, true, 13, false, false)
						gc.getTeam(13).setHasTech(44, true, 13, false, false)
						gc.getTeam(13).setHasTech(45, true, 13, false, false)
						gc.getTeam(13).setHasTech(46, true, 13, false, false)
						gc.getTeam(13).setHasTech(47, true, 13, false, false)
						gc.getTeam(13).setHasTech(59, true, 13, false, false)
						gc.getTeam(13).setHasTech(60, true, 13, false, false)
						gc.getTeam(13).setHasTech(61, true, 13, false, false)
						gc.getTeam(13).setHasTech(62, true, 13, false, false)
						gc.getTeam(13).setHasTech(63, true, 13, false, false)
						gc.getTeam(13).setHasTech(64, true, 13, false, false)
						gc.getTeam(13).setHasTech(65, true, 13, false, false)
						gc.getTeam(13).setHasTech(66, true, 13, false, false)
						gc.getTeam(13).setHasTech(67, true, 13, false, false)
						gc.getTeam(13).setHasTech(68, true, 13, false, false)
						gc.getTeam(13).setHasTech(69, true, 13, false, false)
						gc.getTeam(13).setHasTech(70, true, 13, false, false)
						gc.getTeam(13).setHasTech(71, true, 13, false, false)
						gc.getTeam(13).setHasTech(72, true, 13, false, false)
						gc.getTeam(13).setHasTech(73, true, 13, false, false)
				if gc.getTeam(13).isAVassal():
						for tCoords in getPlotList((51, 46), (57, 52)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(13)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(13).initUnit(42, 55, 50, 5)
						franceRespawnMessage = " French citizens storm the Bastille..."
						CyInterface().addImmediateMessage(franceRespawnMessage,"")
						CvUtil.pyPrint(franceRespawnMessage)
		if isDate (1789):
				cultureGift(13)
				for tCoords in getPlotList((55, 50), (55, 50)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 13:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(13)
												gc.getTeam(eTeam).makePeace(13)

#England 1660
		if isDate(1659):
				if not PyPlayer(12).isAlive():
						for tCoords in getPlotList((52, 53), (55, 58)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(12)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(12).initUnit(42, 54, 54, 5)
						englandRespawnMessage = "The English attempt to restore their monarchy..."
						CyInterface().addImmediateMessage(englandRespawnMessage,"")
						CvUtil.pyPrint(englandRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(12).makePeace(0)
						if PyPlayer(2).isAlive():
								gc.getTeam(12).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(12).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(12).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(12).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(12).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(12).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(12).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(12).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(12).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(12).makePeace(11)
						if PyPlayer(1).isAlive():
								gc.getTeam(12).makePeace(1)
						if PyPlayer(13).isAlive():
								gc.getTeam(12).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(12).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(12).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(12).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(12).makePeace(17)
						gc.getTeam(12).setHasTech(1, true, 12, false, false)
						gc.getTeam(12).setHasTech(2, true, 12, false, false)
						gc.getTeam(12).setHasTech(3, true, 12, false, false)
						gc.getTeam(12).setHasTech(4, true, 12, false, false)
						gc.getTeam(12).setHasTech(5, true, 12, false, false)
						gc.getTeam(12).setHasTech(6, true, 12, false, false)
						gc.getTeam(12).setHasTech(7, true, 12, false, false)
						gc.getTeam(12).setHasTech(8, true, 12, false, false)
						gc.getTeam(12).setHasTech(9, true, 12, false, false)
						gc.getTeam(12).setHasTech(10, true, 12, false, false)
						gc.getTeam(12).setHasTech(11, true, 12, false, false)
						gc.getTeam(12).setHasTech(12, true, 12, false, false)
						gc.getTeam(12).setHasTech(13, true, 12, false, false)
						gc.getTeam(12).setHasTech(14, true, 12, false, false)
						gc.getTeam(12).setHasTech(15, true, 12, false, false)
						gc.getTeam(12).setHasTech(16, true, 12, false, false)
						gc.getTeam(12).setHasTech(17, true, 12, false, false)
						gc.getTeam(12).setHasTech(18, true, 12, false, false)
						gc.getTeam(12).setHasTech(19, true, 12, false, false)
						gc.getTeam(12).setHasTech(20, true, 12, false, false)
						gc.getTeam(12).setHasTech(21, true, 12, false, false)
						gc.getTeam(12).setHasTech(22, true, 12, false, false)
						gc.getTeam(12).setHasTech(23, true, 12, false, false)
						gc.getTeam(12).setHasTech(24, true, 12, false, false)
						gc.getTeam(12).setHasTech(25, true, 12, false, false)
						gc.getTeam(12).setHasTech(26, true, 12, false, false)
						gc.getTeam(12).setHasTech(27, true, 12, false, false)
						gc.getTeam(12).setHasTech(28, true, 12, false, false)
						gc.getTeam(12).setHasTech(29, true, 12, false, false)
						gc.getTeam(12).setHasTech(30, true, 12, false, false)
						gc.getTeam(12).setHasTech(31, true, 12, false, false)
						gc.getTeam(12).setHasTech(32, true, 12, false, false)
						gc.getTeam(12).setHasTech(33, true, 12, false, false)
						gc.getTeam(12).setHasTech(34, true, 12, false, false)
						gc.getTeam(12).setHasTech(35, true, 12, false, false)
						gc.getTeam(12).setHasTech(36, true, 12, false, false)
						gc.getTeam(12).setHasTech(37, true, 12, false, false)
						gc.getTeam(12).setHasTech(38, true, 12, false, false)
						gc.getTeam(12).setHasTech(39, true, 12, false, false)
						gc.getTeam(12).setHasTech(40, true, 12, false, false)
						gc.getTeam(12).setHasTech(41, true, 12, false, false)
						gc.getTeam(12).setHasTech(42, true, 12, false, false)
						gc.getTeam(12).setHasTech(43, true, 12, false, false)
						gc.getTeam(12).setHasTech(44, true, 12, false, false)
						gc.getTeam(12).setHasTech(45, true, 12, false, false)
						gc.getTeam(12).setHasTech(46, true, 12, false, false)
						gc.getTeam(12).setHasTech(47, true, 12, false, false)
						gc.getTeam(12).setHasTech(59, true, 12, false, false)
						gc.getTeam(12).setHasTech(60, true, 12, false, false)
						gc.getTeam(12).setHasTech(61, true, 12, false, false)
						gc.getTeam(12).setHasTech(62, true, 12, false, false)
						gc.getTeam(12).setHasTech(63, true, 12, false, false)
						gc.getTeam(12).setHasTech(64, true, 12, false, false)
						gc.getTeam(12).setHasTech(65, true, 12, false, false)
						gc.getTeam(12).setHasTech(66, true, 12, false, false)
						gc.getTeam(12).setHasTech(67, true, 12, false, false)
						gc.getTeam(12).setHasTech(68, true, 12, false, false)
						gc.getTeam(12).setHasTech(69, true, 12, false, false)
						gc.getTeam(12).setHasTech(70, true, 12, false, false)
						gc.getTeam(12).setHasTech(71, true, 12, false, false)
						gc.getTeam(12).setHasTech(72, true, 12, false, false)
						gc.getTeam(12).setHasTech(73, true, 12, false, false)
				if gc.getTeam(12).isAVassal():
						for tCoords in getPlotList((52, 53), (55, 58)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(12)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(12).initUnit(42, 54, 54, 5)
						englandRespawnMessage = "The English attempt to restore their monarchy..."
						CyInterface().addImmediateMessage(englandRespawnMessage,"")
						CvUtil.pyPrint(englandRespawnMessage)
		if isDate (1660):
				cultureGift(12)
				for tCoords in getPlotList((54, 54), (54, 54)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 12:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(12)
												gc.getTeam(eTeam).makePeace(12)
												
#babylon 1932  
		if isDate(1931):
				if not PyPlayer(2).isAlive():
						for tCoords in getPlotList((75, 38), (79, 46)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(2)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(2).initUnit(46, 73, 40, 5)
						babylonRespawnMessage = "Babylonians struggle for independence under the leadership of 'Abd al-llah..."
						CyInterface().addImmediateMessage(babylonRespawnMessage,"")
						CvUtil.pyPrint(babylonRespawnMessage)
						if PyPlayer(1).isAlive():
								gc.getTeam(2).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(2).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(2).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(2).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(2).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(2).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(2).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(2).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(2).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(2).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(2).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(2).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(2).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(2).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(2).makePeace(15)
						if PyPlayer(0).isAlive():
								gc.getTeam(2).makePeace(0)
						if PyPlayer(17).isAlive():
								gc.getTeam(2).makePeace(17)
						gc.getTeam(2).setHasTech(1, true, 2, false, false)
						gc.getTeam(2).setHasTech(2, true, 2, false, false)
						gc.getTeam(2).setHasTech(3, true, 2, false, false)
						gc.getTeam(2).setHasTech(4, true, 2, false, false)
						gc.getTeam(2).setHasTech(5, true, 2, false, false)
						gc.getTeam(2).setHasTech(6, true, 2, false, false)
						gc.getTeam(2).setHasTech(7, true, 2, false, false)
						gc.getTeam(2).setHasTech(8, true, 2, false, false)
						gc.getTeam(2).setHasTech(9, true, 2, false, false)
						gc.getTeam(2).setHasTech(10, true, 2, false, false)
						gc.getTeam(2).setHasTech(11, true, 2, false, false)
						gc.getTeam(2).setHasTech(12, true, 2, false, false)
						gc.getTeam(2).setHasTech(13, true, 2, false, false)
						gc.getTeam(2).setHasTech(14, true, 2, false, false)
						gc.getTeam(2).setHasTech(15, true, 2, false, false)
						gc.getTeam(2).setHasTech(16, true, 2, false, false)
						gc.getTeam(2).setHasTech(17, true, 2, false, false)
						gc.getTeam(2).setHasTech(18, true, 2, false, false)
						gc.getTeam(2).setHasTech(19, true, 2, false, false)
						gc.getTeam(2).setHasTech(20, true, 2, false, false)
						gc.getTeam(2).setHasTech(21, true, 2, false, false)
						gc.getTeam(2).setHasTech(22, true, 2, false, false)
						gc.getTeam(2).setHasTech(23, true, 2, false, false)
						gc.getTeam(2).setHasTech(24, true, 2, false, false)
						gc.getTeam(2).setHasTech(25, true, 2, false, false)
						gc.getTeam(2).setHasTech(26, true, 2, false, false)
						gc.getTeam(2).setHasTech(27, true, 2, false, false)
						gc.getTeam(2).setHasTech(28, true, 2, false, false)
						gc.getTeam(2).setHasTech(29, true, 2, false, false)
						gc.getTeam(2).setHasTech(30, true, 2, false, false)
						gc.getTeam(2).setHasTech(31, true, 2, false, false)
						gc.getTeam(2).setHasTech(32, true, 2, false, false)
						gc.getTeam(2).setHasTech(33, true, 2, false, false)
						gc.getTeam(2).setHasTech(34, true, 2, false, false)
						gc.getTeam(2).setHasTech(35, true, 2, false, false)
						gc.getTeam(2).setHasTech(36, true, 2, false, false)
						gc.getTeam(2).setHasTech(37, true, 2, false, false)
						gc.getTeam(2).setHasTech(38, true, 2, false, false)
						gc.getTeam(2).setHasTech(39, true, 2, false, false)
						gc.getTeam(2).setHasTech(40, true, 2, false, false)
						gc.getTeam(2).setHasTech(41, true, 2, false, false)
						gc.getTeam(2).setHasTech(42, true, 2, false, false)
						gc.getTeam(2).setHasTech(43, true, 2, false, false)
						gc.getTeam(2).setHasTech(44, true, 2, false, false)
						gc.getTeam(2).setHasTech(45, true, 2, false, false)
						gc.getTeam(2).setHasTech(46, true, 2, false, false)
						gc.getTeam(2).setHasTech(47, true, 2, false, false)
						gc.getTeam(2).setHasTech(59, true, 2, false, false)
						gc.getTeam(2).setHasTech(60, true, 2, false, false)
						gc.getTeam(2).setHasTech(61, true, 2, false, false)
						gc.getTeam(2).setHasTech(62, true, 2, false, false)
						gc.getTeam(2).setHasTech(63, true, 2, false, false)
						gc.getTeam(2).setHasTech(64, true, 2, false, false)
						gc.getTeam(2).setHasTech(65, true, 2, false, false)
						gc.getTeam(2).setHasTech(66, true, 2, false, false)
						gc.getTeam(2).setHasTech(67, true, 2, false, false)
						gc.getTeam(2).setHasTech(68, true, 2, false, false)
						gc.getTeam(2).setHasTech(69, true, 2, false, false)
						gc.getTeam(2).setHasTech(70, true, 2, false, false)
						gc.getTeam(2).setHasTech(71, true, 2, false, false)
						gc.getTeam(2).setHasTech(72, true, 2, false, false)
						gc.getTeam(2).setHasTech(73, true, 2, false, false)
						gc.getTeam(2).setHasTech(76, true, 2, false, false)
						gc.getTeam(2).setHasTech(82, true, 2, false, false)
						gc.getTeam(2).setHasTech(48, true, 2, false, false)
				if gc.getTeam(2).isAVassal():
						for tCoords in getPlotList((75, 38), (79, 46)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(2)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(2).initUnit(46, 73, 40, 5)
						babylonRespawnMessage = "Babylonians struggle for independence under the leadership of 'Abd al-llah..."
						CyInterface().addImmediateMessage(babylonRespawnMessage,"")
						CvUtil.pyPrint(babylonRespawnMessage)
		if isDate (1932):
				cultureGift(2)
				for tCoords in getPlotList((77, 40), (77, 40)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 2:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(2)
												gc.getTeam(eTeam).makePeace(2)
										
#Persia 1925  
		if isDate(1924):
				if not PyPlayer(8).isAlive():
						for tCoords in getPlotList((80, 37), (86, 44)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(8)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(8).initUnit(46, 81, 38, 5)
						persiaRespawnMessage = "Reza Shah attempts to seize control of Persia..."
						CyInterface().addImmediateMessage(persiaRespawnMessage,"")
						CvUtil.pyPrint(persiaRespawnMessage)
						if PyPlayer(1).isAlive():
								gc.getTeam(8).makePeace(1)
						if PyPlayer(2).isAlive():
								gc.getTeam(8).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(8).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(8).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(8).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(8).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(8).makePeace(7)
						if PyPlayer(16).isAlive():
								gc.getTeam(8).makePeace(16)
						if PyPlayer(9).isAlive():
								gc.getTeam(8).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(8).makePeace(10)
						if PyPlayer(11).isAlive():
								gc.getTeam(8).makePeace(11)
						if PyPlayer(12).isAlive():
								gc.getTeam(8).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(8).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(8).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(8).makePeace(15)
						if PyPlayer(0).isAlive():
								gc.getTeam(8).makePeace(0)
						if PyPlayer(17).isAlive():
								gc.getTeam(8).makePeace(17)
						gc.getTeam(8).setHasTech(1, true, 8, false, false)
						gc.getTeam(8).setHasTech(2, true, 8, false, false)
						gc.getTeam(8).setHasTech(3, true, 8, false, false)
						gc.getTeam(8).setHasTech(4, true, 8, false, false)
						gc.getTeam(8).setHasTech(5, true, 8, false, false)
						gc.getTeam(8).setHasTech(6, true, 8, false, false)
						gc.getTeam(8).setHasTech(7, true, 8, false, false)
						gc.getTeam(8).setHasTech(8, true, 8, false, false)
						gc.getTeam(8).setHasTech(9, true, 8, false, false)
						gc.getTeam(8).setHasTech(10, true, 8, false, false)
						gc.getTeam(8).setHasTech(11, true, 8, false, false)
						gc.getTeam(8).setHasTech(12, true, 8, false, false)
						gc.getTeam(8).setHasTech(13, true, 8, false, false)
						gc.getTeam(8).setHasTech(14, true, 8, false, false)
						gc.getTeam(8).setHasTech(15, true, 8, false, false)
						gc.getTeam(8).setHasTech(16, true, 8, false, false)
						gc.getTeam(8).setHasTech(17, true, 8, false, false)
						gc.getTeam(8).setHasTech(18, true, 8, false, false)
						gc.getTeam(8).setHasTech(19, true, 8, false, false)
						gc.getTeam(8).setHasTech(20, true, 8, false, false)
						gc.getTeam(8).setHasTech(21, true, 8, false, false)
						gc.getTeam(8).setHasTech(22, true, 8, false, false)
						gc.getTeam(8).setHasTech(23, true, 8, false, false)
						gc.getTeam(8).setHasTech(24, true, 8, false, false)
						gc.getTeam(8).setHasTech(25, true, 8, false, false)
						gc.getTeam(8).setHasTech(26, true, 8, false, false)
						gc.getTeam(8).setHasTech(27, true, 8, false, false)
						gc.getTeam(8).setHasTech(28, true, 8, false, false)
						gc.getTeam(8).setHasTech(29, true, 8, false, false)
						gc.getTeam(8).setHasTech(30, true, 8, false, false)
						gc.getTeam(8).setHasTech(31, true, 8, false, false)
						gc.getTeam(8).setHasTech(32, true, 8, false, false)
						gc.getTeam(8).setHasTech(33, true, 8, false, false)
						gc.getTeam(8).setHasTech(34, true, 8, false, false)
						gc.getTeam(8).setHasTech(35, true, 8, false, false)
						gc.getTeam(8).setHasTech(36, true, 8, false, false)
						gc.getTeam(8).setHasTech(37, true, 8, false, false)
						gc.getTeam(8).setHasTech(38, true, 8, false, false)
						gc.getTeam(8).setHasTech(39, true, 8, false, false)
						gc.getTeam(8).setHasTech(40, true, 8, false, false)
						gc.getTeam(8).setHasTech(41, true, 8, false, false)
						gc.getTeam(8).setHasTech(42, true, 8, false, false)
						gc.getTeam(8).setHasTech(43, true, 8, false, false)
						gc.getTeam(8).setHasTech(44, true, 8, false, false)
						gc.getTeam(8).setHasTech(45, true, 8, false, false)
						gc.getTeam(8).setHasTech(46, true, 8, false, false)
						gc.getTeam(8).setHasTech(47, true, 8, false, false)
						gc.getTeam(8).setHasTech(59, true, 8, false, false)
						gc.getTeam(8).setHasTech(60, true, 8, false, false)
						gc.getTeam(8).setHasTech(61, true, 8, false, false)
						gc.getTeam(8).setHasTech(62, true, 8, false, false)
						gc.getTeam(8).setHasTech(63, true, 8, false, false)
						gc.getTeam(8).setHasTech(64, true, 8, false, false)
						gc.getTeam(8).setHasTech(65, true, 8, false, false)
						gc.getTeam(8).setHasTech(66, true, 8, false, false)
						gc.getTeam(8).setHasTech(67, true, 8, false, false)
						gc.getTeam(8).setHasTech(68, true, 8, false, false)
						gc.getTeam(8).setHasTech(69, true, 8, false, false)
						gc.getTeam(8).setHasTech(70, true, 8, false, false)
						gc.getTeam(8).setHasTech(71, true, 8, false, false)
						gc.getTeam(8).setHasTech(72, true, 8, false, false)
						gc.getTeam(8).setHasTech(73, true, 8, false, false)
						gc.getTeam(8).setHasTech(76, true, 8, false, false)
						gc.getTeam(8).setHasTech(82, true, 8, false, false)
						gc.getTeam(8).setHasTech(48, true, 8, false, false)
				if gc.getTeam(8).isAVassal():
						for tCoords in getPlotList((80, 37), (86, 44)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(8)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(8).initUnit(46, 81, 38, 5)
						persiaRespawnMessage = "Reza Shah attempts to seize control of Persia..."
						CyInterface().addImmediateMessage(persiaRespawnMessage,"")
						CvUtil.pyPrint(persiaRespawnMessage)
		if isDate (1925):
				cultureGift(8)
				for tCoords in getPlotList((81, 41), (81, 41)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 8:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(8)
												gc.getTeam(eTeam).makePeace(8)

#arabia 1744
		if isDate(1743):
				if not PyPlayer(11).isAlive():
						for tCoords in getPlotList((74, 29), (82, 36)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(11)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(11).initUnit(42, 75, 33, 5)
						arabiaRespawnMessage = "Arabians attempt to unite behind the House of Saud..."
						CyInterface().addImmediateMessage(arabiaRespawnMessage,"")
						CvUtil.pyPrint(arabiaRespawnMessage)
						if PyPlayer(0).isAlive():
								gc.getTeam(11).makePeace(0)
						if PyPlayer(2).isAlive():
								gc.getTeam(11).makePeace(2)
						if PyPlayer(3).isAlive():
								gc.getTeam(11).makePeace(3)
						if PyPlayer(4).isAlive():
								gc.getTeam(11).makePeace(4)
						if PyPlayer(5).isAlive():
								gc.getTeam(11).makePeace(5)
						if PyPlayer(6).isAlive():
								gc.getTeam(11).makePeace(6)
						if PyPlayer(7).isAlive():
								gc.getTeam(11).makePeace(7)
						if PyPlayer(8).isAlive():
								gc.getTeam(11).makePeace(8)
						if PyPlayer(9).isAlive():
								gc.getTeam(11).makePeace(9)
						if PyPlayer(10).isAlive():
								gc.getTeam(11).makePeace(10)
						if PyPlayer(1).isAlive():
								gc.getTeam(11).makePeace(1)
						if PyPlayer(12).isAlive():
								gc.getTeam(11).makePeace(12)
						if PyPlayer(13).isAlive():
								gc.getTeam(11).makePeace(13)
						if PyPlayer(14).isAlive():
								gc.getTeam(11).makePeace(14)
						if PyPlayer(15).isAlive():
								gc.getTeam(11).makePeace(15)
						if PyPlayer(16).isAlive():
								gc.getTeam(11).makePeace(16)
						if PyPlayer(17).isAlive():
								gc.getTeam(11).makePeace(17)
						gc.getTeam(11).setHasTech(1, true, 11, false, false)
						gc.getTeam(11).setHasTech(2, true, 11, false, false)
						gc.getTeam(11).setHasTech(3, true, 11, false, false)
						gc.getTeam(11).setHasTech(4, true, 11, false, false)
						gc.getTeam(11).setHasTech(5, true, 11, false, false)
						gc.getTeam(11).setHasTech(6, true, 11, false, false)
						gc.getTeam(11).setHasTech(7, true, 11, false, false)
						gc.getTeam(11).setHasTech(8, true, 11, false, false)
						gc.getTeam(11).setHasTech(9, true, 11, false, false)
						gc.getTeam(11).setHasTech(10, true, 11, false, false)
						gc.getTeam(11).setHasTech(11, true, 11, false, false)
						gc.getTeam(11).setHasTech(12, true, 11, false, false)
						gc.getTeam(11).setHasTech(13, true, 11, false, false)
						gc.getTeam(11).setHasTech(14, true, 11, false, false)
						gc.getTeam(11).setHasTech(15, true, 11, false, false)
						gc.getTeam(11).setHasTech(16, true, 11, false, false)
						gc.getTeam(11).setHasTech(17, true, 11, false, false)
						gc.getTeam(11).setHasTech(18, true, 11, false, false)
						gc.getTeam(11).setHasTech(19, true, 11, false, false)
						gc.getTeam(11).setHasTech(20, true, 11, false, false)
						gc.getTeam(11).setHasTech(21, true, 11, false, false)
						gc.getTeam(11).setHasTech(22, true, 11, false, false)
						gc.getTeam(11).setHasTech(23, true, 11, false, false)
						gc.getTeam(11).setHasTech(24, true, 11, false, false)
						gc.getTeam(11).setHasTech(25, true, 11, false, false)
						gc.getTeam(11).setHasTech(26, true, 11, false, false)
						gc.getTeam(11).setHasTech(27, true, 11, false, false)
						gc.getTeam(11).setHasTech(28, true, 11, false, false)
						gc.getTeam(11).setHasTech(29, true, 11, false, false)
						gc.getTeam(11).setHasTech(30, true, 11, false, false)
						gc.getTeam(11).setHasTech(31, true, 11, false, false)
						gc.getTeam(11).setHasTech(32, true, 11, false, false)
						gc.getTeam(11).setHasTech(33, true, 11, false, false)
						gc.getTeam(11).setHasTech(34, true, 11, false, false)
						gc.getTeam(11).setHasTech(35, true, 11, false, false)
						gc.getTeam(11).setHasTech(36, true, 11, false, false)
						gc.getTeam(11).setHasTech(37, true, 11, false, false)
						gc.getTeam(11).setHasTech(38, true, 11, false, false)
						gc.getTeam(11).setHasTech(39, true, 11, false, false)
						gc.getTeam(11).setHasTech(40, true, 11, false, false)
						gc.getTeam(11).setHasTech(41, true, 11, false, false)
						gc.getTeam(11).setHasTech(42, true, 11, false, false)
						gc.getTeam(11).setHasTech(43, true, 11, false, false)
						gc.getTeam(11).setHasTech(44, true, 11, false, false)
						gc.getTeam(11).setHasTech(45, true, 11, false, false)
						gc.getTeam(11).setHasTech(46, true, 11, false, false)
						gc.getTeam(11).setHasTech(47, true, 11, false, false)
						gc.getTeam(11).setHasTech(59, true, 11, false, false)
						gc.getTeam(11).setHasTech(60, true, 11, false, false)
						gc.getTeam(11).setHasTech(61, true, 11, false, false)
						gc.getTeam(11).setHasTech(62, true, 11, false, false)
						gc.getTeam(11).setHasTech(63, true, 11, false, false)
						gc.getTeam(11).setHasTech(64, true, 11, false, false)
						gc.getTeam(11).setHasTech(65, true, 11, false, false)
						gc.getTeam(11).setHasTech(66, true, 11, false, false)
						gc.getTeam(11).setHasTech(67, true, 11, false, false)
						gc.getTeam(11).setHasTech(68, true, 11, false, false)
						gc.getTeam(11).setHasTech(69, true, 11, false, false)
						gc.getTeam(11).setHasTech(70, true, 11, false, false)
						gc.getTeam(11).setHasTech(71, true, 11, false, false)
						gc.getTeam(11).setHasTech(72, true, 11, false, false)
						gc.getTeam(11).setHasTech(73, true, 11, false, false)
				if gc.getTeam(11).isAVassal():
						for tCoords in getPlotList((74, 29), (82, 36)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(11)
												for eTeam in range(18):
														pCurrentPlot.setCulture(eTeam, 0, True)
												PyPlayer(11).initUnit(42, 75, 33, 5)
						arabiaRespawnMessage = "Arabians attempt to unite behind the House of Saud..."
						CyInterface().addImmediateMessage(arabiaRespawnMessage,"")
						CvUtil.pyPrint(arabiaRespawnMessage)
		if isDate (1744):
				cultureGift(11)
				for tCoords in getPlotList((75, 35), (75, 35)):
						x, y = tCoords
						pCurrentPlot = cyMap.plot(x,y)
						iOwner = pCurrentPlot.getOwner()
						if iOwner == 11:
								if pCurrentPlot.isCity():
										pCity = pCurrentPlot.getPlotCity()
										pCity.setNumRealBuilding(0, 1)
										for eTeam in range(18):
												gc.getTeam(eTeam).freeVassal(11)
												gc.getTeam(eTeam).makePeace(11)



#moves holycity status to a city with the proper geographical location: run on city found
def holyCityNorm():
		if gc.getGame().isReligionSlotTaken(0):
				for tCoords in getAdjacentList((73, 38)):
							x, y = tCoords
							pCurrentPlot = cyMap.plot(x, y)
							if pCurrentPlot.isCity():
									pCity = pCurrentPlot.getPlotCity()
									gc.getGame().setHolyCity(0, pCity, false)
		if gc.getGame().isReligionSlotTaken(1):
				for tCoords in getAdjacentList((60, 44)):
							x, y = tCoords
							pCurrentPlot = cyMap.plot(x, y)
							if pCurrentPlot.isCity():
									pCity = pCurrentPlot.getPlotCity()
									gc.getGame().setHolyCity(1, pCity, false)
		if gc.getGame().isReligionSlotTaken(2):
				for tCoords in getAdjacentList((75, 33)):
							x, y = tCoords
							pCurrentPlot = cyMap.plot(x, y)
							if pCurrentPlot.isCity():
									pCity = pCurrentPlot.getPlotCity()
									gc.getGame().setHolyCity(2, pCity, false)
		if gc.getGame().isReligionSlotTaken(3):
				for tCoords in getAdjacentList((89, 39)):
							x, y = tCoords
							pCurrentPlot = cyMap.plot(x, y)
							if pCurrentPlot.isCity():
									pCity = pCurrentPlot.getPlotCity()
									gc.getGame().setHolyCity(3, pCity, false)
		if gc.getGame().isReligionSlotTaken(4):
				for tCoords in getAdjacentList((95, 43)):
							x, y = tCoords
							pCurrentPlot = cyMap.plot(x, y)
							if pCurrentPlot.isCity():
									pCity = pCurrentPlot.getPlotCity()
									gc.getGame().setHolyCity(4, pCity, false)
		if gc.getGame().isReligionSlotTaken(5):
				for tCoords in getAdjacentList((102, 46)):
							x, y = tCoords
							pCurrentPlot = cyMap.plot(x, y)
							if pCurrentPlot.isCity():
									pCity = pCurrentPlot.getPlotCity()
									gc.getGame().setHolyCity(5, pCity, false)
		if gc.getGame().isReligionSlotTaken(6):
				for tCoords in getAdjacentList((103, 33)):
							x, y = tCoords
							pCurrentPlot = cyMap.plot(x, y)
							if pCurrentPlot.isCity():
									pCity = pCurrentPlot.getPlotCity()
									gc.getGame().setHolyCity(6, pCity, false)

																																																
#colony spawns tied to discovery of Astronomy and Gunpowder
def colonySpawn():
		if isDate(1500):
#Arabs
				if gc.getTeam(11).isHasTech(73):
						if gc.getTeam(11).isHasTech(42):
								if gc.getPlayer(11).isHuman():
										PyPlayer(11).initUnit(4, 99, 27, 1)
										PyPlayer(11).initUnit(5, 99, 27, 2)
										PyPlayer(11).initUnit(42, 99, 27, 5)
										PyPlayer(11).initUnit(4, 104, 27, 1)
										PyPlayer(11).initUnit(5, 104, 27, 2)
										PyPlayer(11).initUnit(42, 104, 27, 5)
										PyPlayer(11).initUnit(4, 71, 25, 1)
										PyPlayer(11).initUnit(5, 71, 25, 2)
										PyPlayer(11).initUnit(42, 71, 25, 5)
										if gc.getPlayer(11).getStateReligion() == 0:
												PyPlayer(11).initUnit(17, 99, 27, 1)
												PyPlayer(11).initUnit(17, 104, 27, 1)
												PyPlayer(11).initUnit(17, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 1:
												PyPlayer(11).initUnit(18, 99, 27, 1)
												PyPlayer(11).initUnit(18, 104, 27, 1)
												PyPlayer(11).initUnit(18, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 2:
												PyPlayer(11).initUnit(19, 99, 27, 1)
												PyPlayer(11).initUnit(19, 104, 27, 1)
												PyPlayer(11).initUnit(19, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 3:
												PyPlayer(11).initUnit(20, 99, 27, 1)
												PyPlayer(11).initUnit(20, 104, 27, 1)
												PyPlayer(11).initUnit(20, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 4:
												PyPlayer(11).initUnit(21, 99, 27, 1)
												PyPlayer(11).initUnit(21, 104, 27, 1)
												PyPlayer(11).initUnit(21, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 5:
												PyPlayer(11).initUnit(22, 99, 27, 1)
												PyPlayer(11).initUnit(22, 104, 27, 1)
												PyPlayer(11).initUnit(22, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 6:
												PyPlayer(11).initUnit(23, 99, 27, 1)
												PyPlayer(11).initUnit(23, 104, 27, 1)
												PyPlayer(11).initUnit(23, 71, 25, 1)
										for tCoords in getPlotList((97, 24), (122, 29)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(11)
										for tCoords in getPlotList((70, 29), (83, 36)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(11)
#English
				if gc.getTeam(12).isHasTech(73):
						if gc.getTeam(12).isHasTech(42):
								if gc.getPlayer(12).isHuman():
										pNewYork = cyMap.plot(30, 48)
										pPhiladelphia = cyMap.plot(28, 47)
										pBoston = cyMap.plot(31, 49)
										for tCoords in getAdjacentList((30, 48)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x, y)
												if pCurrentPlot.isCity():
														pCity = pCurrentPlot.getPlotCity()
														pCity.kill()
										for tCoords in getAdjacentList((28, 47)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x, y)
												if pCurrentPlot.isCity():
														pCity = pCurrentPlot.getPlotCity()
														pCity.kill()
										for tCoords in getAdjacentList((31, 49)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x, y)
												if pCurrentPlot.isCity():
														pCity = pCurrentPlot.getPlotCity()
														pCity.kill()
										PyPlayer(12).initCity(30, 48)
										pNewYork.getPlotCity().setName("New York", 1)
										PyPlayer(12).initUnit(5, 30, 48, 2)
										PyPlayer(12).initUnit(47, 30, 48, 5)
										PyPlayer(12).initCity(28, 47)
										pPhiladelphia.getPlotCity().setName("Philadelphia", 1)
										PyPlayer(12).initUnit(5, 28, 47, 2)
										PyPlayer(12).initUnit(47, 28, 47, 5)
										PyPlayer(12).initCity(31, 49)
										pBoston.getPlotCity().setName("Boston", 1)
										PyPlayer(12).initUnit(5, 31, 49, 2)
										PyPlayer(12).initUnit(47, 31, 49, 5)
										PyPlayer(12).initUnit(4, 25, 52, 1)
										PyPlayer(12).initUnit(5, 25, 52, 2)
										PyPlayer(12).initUnit(47, 25, 52, 5)
										PyPlayer(12).initUnit(4, 64, 12, 1)
										PyPlayer(12).initUnit(5, 64, 12, 2)
										PyPlayer(12).initUnit(47, 64, 12, 5)
										PyPlayer(12).initUnit(4, 118, 13, 1)
										PyPlayer(12).initUnit(5, 118, 13, 2)
										PyPlayer(12).initUnit(47, 118, 13, 5)
										for tCoords in getPlotList((103, 9), (1, 23)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(12)
										for tCoords in getPlotList((62, 10), (69, 13)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(12)
										for tCoords in getPlotList((102, 7), (123, 22)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(12)
										if gc.getPlayer(12).getStateReligion() == 0:
												PyPlayer(12).initUnit(17, 30, 48, 1)
												PyPlayer(12).initUnit(17, 28, 47, 1)
												PyPlayer(12).initUnit(17, 31, 49, 1)
												PyPlayer(12).initUnit(17, 28, 51, 1)
												PyPlayer(12).initUnit(17, 64, 12, 1)
												PyPlayer(12).initUnit(17, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 1:
												PyPlayer(12).initUnit(18, 30, 48, 1)
												PyPlayer(12).initUnit(18, 28, 47, 1)
												PyPlayer(12).initUnit(18, 31, 49, 1)
												PyPlayer(12).initUnit(18, 28, 51, 1)
												PyPlayer(12).initUnit(18, 64, 12, 1)
												PyPlayer(12).initUnit(18, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 2:
												PyPlayer(12).initUnit(19, 30, 48, 1)
												PyPlayer(12).initUnit(19, 28, 47, 1)
												PyPlayer(12).initUnit(19, 31, 49, 1)
												PyPlayer(12).initUnit(19, 28, 51, 1)
												PyPlayer(12).initUnit(19, 64, 12, 1)
												PyPlayer(12).initUnit(19, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 3:
												PyPlayer(12).initUnit(20, 30, 48, 1)
												PyPlayer(12).initUnit(20, 28, 47, 1)
												PyPlayer(12).initUnit(20, 31, 49, 1)
												PyPlayer(12).initUnit(20, 28, 51, 1)
												PyPlayer(12).initUnit(20, 64, 12, 1)
												PyPlayer(12).initUnit(20, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 4:
												PyPlayer(12).initUnit(21, 30, 48, 1)
												PyPlayer(12).initUnit(21, 28, 47, 1)
												PyPlayer(12).initUnit(21, 31, 49, 1)
												PyPlayer(12).initUnit(21, 28, 51, 1)
												PyPlayer(12).initUnit(21, 64, 12, 1)
												PyPlayer(12).initUnit(21, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 5:
												PyPlayer(12).initUnit(22, 30, 48, 1)
												PyPlayer(12).initUnit(22, 28, 47, 1)
												PyPlayer(12).initUnit(22, 31, 49, 1)
												PyPlayer(12).initUnit(22, 28, 51, 1)
												PyPlayer(12).initUnit(22, 64, 12, 1)
												PyPlayer(12).initUnit(22, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 6:
												PyPlayer(12).initUnit(23, 30, 48, 1)
												PyPlayer(12).initUnit(23, 28, 47, 1)
												PyPlayer(12).initUnit(23, 31, 49, 1)
												PyPlayer(12).initUnit(23, 28, 51, 1)
												PyPlayer(12).initUnit(23, 64, 12, 1)
												PyPlayer(12).initUnit(23, 118, 13, 1)
#Celts get the colonies if they meet the requirements and England is dead
				if gc.getTeam(0).isHasTech(73):
						if gc.getTeam(0).isHasTech(42):
								if not PyPlayer(12).isAlive():
										pNewYork = cyMap.plot(30, 48)
										pPhiladelphia = cyMap.plot(28, 47)
										pBoston = cyMap.plot(31, 49)
										for tCoords in getAdjacentList((30, 48)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x, y)
												if pCurrentPlot.isCity():
														pCity = pCurrentPlot.getPlotCity()
														pCity.kill()
										for tCoords in getAdjacentList((28, 47)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x, y)
												if pCurrentPlot.isCity():
														pCity = pCurrentPlot.getPlotCity()
														pCity.kill()
										for tCoords in getAdjacentList((31, 49)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x, y)
												if pCurrentPlot.isCity():
														pCity = pCurrentPlot.getPlotCity()
														pCity.kill()
										PyPlayer(0).initCity(30, 48)
										pNewYork.getPlotCity().setName("New York", 1)
										PyPlayer(0).initUnit(5, 30, 48, 2)
										PyPlayer(0).initUnit(47, 30, 48, 5)
										PyPlayer(0).initCity(28, 47)
										pPhiladelphia.getPlotCity().setName("Philadelphia", 1)
										PyPlayer(0).initUnit(5, 28, 47, 2)
										PyPlayer(0).initUnit(47, 28, 47, 5)
										PyPlayer(0).initCity(31, 49)
										pBoston.getPlotCity().setName("Boston", 1)
										PyPlayer(0).initUnit(5, 31, 49, 2)
										PyPlayer(0).initUnit(47, 31, 49, 5)
										PyPlayer(0).initUnit(4, 25, 52, 1)
										PyPlayer(0).initUnit(5, 25, 52, 2)
										PyPlayer(0).initUnit(47, 25, 52, 5)
										PyPlayer(0).initUnit(4, 64, 12, 1)
										PyPlayer(0).initUnit(5, 64, 12, 2)
										PyPlayer(0).initUnit(47, 64, 12, 5)
										PyPlayer(0).initUnit(4, 118, 13, 1)
										PyPlayer(0).initUnit(5, 118, 13, 2)
										PyPlayer(0).initUnit(47, 118, 13, 5)
										for tCoords in getPlotList((103, 9), (1, 23)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(0)
										for tCoords in getPlotList((62, 10), (69, 13)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(0)
										for tCoords in getPlotList((102, 7), (123, 22)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(0)
										if gc.getPlayer(12).getStateReligion() == 0:
												PyPlayer(0).initUnit(17, 30, 48, 1)
												PyPlayer(0).initUnit(17, 28, 47, 1)
												PyPlayer(0).initUnit(17, 31, 49, 1)
												PyPlayer(0).initUnit(17, 28, 51, 1)
												PyPlayer(0).initUnit(17, 64, 12, 1)
												PyPlayer(0).initUnit(17, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 1:
												PyPlayer(0).initUnit(18, 30, 48, 1)
												PyPlayer(0).initUnit(18, 28, 47, 1)
												PyPlayer(0).initUnit(18, 31, 49, 1)
												PyPlayer(0).initUnit(18, 28, 51, 1)
												PyPlayer(0).initUnit(18, 64, 12, 1)
												PyPlayer(0).initUnit(18, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 2:
												PyPlayer(0).initUnit(19, 30, 48, 1)
												PyPlayer(0).initUnit(19, 28, 47, 1)
												PyPlayer(0).initUnit(19, 31, 49, 1)
												PyPlayer(0).initUnit(19, 28, 51, 1)
												PyPlayer(0).initUnit(19, 64, 12, 1)
												PyPlayer(0).initUnit(19, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 3:
												PyPlayer(0).initUnit(20, 30, 48, 1)
												PyPlayer(0).initUnit(20, 28, 47, 1)
												PyPlayer(0).initUnit(20, 31, 49, 1)
												PyPlayer(0).initUnit(20, 28, 51, 1)
												PyPlayer(0).initUnit(20, 64, 12, 1)
												PyPlayer(0).initUnit(20, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 4:
												PyPlayer(0).initUnit(21, 30, 48, 1)
												PyPlayer(0).initUnit(21, 28, 47, 1)
												PyPlayer(0).initUnit(21, 31, 49, 1)
												PyPlayer(0).initUnit(21, 28, 51, 1)
												PyPlayer(0).initUnit(21, 64, 12, 1)
												PyPlayer(0).initUnit(21, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 5:
												PyPlayer(0).initUnit(22, 30, 48, 1)
												PyPlayer(0).initUnit(22, 28, 47, 1)
												PyPlayer(0).initUnit(22, 31, 49, 1)
												PyPlayer(0).initUnit(22, 28, 51, 1)
												PyPlayer(0).initUnit(22, 64, 12, 1)
												PyPlayer(0).initUnit(22, 118, 13, 1)
										if gc.getPlayer(12).getStateReligion() == 6:
												PyPlayer(0).initUnit(23, 30, 48, 1)
												PyPlayer(0).initUnit(23, 28, 47, 1)
												PyPlayer(0).initUnit(23, 31, 49, 1)
												PyPlayer(0).initUnit(23, 28, 51, 1)
												PyPlayer(0).initUnit(23, 64, 12, 1)
												PyPlayer(0).initUnit(23, 118, 13, 1)
#French
				if gc.getTeam(13).isHasTech(73):
						if gc.getTeam(13).isHasTech(42):
								if gc.getPlayer(13).isHuman():
										PyPlayer(13).initUnit(4, 30, 37, 1)
										PyPlayer(13).initUnit(5, 30, 37, 2)
										PyPlayer(13).initUnit(43, 30, 37, 5)
										PyPlayer(13).initUnit(4, 31, 53, 1)
										PyPlayer(13).initUnit(5, 31, 53, 2)
										PyPlayer(13).initUnit(43, 31, 53, 5)
										PyPlayer(13).initUnit(4, 33, 32, 1)
										PyPlayer(13).initUnit(5, 33, 32, 2)
										PyPlayer(13).initUnit(43, 33, 32, 5)
										PyPlayer(13).initUnit(4, 57, 27, 1)
										PyPlayer(13).initUnit(5, 57, 27, 2)
										PyPlayer(13).initUnit(43, 57, 27, 5)
										if gc.getPlayer(13).getStateReligion() == 0:
												PyPlayer(13).initUnit(17, 30, 37, 1)
												PyPlayer(13).initUnit(17, 31, 53, 1)
												PyPlayer(13).initUnit(17, 33, 32, 1)
												PyPlayer(13).initUnit(17, 57, 27, 1)
										if gc.getPlayer(13).getStateReligion() == 1:
												PyPlayer(13).initUnit(18, 30, 37, 1)
												PyPlayer(13).initUnit(18, 31, 53, 1)
												PyPlayer(13).initUnit(18, 33, 32, 1)
												PyPlayer(13).initUnit(17, 57, 27, 1)
										if gc.getPlayer(13).getStateReligion() == 2:
												PyPlayer(13).initUnit(19, 30, 37, 1)
												PyPlayer(13).initUnit(19, 31, 53, 1)
												PyPlayer(13).initUnit(19, 33, 32, 1)
												PyPlayer(13).initUnit(17, 57, 27, 1)
										if gc.getPlayer(13).getStateReligion() == 3:
												PyPlayer(13).initUnit(20, 30, 37, 1)
												PyPlayer(13).initUnit(20, 31, 53, 1)
												PyPlayer(13).initUnit(20, 33, 32, 1)
												PyPlayer(13).initUnit(17, 57, 27, 1)
										if gc.getPlayer(13).getStateReligion() == 4:
												PyPlayer(13).initUnit(21, 30, 37, 1)
												PyPlayer(13).initUnit(21, 31, 53, 1)
												PyPlayer(13).initUnit(21, 33, 32, 1)
												PyPlayer(13).initUnit(17, 57, 27, 1)
										if gc.getPlayer(13).getStateReligion() == 5:
												PyPlayer(13).initUnit(22, 30, 37, 1)
												PyPlayer(13).initUnit(22, 31, 53, 1)
												PyPlayer(13).initUnit(22, 33, 32, 1)
												PyPlayer(13).initUnit(17, 57, 27, 1)
										if gc.getPlayer(13).getStateReligion() == 6:
												PyPlayer(13).initUnit(23, 30, 37, 1)
												PyPlayer(13).initUnit(23, 31, 53, 1)
												PyPlayer(13).initUnit(23, 33, 32, 1)
												PyPlayer(13).initUnit(17, 57, 27, 1)
										for tCoords in getPlotList((48, 25), (61, 39)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(13)
										for tCoords in getPlotList((29, 51), (39, 58)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(13)
#Spanish
				if gc.getTeam(14).isHasTech(73):
						if gc.getTeam(14).isHasTech(42):
								if gc.getPlayer(14).isHuman():
										PyPlayer(14).initUnit(4, 27, 38, 1)
										PyPlayer(14).initUnit(5, 27, 38, 2)
										PyPlayer(14).initUnit(42, 27, 38, 5)
										PyPlayer(14).initUnit(4, 17, 38, 1)
										PyPlayer(14).initUnit(5, 17, 38, 2)
										PyPlayer(14).initUnit(42, 17, 38, 5)
										PyPlayer(14).initUnit(4, 41, 18, 1)
										PyPlayer(14).initUnit(5, 41, 18, 2)
										PyPlayer(14).initUnit(42, 41, 18, 5)
										PyPlayer(14).initUnit(4, 35, 12, 1)
										PyPlayer(14).initUnit(5, 35, 12, 2)
										PyPlayer(14).initUnit(42, 35, 12, 5)
										if gc.getPlayer(14).getStateReligion() == 0:
												PyPlayer(14).initUnit(17, 27, 38, 1)
												PyPlayer(14).initUnit(17, 17, 38, 1)
												PyPlayer(14).initUnit(17, 41, 18, 1)
												PyPlayer(14).initUnit(17, 35, 12, 1)
										if gc.getPlayer(14).getStateReligion() == 1:
												PyPlayer(14).initUnit(18, 27, 38, 1)
												PyPlayer(14).initUnit(18, 17, 38, 1)
												PyPlayer(14).initUnit(18, 41, 18, 1)
												PyPlayer(14).initUnit(17, 35, 12, 1)
										if gc.getPlayer(14).getStateReligion() == 2:
												PyPlayer(14).initUnit(19, 27, 38, 1)
												PyPlayer(14).initUnit(19, 17, 38, 1)
												PyPlayer(14).initUnit(19, 41, 18, 1)
												PyPlayer(14).initUnit(17, 35, 12, 1)
										if gc.getPlayer(14).getStateReligion() == 3:
												PyPlayer(14).initUnit(20, 27, 38, 1)
												PyPlayer(14).initUnit(20, 17, 38, 1)
												PyPlayer(14).initUnit(20, 41, 18, 1)
												PyPlayer(14).initUnit(17, 35, 12, 1)
										if gc.getPlayer(14).getStateReligion() == 4:
												PyPlayer(14).initUnit(21, 27, 38, 1)
												PyPlayer(14).initUnit(21, 17, 38, 1)
												PyPlayer(14).initUnit(21, 41, 18, 1)
												PyPlayer(14).initUnit(17, 35, 12, 1)
										if gc.getPlayer(14).getStateReligion() == 5:
												PyPlayer(14).initUnit(22, 27, 38, 1)
												PyPlayer(14).initUnit(22, 17, 38, 1)
												PyPlayer(14).initUnit(22, 41, 18, 1)
												PyPlayer(14).initUnit(17, 35, 12, 1)
										if gc.getPlayer(14).getStateReligion() == 6:
												PyPlayer(14).initUnit(23, 27, 38, 1)
												PyPlayer(14).initUnit(23, 17, 38, 1)
												PyPlayer(14).initUnit(23, 41, 18, 1)
												PyPlayer(14).initUnit(17, 35, 12, 1)
										for tCoords in getPlotList((19, 3), (44, 36)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(14)
#Russia
				if gc.getTeam(16).isHasTech(73):
						if gc.getTeam(16).isHasTech(42):
								if gc.getPlayer(16).isHuman():
										for tCoords in getPlotList((66, 48), (112, 65)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(16)
										PyPlayer(16).initUnit(4, 110, 52, 1)
										PyPlayer(16).initUnit(5, 110, 52, 2)
										PyPlayer(16).initUnit(42, 110, 52, 5)
										PyPlayer(16).initUnit(4, 80, 53, 1)
										PyPlayer(16).initUnit(5, 80, 53, 2)
										PyPlayer(16).initUnit(42, 80, 53, 5)
										PyPlayer(16).initUnit(4, 96, 58, 1)
										PyPlayer(16).initUnit(5, 96, 58, 2)
										PyPlayer(16).initUnit(42, 96, 58, 5)
										if gc.getPlayer(16).getStateReligion() == 0:
												PyPlayer(16).initUnit(17, 110, 52, 1)
												PyPlayer(16).initUnit(17, 80, 53, 1)
												PyPlayer(16).initUnit(17, 96, 58, 1)
										if gc.getPlayer(16).getStateReligion() == 1:
												PyPlayer(16).initUnit(18, 110, 52, 1)
												PyPlayer(16).initUnit(18, 80, 53, 1)
												PyPlayer(16).initUnit(18, 96, 58, 1)
										if gc.getPlayer(16).getStateReligion() == 2:
												PyPlayer(16).initUnit(19, 110, 52, 1)
												PyPlayer(16).initUnit(19, 80, 53, 1)
												PyPlayer(16).initUnit(19, 96, 58, 1)
										if gc.getPlayer(16).getStateReligion() == 3:
												PyPlayer(16).initUnit(20, 110, 52, 1)
												PyPlayer(16).initUnit(20, 80, 53, 1)
												PyPlayer(16).initUnit(20, 96, 58, 1)
										if gc.getPlayer(16).getStateReligion() == 4:
												PyPlayer(16).initUnit(21, 110, 52, 1)
												PyPlayer(16).initUnit(21, 80, 53, 1)
												PyPlayer(16).initUnit(21, 96, 58, 1)
										if gc.getPlayer(16).getStateReligion() == 5:
												PyPlayer(16).initUnit(22, 110, 52, 1)
												PyPlayer(16).initUnit(22, 80, 53, 1)
												PyPlayer(16).initUnit(22, 96, 58, 1)
										if gc.getPlayer(16).getStateReligion() == 6:
												PyPlayer(16).initUnit(23, 110, 52, 1)
												PyPlayer(16).initUnit(23, 80, 53, 1)
												PyPlayer(16).initUnit(23, 96, 58, 1)
#the AI automatically satisfies the condition
def aiColonySpawn():
		if isDate(1510):
#Arabs
				if not gc.getTeam(11).isHuman():
						if PyPlayer(11).isAlive():
										PyPlayer(11).initUnit(4, 99, 27, 1)
										PyPlayer(11).initUnit(5, 99, 27, 2)
										PyPlayer(11).initUnit(42, 99, 27, 5)
										PyPlayer(11).initUnit(4, 104, 27, 1)
										PyPlayer(11).initUnit(5, 104, 27, 2)
										PyPlayer(11).initUnit(42, 104, 27, 5)
										PyPlayer(11).initUnit(4, 71, 25, 1)
										PyPlayer(11).initUnit(5, 71, 25, 2)
										PyPlayer(11).initUnit(42, 71, 25, 5)
										if gc.getPlayer(11).getStateReligion() == 0:
												PyPlayer(11).initUnit(17, 99, 27, 1)
												PyPlayer(11).initUnit(17, 104, 27, 1)
												PyPlayer(11).initUnit(17, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 1:
												PyPlayer(11).initUnit(18, 99, 27, 1)
												PyPlayer(11).initUnit(18, 104, 27, 1)
												PyPlayer(11).initUnit(18, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 2:
												PyPlayer(11).initUnit(19, 99, 27, 1)
												PyPlayer(11).initUnit(19, 104, 27, 1)
												PyPlayer(11).initUnit(19, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 3:
												PyPlayer(11).initUnit(20, 99, 27, 1)
												PyPlayer(11).initUnit(20, 104, 27, 1)
												PyPlayer(11).initUnit(20, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 4:
												PyPlayer(11).initUnit(21, 99, 27, 1)
												PyPlayer(11).initUnit(21, 104, 27, 1)
												PyPlayer(11).initUnit(21, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 5:
												PyPlayer(11).initUnit(22, 99, 27, 1)
												PyPlayer(11).initUnit(22, 104, 27, 1)
												PyPlayer(11).initUnit(22, 71, 25, 1)
										if gc.getPlayer(11).getStateReligion() == 6:
												PyPlayer(11).initUnit(23, 99, 27, 1)
												PyPlayer(11).initUnit(23, 104, 27, 1)
												PyPlayer(11).initUnit(23, 71, 25, 1)
										for tCoords in getPlotList((97, 24), (122, 29)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(11)
										for tCoords in getPlotList((70, 29), (83, 36)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(11)
#English
				if not gc.getTeam(12).isHuman():
						if PyPlayer(12).isAlive():
								pNewYork = cyMap.plot(30, 48)
								pPhiladelphia = cyMap.plot(28, 47)
								pBoston = cyMap.plot(31, 49)
								for tCoords in getAdjacentList((30, 48)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x, y)
										if pCurrentPlot.isCity():
												pCity = pCurrentPlot.getPlotCity()
												pCity.kill()
								for tCoords in getAdjacentList((28, 47)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x, y)
										if pCurrentPlot.isCity():
												pCity = pCurrentPlot.getPlotCity()
												pCity.kill()
								for tCoords in getAdjacentList((31, 49)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x, y)
										if pCurrentPlot.isCity():
												pCity = pCurrentPlot.getPlotCity()
												pCity.kill()
								PyPlayer(12).initCity(30, 48)
								pNewYork.getPlotCity().setName("New York", 1)
								PyPlayer(12).initUnit(5, 30, 48, 2)
								PyPlayer(12).initUnit(47, 30, 48, 5)
								PyPlayer(12).initCity(28, 47)
								pPhiladelphia.getPlotCity().setName("Philadelphia", 1)
								PyPlayer(12).initUnit(5, 28, 47, 2)
								PyPlayer(12).initUnit(47, 28, 47, 5)
								PyPlayer(12).initCity(31, 49)
								pBoston.getPlotCity().setName("Boston", 1)
								PyPlayer(12).initUnit(5, 31, 49, 2)
								PyPlayer(12).initUnit(47, 31, 49, 5)
								PyPlayer(12).initUnit(4, 25, 52, 1)
								PyPlayer(12).initUnit(5, 25, 52, 2)
								PyPlayer(12).initUnit(47, 25, 52, 5)
								PyPlayer(12).initUnit(4, 64, 12, 1)
								PyPlayer(12).initUnit(5, 64, 12, 2)
								PyPlayer(12).initUnit(47, 64, 12, 5)
								PyPlayer(12).initUnit(4, 118, 13, 1)
								PyPlayer(12).initUnit(5, 118, 13, 2)
								PyPlayer(12).initUnit(47, 118, 13, 5)
								for tCoords in getPlotList((103, 9), (1, 23)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(12)
								for tCoords in getPlotList((62, 10), (69, 13)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(12)
								for tCoords in getPlotList((102, 7), (123, 22)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(12)
								if gc.getPlayer(12).getStateReligion() == 0:
										PyPlayer(12).initUnit(17, 30, 48, 1)
										PyPlayer(12).initUnit(17, 28, 47, 1)
										PyPlayer(12).initUnit(17, 31, 49, 1)
										PyPlayer(12).initUnit(17, 28, 51, 1)
										PyPlayer(12).initUnit(17, 64, 12, 1)
										PyPlayer(12).initUnit(17, 118, 13, 1)
								if gc.getPlayer(12).getStateReligion() == 1:
										PyPlayer(12).initUnit(18, 30, 48, 1)
										PyPlayer(12).initUnit(18, 28, 47, 1)
										PyPlayer(12).initUnit(18, 31, 49, 1)
										PyPlayer(12).initUnit(18, 28, 51, 1)
										PyPlayer(12).initUnit(18, 64, 12, 1)
										PyPlayer(12).initUnit(18, 118, 13, 1)
								if gc.getPlayer(12).getStateReligion() == 2:
										PyPlayer(12).initUnit(19, 30, 48, 1)
										PyPlayer(12).initUnit(19, 28, 47, 1)
										PyPlayer(12).initUnit(19, 31, 49, 1)
										PyPlayer(12).initUnit(19, 28, 51, 1)
										PyPlayer(12).initUnit(19, 64, 12, 1)
										PyPlayer(12).initUnit(19, 118, 13, 1)
								if gc.getPlayer(12).getStateReligion() == 3:
										PyPlayer(12).initUnit(20, 30, 48, 1)
										PyPlayer(12).initUnit(20, 28, 47, 1)
										PyPlayer(12).initUnit(20, 31, 49, 1)
										PyPlayer(12).initUnit(20, 28, 51, 1)
										PyPlayer(12).initUnit(20, 64, 12, 1)
										PyPlayer(12).initUnit(20, 118, 13, 1)
								if gc.getPlayer(12).getStateReligion() == 4:
										PyPlayer(12).initUnit(21, 30, 48, 1)
										PyPlayer(12).initUnit(21, 28, 47, 1)
										PyPlayer(12).initUnit(21, 31, 49, 1)
										PyPlayer(12).initUnit(21, 28, 51, 1)
										PyPlayer(12).initUnit(21, 64, 12, 1)
										PyPlayer(12).initUnit(21, 118, 13, 1)
								if gc.getPlayer(12).getStateReligion() == 5:
										PyPlayer(12).initUnit(22, 30, 48, 1)
										PyPlayer(12).initUnit(22, 28, 47, 1)
										PyPlayer(12).initUnit(22, 31, 49, 1)
										PyPlayer(12).initUnit(22, 28, 51, 1)
										PyPlayer(12).initUnit(22, 64, 12, 1)
										PyPlayer(12).initUnit(22, 118, 13, 1)
								if gc.getPlayer(12).getStateReligion() == 6:
										PyPlayer(12).initUnit(23, 30, 48, 1)
										PyPlayer(12).initUnit(23, 28, 47, 1)
										PyPlayer(12).initUnit(23, 31, 49, 1)
										PyPlayer(12).initUnit(23, 28, 51, 1)
										PyPlayer(12).initUnit(23, 64, 12, 1)
										PyPlayer(12).initUnit(23, 118, 13, 1)
#Celts get the colonies if they meet the requirements and England is dead
						if not gc.getTeam(0).isHuman():
								if PyPlayer(0).isAlive():
										if not PyPlayer(12).isAlive():
												for tCoords in getAdjacentList((30, 48)):
														x, y = tCoords
														pCurrentPlot = cyMap.plot(x, y)
														if pCurrentPlot.isCity():
																pCity = pCurrentPlot.getPlotCity()
																pCity.kill()
												for tCoords in getAdjacentList((28, 47)):
														x, y = tCoords
														pCurrentPlot = cyMap.plot(x, y)
														if pCurrentPlot.isCity():
																pCity = pCurrentPlot.getPlotCity()
																pCity.kill()
												for tCoords in getAdjacentList((31, 49)):
														x, y = tCoords
														pCurrentPlot = cyMap.plot(x, y)
														if pCurrentPlot.isCity():
																pCity = pCurrentPlot.getPlotCity()
																pCity.kill()
												PyPlayer(0).initCity(30, 48)
												pNewYork.getPlotCity().setName("New York", 1)
												PyPlayer(0).initUnit(5, 30, 48, 2)
												PyPlayer(0).initunit(42, 30, 48, 5)
												PyPlayer(0).initCity(28, 47)
												pPhiladelphia.getPlotCity().setName("Philadelphia", 1)
												PyPlayer(0).initUnit(5, 28, 47, 2)
												PyPlayer(0).initunit(42, 28, 47, 5)
												PyPlayer(0).initCity(31, 49)
												pBoston.getPlotCity().setName("Boston", 1)
												PyPlayer(0).initUnit(5, 31, 49, 2)
												PyPlayer(0).initunit(42, 31, 49, 5)
												PyPlayer(0).initUnit(4, 25, 52, 1)
												PyPlayer(0).initUnit(5, 25, 52, 2)
												PyPlayer(0).initunit(42, 25, 52, 5)
												PyPlayer(0).initUnit(4, 64, 12, 1)
												PyPlayer(0).initUnit(5, 64, 12, 2)
												PyPlayer(0).initunit(42, 64, 12, 5)
												PyPlayer(0).initUnit(4, 118, 13, 1)
												PyPlayer(0).initUnit(5, 118, 13, 2)
												PyPlayer(0).initunit(42, 118, 13, 5)
										for tCoords in getPlotList((103, 9), (1, 23)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(0)
										for tCoords in getPlotList((62, 10), (69, 13)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(0)
										for tCoords in getPlotList((102, 7), (123, 22)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(0)
												if gc.getPlayer(0).getStateReligion() == 0:
														PyPlayer(0).initUnit(17, 30, 48, 1)
														PyPlayer(0).initUnit(17, 28, 47, 1)
														PyPlayer(0).initUnit(17, 31, 49, 1)
														PyPlayer(0).initUnit(17, 28, 51, 1)
														PyPlayer(0).initUnit(17, 64, 12, 1)
														PyPlayer(0).initUnit(17, 118, 13, 1)
												if gc.getPlayer(0).getStateReligion() == 1:
														PyPlayer(0).initUnit(18, 30, 48, 1)
														PyPlayer(0).initUnit(18, 28, 47, 1)
														PyPlayer(0).initUnit(18, 31, 49, 1)
														PyPlayer(0).initUnit(18, 28, 51, 1)
														PyPlayer(0).initUnit(18, 64, 12, 1)
														PyPlayer(0).initUnit(18, 118, 13, 1)
												if gc.getPlayer(0).getStateReligion() == 2:
														PyPlayer(0).initUnit(19, 30, 48, 1)
														PyPlayer(0).initUnit(19, 28, 47, 1)
														PyPlayer(0).initUnit(19, 31, 49, 1)
														PyPlayer(0).initUnit(19, 28, 51, 1)
														PyPlayer(0).initUnit(19, 64, 12, 1)
														PyPlayer(0).initUnit(19, 118, 13, 1)
												if gc.getPlayer(0).getStateReligion() == 3:
														PyPlayer(0).initUnit(20, 30, 48, 1)
														PyPlayer(0).initUnit(20, 28, 47, 1)
														PyPlayer(0).initUnit(20, 31, 49, 1)
														PyPlayer(0).initUnit(20, 28, 51, 1)
														PyPlayer(0).initUnit(20, 64, 12, 1)
														PyPlayer(0).initUnit(20, 118, 13, 1)
												if gc.getPlayer(0).getStateReligion() == 4:
														PyPlayer(0).initUnit(21, 30, 48, 1)
														PyPlayer(0).initUnit(21, 28, 47, 1)
														PyPlayer(0).initUnit(21, 31, 49, 1)
														PyPlayer(0).initUnit(21, 28, 51, 1)
														PyPlayer(0).initUnit(21, 64, 12, 1)
														PyPlayer(0).initUnit(21, 118, 13, 1)
												if gc.getPlayer(0).getStateReligion() == 5:
														PyPlayer(0).initUnit(22, 30, 48, 1)
														PyPlayer(0).initUnit(22, 28, 47, 1)
														PyPlayer(0).initUnit(22, 31, 49, 1)
														PyPlayer(0).initUnit(22, 28, 51, 1)
														PyPlayer(0).initUnit(22, 64, 12, 1)
														PyPlayer(0).initUnit(22, 118, 13, 1)
												if gc.getPlayer(0).getStateReligion() == 6:
														PyPlayer(0).initUnit(23, 30, 48, 1)
														PyPlayer(0).initUnit(23, 28, 47, 1)
														PyPlayer(0).initUnit(23, 31, 49, 1)
														PyPlayer(0).initUnit(23, 28, 51, 1)
														PyPlayer(0).initUnit(23, 64, 12, 1)
														PyPlayer(0).initUnit(23, 118, 13, 1)
												for tCoords in getPlotList((103, 9), (1, 23)):
														x, y = tCoords
														pCurrentPlot = cyMap.plot(x,y)
														pPotentialCity = pCurrentPlot.getPlotCity()
														iUnhappy = pPotentialCity.unhappyLevel(0)
														if pPotentialCity != None:
																iHappy = pPotentialCity.happyLevel()
																if iUnhappy * 4 >= iHappy:
																		pCurrentPlot.setOwner(0)
										for tCoords in getPlotList((62, 10), (69, 13)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(0)
										for tCoords in getPlotList((102, 7), (123, 22)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(0)
#French
				if not gc.getTeam(13).isHuman():
						if PyPlayer(13).isAlive():
								PyPlayer(13).initUnit(4, 30, 37, 1)
								PyPlayer(13).initUnit(5, 30, 37, 2)
								PyPlayer(13).initUnit(43, 30, 37, 5)
								PyPlayer(13).initUnit(4, 31, 53, 1)
								PyPlayer(13).initUnit(5, 31, 53, 2)
								PyPlayer(13).initUnit(43, 31, 53, 5)
								PyPlayer(13).initUnit(4, 33, 32, 1)
								PyPlayer(13).initUnit(5, 33, 32, 2)
								PyPlayer(13).initUnit(43, 33, 32, 5)
								PyPlayer(13).initUnit(4, 57, 27, 1)
								PyPlayer(13).initUnit(5, 57, 27, 2)
								PyPlayer(13).initUnit(43, 57, 27, 5)
								if gc.getPlayer(13).getStateReligion() == 0:
										PyPlayer(13).initUnit(17, 30, 37, 1)
										PyPlayer(13).initUnit(17, 31, 53, 1)
										PyPlayer(13).initUnit(17, 33, 32, 1)
										PyPlayer(13).initUnit(17, 57, 27, 1)
								if gc.getPlayer(13).getStateReligion() == 1:
										PyPlayer(13).initUnit(18, 30, 37, 1)
										PyPlayer(13).initUnit(18, 31, 53, 1)
										PyPlayer(13).initUnit(18, 33, 32, 1)
										PyPlayer(13).initUnit(17, 57, 27, 1)
								if gc.getPlayer(13).getStateReligion() == 2:
										PyPlayer(13).initUnit(19, 30, 37, 1)
										PyPlayer(13).initUnit(19, 31, 53, 1)
										PyPlayer(13).initUnit(19, 33, 32, 1)
										PyPlayer(13).initUnit(17, 57, 27, 1)
								if gc.getPlayer(13).getStateReligion() == 3:
										PyPlayer(13).initUnit(20, 30, 37, 1)
										PyPlayer(13).initUnit(20, 31, 53, 1)
										PyPlayer(13).initUnit(20, 33, 32, 1)
										PyPlayer(13).initUnit(17, 57, 27, 1)
								if gc.getPlayer(13).getStateReligion() == 4:
										PyPlayer(13).initUnit(21, 30, 37, 1)
										PyPlayer(13).initUnit(21, 31, 53, 1)
										PyPlayer(13).initUnit(21, 33, 32, 1)
										PyPlayer(13).initUnit(17, 57, 27, 1)
								if gc.getPlayer(13).getStateReligion() == 5:
										PyPlayer(13).initUnit(22, 30, 37, 1)
										PyPlayer(13).initUnit(22, 31, 53, 1)
										PyPlayer(13).initUnit(22, 33, 32, 1)
										PyPlayer(13).initUnit(17, 57, 27, 1)
								if gc.getPlayer(13).getStateReligion() == 6:
										PyPlayer(13).initUnit(23, 30, 37, 1)
										PyPlayer(13).initUnit(23, 31, 53, 1)
										PyPlayer(13).initUnit(23, 33, 32, 1)
										PyPlayer(13).initUnit(17, 57, 27, 1)
								for tCoords in getPlotList((48, 25), (61, 39)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(13)
										for tCoords in getPlotList((29, 51), (39, 58)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												pPotentialCity = pCurrentPlot.getPlotCity()
												iUnhappy = pPotentialCity.unhappyLevel(0)
												if pPotentialCity != None:
														iHappy = pPotentialCity.happyLevel()
														if iUnhappy * 4 >= iHappy:
																pCurrentPlot.setOwner(13)
	
#Spanish
				if not gc.getTeam(14).isHuman():
						if PyPlayer(14).isAlive():
								PyPlayer(14).initUnit(4, 27, 38, 1)
								PyPlayer(14).initUnit(5, 27, 38, 2)
								PyPlayer(14).initUnit(42, 27, 38, 5)
								PyPlayer(14).initUnit(4, 17, 38, 1)
								PyPlayer(14).initUnit(5, 17, 38, 2)
								PyPlayer(14).initUnit(42, 17, 38, 5)
								PyPlayer(14).initUnit(4, 41, 18, 1)
								PyPlayer(14).initUnit(5, 41, 18, 2)
								PyPlayer(14).initUnit(42, 41, 18, 5)
								PyPlayer(14).initUnit(4, 35, 12, 1)
								PyPlayer(14).initUnit(5, 35, 12, 2)
								PyPlayer(14).initUnit(42, 35, 12, 5)
								if gc.getPlayer(14).getStateReligion() == 0:
										PyPlayer(14).initUnit(17, 27, 38, 1)
										PyPlayer(14).initUnit(17, 17, 38, 1)
										PyPlayer(14).initUnit(17, 41, 18, 1)
										PyPlayer(14).initUnit(17, 35, 12, 1)
								if gc.getPlayer(14).getStateReligion() == 1:
										PyPlayer(14).initUnit(18, 27, 38, 1)
										PyPlayer(14).initUnit(18, 17, 38, 1)
										PyPlayer(14).initUnit(18, 41, 18, 1)
										PyPlayer(14).initUnit(17, 35, 12, 1)
								if gc.getPlayer(14).getStateReligion() == 2:
										PyPlayer(14).initUnit(19, 27, 38, 1)
										PyPlayer(14).initUnit(19, 17, 38, 1)
										PyPlayer(14).initUnit(19, 41, 18, 1)
										PyPlayer(14).initUnit(17, 35, 12, 1)
								if gc.getPlayer(14).getStateReligion() == 3:
										PyPlayer(14).initUnit(20, 27, 38, 1)
										PyPlayer(14).initUnit(20, 17, 38, 1)
										PyPlayer(14).initUnit(20, 41, 18, 1)
										PyPlayer(14).initUnit(17, 35, 12, 1)
								if gc.getPlayer(14).getStateReligion() == 4:
										PyPlayer(14).initUnit(21, 27, 38, 1)
										PyPlayer(14).initUnit(21, 17, 38, 1)
										PyPlayer(14).initUnit(21, 41, 18, 1)
										PyPlayer(14).initUnit(17, 35, 12, 1)
								if gc.getPlayer(14).getStateReligion() == 5:
										PyPlayer(14).initUnit(22, 27, 38, 1)
										PyPlayer(14).initUnit(22, 17, 38, 1)
										PyPlayer(14).initUnit(22, 41, 18, 1)
										PyPlayer(14).initUnit(17, 35, 12, 1)
								if gc.getPlayer(14).getStateReligion() == 6:
										PyPlayer(14).initUnit(23, 27, 38, 1)
										PyPlayer(14).initUnit(23, 17, 38, 1)
										PyPlayer(14).initUnit(23, 41, 18, 1)
										PyPlayer(14).initUnit(17, 35, 12, 1)
								for tCoords in getPlotList((19, 3), (44, 36)):
										x, y = tCoords
										pCurrentPlot = cyMap.plot(x,y)
										pPotentialCity = pCurrentPlot.getPlotCity()
										iUnhappy = pPotentialCity.unhappyLevel(0)
										if pPotentialCity != None:
												iHappy = pPotentialCity.happyLevel()
												if iUnhappy * 4 >= iHappy:
														pCurrentPlot.setOwner(14)
#Russia
				if not gc.getTeam(16).isHuman():
						for tCoords in getPlotList((66, 48), (112, 65)):
								x, y = tCoords
								pCurrentPlot = cyMap.plot(x,y)
								pPotentialCity = pCurrentPlot.getPlotCity()
								iUnhappy = pPotentialCity.unhappyLevel(0)
								if pPotentialCity != None:
										iHappy = pPotentialCity.happyLevel()
										if iUnhappy * 4 >= iHappy:
												pCurrentPlot.setOwner(16)
						PyPlayer(16).initUnit(4, 110, 52, 1)
						PyPlayer(16).initUnit(5, 110, 52, 2)
						PyPlayer(16).initUnit(42, 110, 52, 5)
						PyPlayer(16).initUnit(4, 80, 53, 1)
						PyPlayer(16).initUnit(5, 80, 53, 2)
						PyPlayer(16).initUnit(42, 80, 53, 5)
						PyPlayer(16).initUnit(4, 96, 58, 1)
						PyPlayer(16).initUnit(5, 96, 58, 2)
						PyPlayer(16).initUnit(42, 96, 58, 5)
						if gc.getPlayer(16).getStateReligion() == 0:
								PyPlayer(16).initUnit(17, 110, 52, 1)
								PyPlayer(16).initUnit(17, 80, 53, 1)
								PyPlayer(16).initUnit(17, 96, 58, 1)
						if gc.getPlayer(16).getStateReligion() == 1:
								PyPlayer(16).initUnit(18, 110, 52, 1)
								PyPlayer(16).initUnit(18, 80, 53, 1)
								PyPlayer(16).initUnit(18, 96, 58, 1)
						if gc.getPlayer(16).getStateReligion() == 2:
								PyPlayer(16).initUnit(19, 110, 52, 1)
								PyPlayer(16).initUnit(19, 80, 53, 1)
								PyPlayer(16).initUnit(19, 96, 58, 1)
						if gc.getPlayer(16).getStateReligion() == 3:
								PyPlayer(16).initUnit(20, 110, 52, 1)
								PyPlayer(16).initUnit(20, 80, 53, 1)
								PyPlayer(16).initUnit(20, 96, 58, 1)
						if gc.getPlayer(16).getStateReligion() == 4:
								PyPlayer(16).initUnit(21, 110, 52, 1)
								PyPlayer(16).initUnit(21, 80, 53, 1)
								PyPlayer(16).initUnit(21, 96, 58, 1)
						if gc.getPlayer(16).getStateReligion() == 5:
								PyPlayer(16).initUnit(22, 110, 52, 1)
								PyPlayer(16).initUnit(22, 80, 53, 1)
								PyPlayer(16).initUnit(22, 96, 58, 1)
						if gc.getPlayer(16).getStateReligion() == 6:
								PyPlayer(16).initUnit(23, 110, 52, 1)
								PyPlayer(16).initUnit(23, 80, 53, 1)
								PyPlayer(16).initUnit(23, 96, 58, 1)

#generates Christian missionaries for certain civs every time theology is acquired
def xpNorm(eTechType):
		if not cyGame.getGameTurn() <= 5:
				if eTechType == 10:
						if PyPlayer(0).isAlive():
								PyPlayer(0).initUnit(18, 49, 46, 2)
						if PyPlayer(5).isAlive():
								PyPlayer(5).initUnit(18, 67, 42, 2)
						if PyPlayer(7).isAlive():
								PyPlayer(7).initUnit(18, 60, 44, 2)
						if PyPlayer(10).isAlive():
								PyPlayer(10).initUnit(18, 68, 23, 2)
						if PyPlayer(14).isAlive():
								PyPlayer(14).initUnit(18, 52, 43, 2)
						if PyPlayer(16).isAlive():
								PyPlayer(16).initUnit(18, 71, 54, 2)

#generates Islamic missionaries for certain civs every time divine right is acquired
def islamNorm(eTechType):
		if not cyGame.getGameTurn() <= 5:
				if eTechType == 14:
						if PyPlayer(1).isAlive():
								PyPlayer(1).initUnit(19, 68, 32, 3)
						if PyPlayer(2).isAlive():
								PyPlayer(1).initUnit(19, 77, 40, 3)
						if PyPlayer(11).isAlive():
								PyPlayer(11).initUnit(19, 75, 33, 3)
						if PyPlayer(15).isAlive():
								PyPlayer(15).initUnit(19, 59, 34, 3)


# this moves the capital city
def setCapital(pCity):
		pCity.setNumRealBuilding(0, 1)


#this frees a civ from vassalage
#def freeVassal(eVassal):
#		for eTeam in range(18):
#				gc.getTeam(eTeam).freeVassal()
#				gc.getTeam(eTeam).makePeace()


#this increases the culture of a respawning civ
def cultureGift(iPlayer):
		RePlayer = PyHelpers.PyPlayer(iPlayer)
		lCities = RePlayer.getCityList()
		for city in lCities:
				pCity = city.GetCy()
				iX = pCity.getX()
				iY = pCity.getY()
				for eTeam in range(18):
						pCity.setCulture(eTeam, 0, True)
				for city in lCities:
						pCity.changeCulture(iPlayer, 500, True)
				if cyGame.getGameTurnYear() >= -4000:
						if cyGame.getGameTurnYear() <= -3500:
								PyHelpers.PyPlayer(iPlayer).initUnit(24, iX, iY, 5)
				if cyGame.getGameTurnYear() >= -3500:
						if cyGame.getGameTurnYear() <= 300:
								PyHelpers.PyPlayer(iPlayer).initUnit(57, iX, iY, 5)
				if cyGame.getGameTurnYear() >= 300:
						if cyGame.getGameTurnYear() <= 1500:
								PyHelpers.PyPlayer(iPlayer).initUnit(60, iX, iY, 5)
				if cyGame.getGameTurnYear() >= 1500:
						if cyGame.getGameTurnYear() <= 1850:
								PyHelpers.PyPlayer(iPlayer).initUnit(42, iX, iY, 5)
				if cyGame.getGameTurnYear() >= 1850:
						if cyGame.getGameTurnYear() <= 1910:
								PyHelpers.PyPlayer(iPlayer).initUnit(46, iX, iY, 5)
				if cyGame.getGameTurnYear() >= 1910:
						PyHelpers.PyPlayer(iPlayer).initUnit(50, iX, iY, 5)


#this collapses a civ
def civilWar(iPlayer):
		pBarbarian = gc.getPlayer(18)
		PyPlayer = PyHelpers.PyPlayer(iPlayer)
		lCities = PyPlayer.getCityList()
		for city in lCities:
				pCity = city.GetCy()
				iX = pCity.getX()
				iY = pCity.getY()
				pCity.changePopulation(2)
				pBarbarian.acquireCity(pCity, False, True)
				if cyGame.getGameTurnYear() >= -4000:
						if cyGame.getGameTurnYear() <= -3500:
								PyHelpers.PyPlayer(18).initUnit(24, iX, iY, 4)
				if cyGame.getGameTurnYear() >= -3500:
						if cyGame.getGameTurnYear() <= 300:
								PyHelpers.PyPlayer(18).initUnit(57, iX, iY, 4)
				if cyGame.getGameTurnYear() >= 300:
						if cyGame.getGameTurnYear() <= 1500:
								PyHelpers.PyPlayer(18).initUnit(60, iX, iY, 4)
				if cyGame.getGameTurnYear() >= 1500:
						if cyGame.getGameTurnYear() <= 1850:
								PyHelpers.PyPlayer(18).initUnit(42, iX, iY, 4)
				if cyGame.getGameTurnYear() >= 1850:
						if cyGame.getGameTurnYear() <= 1910:
								PyHelpers.PyPlayer(18).initUnit(46, iX, iY, 4)
				if cyGame.getGameTurnYear() >= 1910:
						PyHelpers.PyPlayer(18).initUnit(50, iX, iY, 4)


#kills a civ that loses its homeland
def homeSick():
#babylon
		if not gc.getTeam(2).isHuman():
				if PyPlayer(2).isAlive():
						if not gc.getTeam(2).isAVassal():
								if cyGame.getGameTurnYear() >= -3950:
										for tCoords in getPlotList((77, 40), (77, 40)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 2:
														civilWar(2)
														babylonFallMessage = "Its homeland invaded, Babylonian culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(babylonFallMessage,"")
														CvUtil.pyPrint(babylonFallMessage)
#rome
		if not gc.getTeam(7).isHuman():
				if PyPlayer(7).isAlive():
						if not gc.getTeam(7).isAVassal():
								if cyGame.getGameTurnYear() >= -700:
										for tCoords in getPlotList((60, 44), (60, 44)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 7:
														civilWar(7)
														romeFallMessage = "Its homeland invaded, Roman culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(romeFallMessage,"")
														CvUtil.pyPrint(romeFallMessage)
#jerusalem
		if not gc.getTeam(6).isHuman():
				if PyPlayer(6).isAlive():
						if not gc.getTeam(6).isAVassal():
								if cyGame.getGameTurnYear() >= -3950:
										for tCoords in getPlotList((73, 38), (73, 38)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 6:
														civilWar(6)
														jerusalemFallMessage = "Its homeland invaded, Hebrew culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(jerusalemFallMessage,"")
														CvUtil.pyPrint(jerusalemFallMessage)
#london
		if not gc.getTeam(12).isHuman():
				if PyPlayer(12).isAlive():
						if not gc.getTeam(12).isAVassal():
								if cyGame.getGameTurnYear() >= 500:
										for tCoords in getPlotList((54, 54), (54, 54)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 12:
														civilWar(12)
														londonFallMessage = "Its homeland invaded, Saxon culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(londonFallMessage,"")
														CvUtil.pyPrint(londonFallMessage)
#paris
		if not gc.getTeam(13).isHuman():
				if PyPlayer(13).isAlive():
						if not gc.getTeam(13).isAVassal():
								if cyGame.getGameTurnYear() >= 500:
										for tCoords in getPlotList((55, 50), (55, 50)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 13:
														civilWar(13)
														parisFallMessage = "Its homeland invaded, Frankish culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(parisFallMessage,"")
														CvUtil.pyPrint(parisFallMessage)
#madrid
		if not gc.getTeam(14).isHuman():
				if PyPlayer(14).isAlive():
						if not gc.getTeam(14).isAVassal():
								if cyGame.getGameTurnYear() >= 500:
										for tCoords in getPlotList((52, 43), (52, 43)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 14:
														civilWar(14)
														madridFallMessage = "Its homeland invaded, Iberian culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(madridFallMessage,"")
														CvUtil.pyPrint(madridFallMessage)
#athens
		if not gc.getTeam(5).isHuman():
				if PyPlayer(5).isAlive():
						if not gc.getTeam(5).isAVassal():
								if cyGame.getGameTurnYear() >= -3950:
										for tCoords in getPlotList((67, 42), (67, 42)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 5:
														civilWar(5)
														athensFallMessage = "Its homeland invaded, Greek culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(athensFallMessage,"")
														CvUtil.pyPrint(athensFallMessage)
#tokyo
		if not gc.getTeam(9).isHuman():
				if PyPlayer(9).isAlive():
						if not gc.getTeam(9).isAVassal():
								if cyGame.getGameTurnYear() >= -400:
										for tCoords in getPlotList((116, 47), (116, 47)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 9:
														civilWar(9)
														tokyoFallMessage = "Its homeland invaded, Japanese culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(tokyoFallMessage,"")
														CvUtil.pyPrint(tokyoFallMessage)

#persia
		if not gc.getTeam(8).isHuman():
				if PyPlayer(8).isAlive():
						if not gc.getTeam(8).isAVassal():
								if cyGame.getGameTurnYear() >= -600:
										for tCoords in getPlotList((81, 40), (81, 40)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 8:
														civilWar(8)
														persiaFallMessage = "Its homeland invaded, Persian culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(persiaFallMessage,"")
														CvUtil.pyPrint(persiaFallMessage)
#egypt
		if not gc.getTeam(1).isHuman():
				if PyPlayer(1).isAlive():
						if not gc.getTeam(1).isAVassal():
								if cyGame.getGameTurnYear() >= -3950:
										for tCoords in getPlotList((68, 32), (68, 32)):
												x, y = tCoords
												pCurrentPlot = cyMap.plot(x,y)
												iOwner = pCurrentPlot.getOwner()
												if not iOwner == 1:
														civilWar(1)
														egyptFallMessage = "Its homeland invaded, Egyptian culture descends into chaos and barbarism!"
														CyInterface().addImmediateMessage(egyptFallMessage,"")
														CvUtil.pyPrint(egyptFallMessage)